/*
 * Code for class EV_PIXEL_BUFFER_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev563.h"
#include <ev_gtk.h>
#include "ev_c_util.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F106_1996
static EIF_INTEGER_32 inline_F106_1996 (void)
{
	return GDK_COLORSPACE_RGB;
	;
}
#define INLINE_F106_1996
#endif
#ifndef INLINE_F106_2023
static EIF_POINTER inline_F106_2023 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	return gdk_pixbuf_new ((GdkColorspace) arg1, (gboolean) arg2, (int) arg3, (int) arg4, (int) arg5);
	;
}
#define INLINE_F106_2023
#endif
#ifndef INLINE_F106_2025
static void inline_F106_2025 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	gdk_pixbuf_fill ((GdkPixbuf*)arg1, (guint32) arg2);
	;
}
#define INLINE_F106_2025
#endif
#ifndef INLINE_F106_2021
static EIF_POINTER inline_F106_2021 (EIF_POINTER arg1)
{
	return gdk_pixbuf_new_from_xpm_data ((const char**) arg1);
	;
}
#define INLINE_F106_2021
#endif
#ifndef INLINE_F106_1859
static EIF_POINTER inline_F106_1859 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (g_object_ref_sink((gpointer) arg1))
	;
}
#define INLINE_F106_1859
#endif
#ifndef INLINE_F107_2242
static int inline_F107_2242 (EIF_POINTER arg1)
{
	return (int) (gtk_widget_has_screen ((GtkWidget*) arg1))
	;
}
#define INLINE_F107_2242
#endif
#ifndef INLINE_F107_2243
static EIF_POINTER inline_F107_2243 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_widget_get_screen ((GtkWidget*) arg1))
	;
}
#define INLINE_F107_2243
#endif
#ifndef INLINE_F107_2207
static EIF_POINTER inline_F107_2207 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_icon_theme_get_for_screen ((GdkScreen*) arg1))
	;
}
#define INLINE_F107_2207
#endif
#ifndef INLINE_F107_2208
static EIF_POINTER inline_F107_2208 (void)
{
	return gtk_icon_theme_get_default ();
	;
}
#define INLINE_F107_2208
#endif
#ifndef INLINE_F107_2206
static EIF_POINTER inline_F107_2206 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_8 arg3, EIF_INTEGER_8 arg4, EIF_POINTER arg5)
{
	return (EIF_POINTER) (gtk_icon_theme_load_icon ((GtkIconTheme *)arg1,
                          (const gchar *)arg2,
                          (gint)arg3,
                          (GtkIconLookupFlags)arg4,
                          (GError **)arg5))
	;
}
#define INLINE_F107_2206
#endif
#ifndef INLINE_F106_1861
static void inline_F106_1861 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F106_1861
#endif
#ifndef INLINE_F106_1854
static int inline_F106_1854 (EIF_POINTER arg1)
{
	return (int) (GDK_IS_PIXBUF(arg1))
	;
}
#define INLINE_F106_1854
#endif
#ifndef INLINE_F106_2013
static EIF_POINTER inline_F106_2013 (EIF_POINTER arg1)
{
	return gdk_pixbuf_copy ((GdkPixbuf*)arg1);
	;
}
#define INLINE_F106_2013
#endif
#ifndef INLINE_F106_1860
static EIF_POINTER inline_F106_1860 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (g_object_ref((gpointer) arg1))
	;
}
#define INLINE_F106_1860
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_PIXEL_BUFFER_IMP}.make_with_size */
void F1211_11125 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION >= ((EIF_INTEGER_32) 2L))) {
		ti4_1 = inline_F106_1996();
		tp1 = inline_F106_2023(ti4_1, (EIF_BOOLEAN) 1, ((EIF_INTEGER_32) 8L), arg1, arg2);
		F1211_11147(Current, tp1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		inline_F106_2025(tp1, ((EIF_INTEGER_32) 0L));
	} else {
		tr1 = RTLNSMART(eif_new_type(1163, 0).id);
		F1164_10624(RTCW(tr1), arg1, arg2);
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_3_) = (EIF_REFERENCE) tr1;
	}
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.make */
void F1211_11128 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	tr1 = RTLNSMART(eif_new_type(926, 1).id);
	tp1 = F1_33(Current);
	F927_6880(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_2_) = (EIF_REFERENCE) tr1;
	F1200_10961(Current, (EIF_BOOLEAN) 1);
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_from_stock */
void F1211_11143 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,Current);
	RTLR(3,loc2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	loc1 = (EIF_REFERENCE) arg1;
	tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
	F1211_11144(Current, tp1);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	tb1 = !tp1;
	if (tb1) {
		loc2 = F923_6783(RTCW(loc1));
		F1063_9359(RTCW(loc2));
		tb1 = '\01';
		tr1 = RTMS32_EX_H("i\000\000\000n\000\000\000f\000\000\000o\000\000\000r\000\000\000m\000\000\000a\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",11,684350830);
		tb2 = F1061_9230(RTCW(loc2), tr1);
		if (!tb2) {
			tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000i\000\000\000n\000\000\000f\000\000\000o\000\000\000r\000\000\000m\000\000\000a\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",18,1358691950);
			tb2 = F1061_9230(RTCW(loc2), tr1);
			tb1 = tb2;
		}
		if (tb1) {
			tp1 = (EIF_POINTER) information_pixmap_xpm();
			tp1 = inline_F106_2021(tp1);
			F1211_11147(Current, tp1);
		} else {
			tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000e\000\000\000r\000\000\000r\000\000\000o\000\000\000r\000\000\000",12,1766531442);
			tb1 = F1061_9230(RTCW(loc2), tr1);
			if (tb1) {
				tp1 = (EIF_POINTER) error_pixmap_xpm();
				tp1 = inline_F106_2021(tp1);
				F1211_11147(Current, tp1);
			} else {
				tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000q\000\000\000u\000\000\000e\000\000\000s\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",15,601717614);
				tb1 = F1061_9230(RTCW(loc2), tr1);
				if (tb1) {
					tp1 = (EIF_POINTER) question_pixmap_xpm();
					tp1 = inline_F106_2021(tp1);
					F1211_11147(Current, tp1);
				} else {
					tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000w\000\000\000a\000\000\000r\000\000\000n\000\000\000i\000\000\000n\000\000\000g\000\000\000",14,1187148903);
					tb1 = F1061_9230(RTCW(loc2), tr1);
					if (tb1) {
						tp1 = (EIF_POINTER) warning_pixmap_xpm();
						tp1 = inline_F106_2021(tp1);
						F1211_11147(Current, tp1);
					} else {
						F1211_11125(Current, ((EIF_INTEGER_32) 48L), ((EIF_INTEGER_32) 48L));
					}
				}
			}
		}
	}
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_from_stock_id */
void F1211_11144 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER loc5 = (EIF_POINTER) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc6);
	RTLIU(2);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	loc2 = (EIF_POINTER) gtk_label_new((gchar*) tp2);
	tp1 = inline_F106_1859(loc2);
	loc2 = (EIF_POINTER) tp1;
	if (EIF_TEST (inline_F107_2242(loc2))) {
		loc5 = inline_F107_2243(loc2);
		loc3 = inline_F107_2207(loc5);
	} else {
		loc3 = inline_F107_2208();
	}
	loc1 = inline_F107_2206(loc3, arg1, (EIF_INTEGER_8) ((EIF_INTEGER_32) 48L), (EIF_INTEGER_8) ((EIF_INTEGER_32) 0L), (EIF_POINTER *) &(loc4));
	tb1 = !loc4;
	if ((EIF_BOOLEAN) !tb1) {
		loc6 = RTLNS(eif_new_type(921, 0x01).id, 921, _OBJSIZ_1_1_0_0_0_1_0_0_);
		F264_4376(RTCW(loc6), loc4);
		F922_6774(RTCW(loc6));
	}
	inline_F106_1861(loc2);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	loc2 = tp1;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		if ((EIF_BOOLEAN) !EIF_TEST (inline_F106_1854(loc1))) {
		}
		tp1 = inline_F106_2013(loc1);
		F1211_11147(Current, tp1);
		inline_F106_1861(loc1);
	}
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_gdkpixbuf */
void F1211_11147 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) != tp1)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		inline_F106_1861(tp1);
	}
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(arg1 != tp1)) {
		loc1 = inline_F106_1860(arg1);
		if ((EIF_BOOLEAN) !(EIF_BOOLEAN) EIF_TEST(gdk_pixbuf_get_has_alpha((GdkPixbuf*) arg1))) {
			tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) loc1, (gboolean) (EIF_BOOLEAN) 0, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L));
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp1;
			inline_F106_1861(arg1);
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
			tp1 = inline_F106_1860(tp1);
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp1;
		} else {
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) arg1;
		}
	} else {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp2;
	}
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.destroy */
void F1211_11150 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1200_10963(Current, (EIF_BOOLEAN) 1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	F1211_11147(Current, tp2);
	F1200_10962(Current, (EIF_BOOLEAN) 1);
	RTLE;
}

/* {EV_PIXEL_BUFFER_IMP}.dispose */
void F1211_11151 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	F1211_11147(Current, tp2);
	RTLE;
}

void EIF_Minit563 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
