/*
 * Code for class EV_APPLICATION_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev577.h"
#include <string.h>
#include <ev_gtk.h>
#include "eif_main.h"
#include "eif_built_in.h"
#include <gmodule.h>
#include "eif_except.h"
#include <stdlib.h>
#include "eif_argv.h"
#include "eif_helpers.h"
#include "ev_c_util.h"
#include "eif_misc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F107_1835
static void inline_F107_1835 (EIF_POINTER arg1)
{
	return gdk_set_allowed_backends ( (const gchar*) arg1);
	;
}
#define INLINE_F107_1835
#endif
#ifndef INLINE_F154_3422
static int inline_F154_3422 (void)
{
	#ifdef WORKBENCH
	return EIF_TEST(is_debug_mode());
#else
	return EIF_FALSE;
#endif
	;
}
#define INLINE_F154_3422
#endif
#ifndef INLINE_F107_1872
static EIF_POINTER inline_F107_1872 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_display_get_default_screen ((GdkDisplay*) arg1))
	;
}
#define INLINE_F107_1872
#endif
#ifndef INLINE_F107_2031
static EIF_POINTER inline_F107_2031 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_screen_get_system_visual ((GdkScreen*) arg1))
	;
}
#define INLINE_F107_2031
#endif
#ifndef INLINE_F107_1929
static EIF_INTEGER_32 inline_F107_1929 (EIF_POINTER arg1)
{
	return (EIF_INTEGER_32) (gdk_visual_get_depth ((GdkVisual*) arg1))
	;
}
#define INLINE_F107_1929
#endif
#ifndef INLINE_F106_1783
static void inline_F106_1783 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11
	return gdk_x11_display_error_trap_push ((GdkDisplay *)arg1);
#endif
	;
}
#define INLINE_F106_1783
#endif
#ifndef INLINE_F107_2034
static EIF_POINTER inline_F107_2034 (void)
{
	return gdk_screen_get_default()
	;
}
#define INLINE_F107_2034
#endif
#ifndef INLINE_F1225_11510
static int inline_F1225_11510 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (FUNCTION_CAST(gboolean, (GdkScreen*)) arg1)((GdkScreen*) arg2);
	;
}
#define INLINE_F1225_11510
#endif
#ifndef INLINE_F107_1874
static EIF_INTEGER_32 inline_F107_1874 (EIF_POINTER arg1)
{
	return gdk_display_get_n_monitors ((GdkDisplay*) arg1)
	;
}
#define INLINE_F107_1874
#endif
#ifndef INLINE_F107_1880
static void inline_F107_1880 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gdk_monitor_get_geometry ((GdkMonitor*) arg1, (GdkRectangle*) arg2)
	;
}
#define INLINE_F107_1880
#endif
#ifndef INLINE_F1225_11647
static void inline_F1225_11647 (EIF_POINTER arg1)
{
	{
				  GdkDisplay *display = gdk_display_get_default ();
				  int num_monitors = gdk_display_get_n_monitors (display);

				  gint x, y, w, h;

				  x = y = G_MAXINT;
				  w = h = G_MININT;

				  for (int i = 0; i < num_monitors; i++)
				    {
				      GdkRectangle rect;
				      GdkMonitor *monitor = gdk_display_get_monitor (display, i);
				      gdk_monitor_get_geometry (monitor, &rect);

				      x = MIN (x, rect.x);
				      y = MIN (y, rect.y);
				      w = MAX (w, rect.x + rect.width);
				      h = MAX (h, rect.y + rect.height);
				    }

				  ((GdkRectangle *)arg1)->width = w - x;
				  ((GdkRectangle *)arg1)->height = h - y;
				}
	;
}
#define INLINE_F1225_11647
#endif
#ifndef INLINE_F107_1863
static void inline_F107_1863 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F107_1863
#endif
#ifndef INLINE_F26_733
static EIF_POINTER inline_F26_733 (void)
{
	return (GdkDevice*) gdk_seat_get_pointer((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default()));
	;
}
#define INLINE_F26_733
#endif
#ifndef INLINE_F26_730
static void inline_F26_730 (EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	return gdk_device_get_position ((GdkDevice*) arg1, NULL, (gint*) arg2, (gint*) arg3);
	;
}
#define INLINE_F26_730
#endif
#ifndef INLINE_F154_3421
static void inline_F154_3421 (EIF_BOOLEAN arg1)
{
	#ifdef WORKBENCH
	set_debug_mode (arg1 ? 1 : 0);
#endif
	;
}
#define INLINE_F154_3421
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_APPLICATION_IMP}.make */
void F1225_11504 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE tr5 = NULL;
	EIF_REFERENCE tr6 = NULL;
	EIF_REFERENCE tr7 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLR(2,Current);
	RTLR(3,tr3);
	RTLR(4,tr4);
	RTLR(5,tr5);
	RTLR(6,tr6);
	RTLR(7,tr7);
	RTLIU(8);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(109, 0x01).id, 109, _OBJSIZ_0_0_0_0_0_0_0_0_);
	if (RTOSCF(2595,F110_2595, (RTCW(tr1)))) {
		tr1 = RTLNS(eif_new_type(922, 0x01).id, 922, _OBJSIZ_0_1_0_1_0_1_0_0_);
		tr2 = RTMS_EX_H("x11",3,7876913);
		F923_6789(RTCW(tr1), tr2);
		tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
		inline_F107_1835(tp1);
	}
	tr1 = RTMS_EX_H("0",1,48);
	tr2 = RTMS_EX_H("LIBOVERLAY_SCROLLBAR",20,1673493842);
	F715_6110(Current, tr1, tr2);
	tr1 = RTLNSMART(eif_new_type(1062, 1).id);
	F1061_9207(RTCW(tr1), ((EIF_INTEGER_32) 4L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_47_) = (EIF_REFERENCE) tr1;
	tb1 = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_) = (EIF_BOOLEAN) tb1;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,4,978,1050,996,996,1008,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_48_) = (EIF_REFERENCE) tr1;
	tr1 = RTLNSMART(eif_new_type(940, 1).id);
	F941_7705(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_42_) = (EIF_REFERENCE) tr1;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,650,996,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F651_5552(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_43_) = (EIF_REFERENCE) tr1;
	tr1 = F1058_9136(RTMS_EX_H("",0,0));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_22_) = (EIF_REFERENCE) tr1;
	F1224_11399(Current);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		F1225_11641(Current);
		tb1 = EIF_TEST (inline_F154_3422());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		enable_ev_gtk_log((EIF_INTEGER) ((EIF_INTEGER_32) 0L));
		gdk_set_show_events((gboolean) (EIF_BOOLEAN) 0);
		tp1 = (EIF_POINTER) gdk_display_get_default();
		tp1 = inline_F107_1872(tp1);
		tp1 = inline_F107_2031(tp1);
		ti4_1 = inline_F107_1929(tp1);
		ti4_1 = eif_min_int32 (ti4_1,((EIF_INTEGER_32) 24L));
		*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_18_) = (EIF_INTEGER_32) ti4_1;
		F937_7625(Current);
		F1225_11604(Current, ((EIF_INTEGER_32) 500L));
		if (RTOSCF(11511,F1225_11511, (Current))) {
			tp1 = (EIF_POINTER) gdk_display_get_default();
			inline_F106_1783(tp1);
		}
		F1225_11506(Current);
		tp1 = (EIF_POINTER) gtk_im_context_simple_new();
		*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_) = (EIF_POINTER) tp1;
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_42_);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tr2 = RTLNS(eif_new_type(26, 0x01).id, 26, _OBJSIZ_0_0_0_0_0_0_0_0_);
		tr3 = RTOSCF(791,F27_791, (RTCW(tr2)));
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,978,0xFF01,0,0xFFFF};
			EIF_TYPE typres0;
			typarr0[4] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr4 = RTLNTS(typres0.id, 2, 0);
		}
		((EIF_TYPED_VALUE *)tr4+1)->it_r = Current;
		RTAR(tr4,Current);
		
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1055,0xFF01,0xFFF9,1,978,1050,1050,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr7= RTLNRF(typres0.id, (EIF_POINTER) __A577_425_2, (EIF_POINTER) _A577_425_2, (EIF_POINTER)(F1225_11505),tr4, 1, 1);
		}
		F941_7709(RTCW(tr1), tp1, tr3, tr7);
	} else {
		tr1 = RTMS_EX_H("EiffelVision application could not launch, check DISPLAY environment variable\012",78,1906588938);
		F1_27(Current, tr1);
		esdie(((EIF_INTEGER_32) 0L));
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.on_char_event */
EIF_POINTER F1225_11505 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	loc1 = (EIF_POINTER) g_value_peek_pointer((GValue*) arg1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		tr1 = RTOSCF(11639,F1225_11639, (Current));
		F923_6791(RTCW(tr1), loc1);
	} else {
		tr1 = RTOSCF(11639,F1225_11639, (Current));
		tr2 = RTMS_EX_H("",0,0);
		F923_6789(RTCW(tr1), tr2);
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	F1063_9351(RTCW(tr1));
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	tr2 = F923_6787(RTCV(RTOSCF(11639,F1225_11639, (Current))));
	F1063_9322(RTCW(tr1), tr2);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
	gtk_im_context_reset((GtkIMContext*) tp1);
	RTLE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.update_screen_meta_data */
void F1225_11506 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	loc2 = RTOSCF(11509,F1225_11509, (Current));
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc2 != tp1)) {
		tp1 = inline_F107_2034();
		tb1 = EIF_TEST (inline_F1225_11510(loc2, tp1));
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_7_) = (EIF_BOOLEAN) tb1;
	}
	tp1 = (EIF_POINTER) gdk_display_get_default();
	ti4_1 = inline_F107_1874(tp1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_17_) = (EIF_INTEGER_32) ti4_1;
	loc1 = RTOSCF(11637,F1225_11637, (Current));
	tp1 = (EIF_POINTER) gdk_display_get_default();
	tp1 = (EIF_POINTER) gdk_display_get_primary_monitor((GdkDisplay*) tp1);
	*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_) = (EIF_POINTER) tp1;
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_);
	inline_F107_1880(tp1, loc1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->x);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->y);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_15_) = (EIF_INTEGER_32) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_16_) = (EIF_INTEGER_32) ti4_1;
	loc3 = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	inline_F1225_11647(loc3);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_13_) = (EIF_INTEGER_32) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_14_) = (EIF_INTEGER_32) ti4_1;
	free(loc3);
	RTLE;
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_symbol */
static EIF_POINTER F1225_11509_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (11509);
#define Result RTOSR(11509)
	tr1 = RTMS_EX_H("gdk_screen_is_composited",24,1829865316);
	Result = F1225_11535(Current, tr1);
	RTOSE (11509);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1225_11509 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11509,F1225_11509_body,(Current));
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_call */
EIF_BOOLEAN F1225_11510 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = EIF_TEST(inline_F1225_11510 ((EIF_POINTER) arg1, (EIF_POINTER) arg2));
	return Result;
}

/* {EV_APPLICATION_IMP}.is_x11_session */
static EIF_BOOLEAN F1225_11511_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	

	
	RTEV;
	RTOSP (11511);
#define Result RTOSR(11511)
	tr1 = RTLNS(eif_new_type(109, 0x01).id, 109, _OBJSIZ_0_0_0_0_0_0_0_0_);
	Result = RTOSCF(2594,F110_2594, (RTCW(tr1)));
	RTOSE (11511);
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F1225_11511 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11511,F1225_11511_body,(Current));
}

/* {EV_APPLICATION_IMP}.has_x11_support */
RTEOMS(11511,1);
static EIF_BOOLEAN F1225_11512_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLIU(4);
	
	RTEV;
	RTGC;
	RTOSP (11512);
#define Result RTOSR(11512)
	Result = RTOSCF(11511,F1225_11511, (Current));
	if (Result) {
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
			Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		} else {
			tr1 = RTLNS(eif_new_type(714, 0x01).id, 714, _OBJSIZ_0_0_0_1_0_0_0_0_);
			tr2 = F715_6097(RTCW(tr1), RTOMS(11511,0));
			loc1 = tr2;
			if (EIF_TEST(loc1)) {
				tr1 = RTMS_EX_H("no",2,28271);
				Result = F1058_9119(loc1, tr1);
				Result = (EIF_BOOLEAN) (EIF_BOOLEAN) !Result;
			}
		}
	}
	RTOSE (11512);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F1225_11512 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11512,F1225_11512_body,(Current));
}

/* {EV_APPLICATION_IMP}.call_post_launch_actions */
void F1225_11513 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tp2 = F1225_11633(Current);
		gtk_im_context_set_client_window((GtkIMContext*) tp1, (GdkWindow*) tp2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		gtk_im_context_focus_in((GtkIMContext*) tp1);
	}
	F1224_11481(Current);
	RTLE;
}

/* {EV_APPLICATION_IMP}.is_display_remote */
EIF_BOOLEAN F1225_11525 (EIF_REFERENCE Current)
{
	return *(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_);
}


/* {EV_APPLICATION_IMP}.set_currently_shown_control */
void F1225_11526 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_41_) = (EIF_REFERENCE) arg1;
}

/* {EV_APPLICATION_IMP}.focused_widget */
EIF_REFERENCE F1225_11528 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(8);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,loc4);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc5);
	RTLR(6,loc6);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	loc1 = F1225_11542(Current);
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4819[Dtype(RTCW(loc1))-338])(loc1);
	loc4 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5510[Dtype(loc4)-731])(loc4);
		if (tb1) break;
		if ((EIF_BOOLEAN)(Result != NULL)) break;
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5509[Dtype(loc4)-731])(loc4);
		tb2 = F1139_10289(RTCW(loc2));
		if (tb2) {
			tb2 = F1148_10437(RTCW(loc2));
			if (tb2) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc2) + O7964[Dtype(loc2)-1094]);
				loc5 = tr1;
				loc5 = RTRV(eif_new_type(1305, 0x01),loc5);
				if (EIF_TEST(loc5)) {
					tp1 = *(EIF_POINTER *)(loc5 + O9425[Dtype(loc5)-1225]);
					loc3 = (EIF_POINTER) gtk_window_get_focus((GtkWindow*) tp1);
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						tr1 = F1225_11628(Current, loc3);
						loc6 = tr1;
						loc6 = RTRV(eif_new_type(1278, 0x01),loc6);
						if (EIF_TEST(loc6)) {
							Result = *(EIF_REFERENCE *)(loc6 + O8899[Dtype(loc6)-1199]);
						}
					}
				} else {
				}
			} else {
				Result = (EIF_REFERENCE) loc2;
			}
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5511[Dtype(loc4)-731])(loc4);
	}
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.wait_for_input */
void F1225_11529 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	
	F1225_11601(Current, arg1);
}

/* {EV_APPLICATION_IMP}.print_debug_event */
void F1225_11530 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_REFERENCE arg2, EIF_POINTER arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	
	
	RTGC;
}

/* {EV_APPLICATION_IMP}.process_underlying_toolkit_event_queue */
RTEOMS(11530,2);
void F1225_11531 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc7 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER loc13 = (EIF_POINTER) 0;
	EIF_POINTER loc14 = (EIF_POINTER) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc17 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc18 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc19 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc20 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc21 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc22 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc23 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN loc24 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc25 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc26 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc27 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc28 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc29 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc36 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc37 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc38 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc39 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc40 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc41 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_INTEGER_8 ti1_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(24);
	RTLR(0,loc15);
	RTLR(1,Current);
	RTLR(2,loc16);
	RTLR(3,loc30);
	RTLR(4,tr1);
	RTLR(5,loc31);
	RTLR(6,loc32);
	RTLR(7,loc8);
	RTLR(8,loc10);
	RTLR(9,loc9);
	RTLR(10,tr2);
	RTLR(11,loc33);
	RTLR(12,tr3);
	RTLR(13,loc34);
	RTLR(14,loc12);
	RTLR(15,loc11);
	RTLR(16,loc35);
	RTLR(17,loc36);
	RTLR(18,loc37);
	RTLR(19,loc38);
	RTLR(20,loc39);
	RTLR(21,loc40);
	RTLR(22,loc25);
	RTLR(23,loc41);
	RTLIU(24);
	
	RTGC;
	loc15 = RTOSCF(11546,F1225_11546, (Current));
	loc16 = RTOSCF(11547,F1225_11547, (Current));
	for (;;) {
		tb1 = '\01';
		if (!loc17) {
			tb1 = F1200_10950(Current);
		}
		if (tb1) break;
		loc1 = (EIF_POINTER) gdk_event_get();
		tb2 = !loc1;
		if ((EIF_BOOLEAN) !tb2) {
			loc3 = (EIF_POINTER) gtk_get_event_widget((GdkEvent*) loc1);
			ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->send_event);
			loc29 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti1_1 != (EIF_INTEGER_8) ((EIF_INTEGER_32) 0L));
			loc27 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
			loc4 = (EIF_POINTER) gtk_grab_get_current();
			tb2 = !loc4;
			if (tb2) {
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
				loc4 = (EIF_POINTER) loc3;
			} else {
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
				tb2 = '\0';
				tr1 = F1225_11613(Current);
				loc30 = tr1;
				if (EIF_TEST(loc30)) {
					tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R9481[Dtype(loc30)-1228])(loc30);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_2 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_3 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					F1277_12257(loc30, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), tr8_1, tr8_2, tr8_3, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
				} else {
					tb2 = '\0';
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc31 = tr1;
					if (EIF_TEST(loc31)) {
						tb3 = F1139_10288(loc31);
						tb2 = (EIF_BOOLEAN) !tb3;
					}
					if (tb2) {
						F1139_10295(loc31);
					}
				}
			}
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
			switch (loc2) {
				case 3L:
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x);
					loc19 = (EIF_INTEGER_32) tr8_1;
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y);
					loc20 = (EIF_INTEGER_32) tr8_1;
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x_root);
					loc21 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
					loc21 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 + ti4_1);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y_root);
					loc22 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
					loc22 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 + ti4_1);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tp1 = (EIF_POINTER) (((GdkEventMotion *)loc1)->window);
					
					eif_put_pointer_item(RTCW(tr1),1,tp1);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),2,loc21);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),3,loc22);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tu4_1 = (EIF_NATURAL_32) (((GdkEventMotion *)loc1)->state);
					
					eif_put_natural_32_item(RTCW(tr1),4,tu4_1);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc32 = tr1;
					if (EIF_TEST(loc32)) {
						loc8 = *(EIF_REFERENCE *)(loc32 + O7964[Dtype(loc32)-1094]);
						loc8 = RTRV(eif_new_type(1276, 0x00), loc8);
					} else {
						if ((EIF_BOOLEAN)(F1225_11613(Current) != NULL)) {
							loc8 = F1225_11613(Current);
						} else {
							tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr1),1);
							loc8 = F1225_11630(Current, tp2);
							loc8 = RTRV(eif_new_type(1276, 0x00), loc8);
						}
					}
					tb2 = '\0';
					if ((EIF_BOOLEAN)(loc8 != NULL)) {
						tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R9481[Dtype(RTCW(loc8))-1228])(loc8);
						tb2 = tb3;
					}
					if (tb2) {
						loc10 = F1227_11710(RTCW(loc8));
						if ((EIF_BOOLEAN)(loc10 != NULL)) {
							tb2 = F1306_12741(RTCW(loc10));
							if ((EIF_BOOLEAN) !tb2) {
								gtk_main_do_event((GdkEvent*) loc1);
								if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_9_) != NULL)) {
									loc9 = loc8;
									loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
									if ((EIF_BOOLEAN)(loc9 != NULL)) {
										tr1 = F1200_10951(RTCW(loc9));
										
										eif_put_reference_item(RTCW(loc16),1,tr1);
										
										eif_put_integer_32_item(RTCW(loc16),2,loc21);
										
										eif_put_integer_32_item(RTCW(loc16),3,loc22);
										tr2 = *(EIF_REFERENCE *)(Current + _REFACS_9_);
										(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5326[Dtype(RTCW(tr2))-689])(tr2, loc16);
										tr2 = RTOSCF(11635,F1225_11635, (Current));
										
										eif_put_reference_item(RTCW(loc16),1,tr2);
									}
								}
								tp2 = *(EIF_POINTER *)(RTCW(loc8) + O9425[Dtype(loc8)-1225]);
								ti4_1 = (EIF_INTEGER_32) gtk_widget_get_state_flags((GtkWidget*) tp2);
								ti4_2 = (EIF_INTEGER_32) GTK_STATE_FLAG_INSENSITIVE;
								ti4_1 = eif_bit_and(ti4_1,ti4_2);
								if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L))) {
									tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9449[Dtype(RTCW(loc8))-1228])(loc8);
									if ((EIF_BOOLEAN)((EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2) != (EIF_POINTER) (((GdkEventMotion *)loc1)->window))) {
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9449[Dtype(RTCW(loc8))-1228])(loc8);
										gtk_widget_realize((GtkWidget*) tp2);
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9449[Dtype(RTCW(loc8))-1228])(loc8);
										tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
										loc18 = (EIF_INTEGER_32) gdk_window_get_origin((GdkWindow*) tp2, (gint*) (EIF_INTEGER_32 *) &(loc19), (gint*) (EIF_INTEGER_32 *) &(loc20));
										loc19 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 - loc19);
										loc20 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 - loc20);
									}
									
									eif_put_integer_32_item(RTCW(loc15),1,loc19);
									
									eif_put_integer_32_item(RTCW(loc15),2,loc20);
									
									eif_put_real_64_item(RTCW(loc15),3,(EIF_REAL_64) 0.5);
									
									eif_put_real_64_item(RTCW(loc15),4,(EIF_REAL_64) 0.5);
									
									eif_put_real_64_item(RTCW(loc15),5,(EIF_REAL_64) 0.5);
									
									eif_put_integer_32_item(RTCW(loc15),6,loc21);
									
									eif_put_integer_32_item(RTCW(loc15),7,loc22);
									F1277_12235(RTCW(loc8), loc15);
								}
							}
						} else {
							gtk_main_do_event((GdkEvent*) loc1);
						}
					} else {
						gtk_main_do_event((GdkEvent*) loc1);
					}
					loc9 = (EIF_REFERENCE) NULL;
					loc8 = (EIF_REFERENCE) NULL;
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventMotion *)loc1)->is_hint) != ((EIF_INTEGER_32) 0L))) {
						F1225_11619(Current);
					}
					break;
				case 4L:
				case 5L:
				case 6L:
				case 7L:
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					F1225_11548(Current, loc1, (EIF_BOOLEAN) 0);
					break;
				case 31L:
					if ((EIF_BOOLEAN) !F1225_11612(Current)) {
						tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
						loc33 = tr3;
						if (EIF_TEST(loc33)) {
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->x_root);
							ti4_1 = (EIF_INTEGER_32) tr8_1;
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->y_root);
							ti4_2 = (EIF_INTEGER_32) tr8_1;
							(RTNA((loc33, (EIF_INTEGER_32) GDK_BUTTON_PRESS, ((EIF_INTEGER_32) 2L), (EIF_INTEGER_32) (ti4_1 + *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_)), (EIF_INTEGER_32) (ti4_2 + *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_)))));
						}
						tp2 = eif_pointer_item(RTCV(F1225_11618(Current)),1);
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp3 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						if ((EIF_BOOLEAN)(tp2 != tp3)) {
							tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr3),1);
							loc9 = F1225_11630(Current, tp2);
							loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
						} else {
							loc9 = (EIF_REFERENCE) NULL;
						}
						if ((EIF_BOOLEAN)(loc9 == NULL)) {
							loc9 = F1225_11628(Current, loc3);
							loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
						}
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventScroll *)loc1)->direction) == (EIF_INTEGER_32) GDK_SCROLL_UP)) {
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
							} else {
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
							}
							ti4_1 = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_REAL_64, EIF_REAL_64, EIF_REAL_64, EIF_INTEGER_32, EIF_INTEGER_32)) R9873[Dtype(RTCW(loc9))-1291])(loc9, ti4_1, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), loc23, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
						}
						loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					}
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					break;
				case 20L:
				case 21L:
					break;
				case 16L:
					break;
				case 2L:
					break;
				case 30L:
					break;
				case 12L:
					loc10 = F1225_11628(Current, loc3);
					loc10 = RTRV(eif_new_type(1305, 0x00), loc10);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						gtk_main_do_event((GdkEvent*) loc1);
						ti1_1 = (EIF_INTEGER_8) (((GdkEventFocus *)loc1)->in);
						tr3 = RTLNS(eif_new_type(1002, 0x00).id, 1002, _OBJSIZ_0_1_0_0_0_0_0_0_);
						*(EIF_INTEGER_8 *)tr3 = ti1_1;
						tb2 = F1001_8479(RTCW(tr3));
						F1306_12753(RTCW(loc10), tb2);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 13L:
					tr3 = F1225_11628(Current, loc3);
					loc34 = tr3;
					loc34 = RTRV(eif_new_type(1227, 0x01),loc34);
					if (EIF_TEST(loc34)) {
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						gtk_main_do_event((GdkEvent*) loc1);
						ti4_1 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->x);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->y);
						ti4_3 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->width);
						ti4_4 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->height);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32)) R9514[Dtype(loc34)-1228])(loc34, ti4_1, ti4_2, ti4_3, ti4_4);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 14L:
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					gtk_main_do_event((GdkEvent*) loc1);
					loc9 = F1225_11628(Current, loc3);
					loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
					if ((EIF_BOOLEAN)(loc9 != NULL)) {
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R9934[Dtype(RTCW(loc9))-1291])(loc9);
					}
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 15L:
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					gtk_main_do_event((GdkEvent*) loc1);
					loc11 = F1225_11628(Current, loc3);
					loc11 = RTRV(eif_new_type(1226, 0x00), loc11);
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						tr3 = *(EIF_REFERENCE *)(RTCW(loc11) + O8899[Dtype(loc11)-1199]);
						if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_41_) == tr3)) {
							F1225_11526(Current, NULL);
						}
						loc9 = loc11;
						loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							F1279_12334(RTCW(loc9));
							loc9 = (EIF_REFERENCE) NULL;
						}
						loc11 = (EIF_REFERENCE) NULL;
					}
					break;
				case 17L:
					break;
				case 18L:
					break;
				case 19L:
					tr3 = F1225_11528(Current);
					loc35 = tr3;
					if (EIF_TEST(loc35)) {
						loc9 = *(EIF_REFERENCE *)(loc35 + O7964[Dtype(loc35)-1094]);
						loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
					} else {
						tr3 = RTLNS(eif_new_type(1128, 0x01).id, 1128, _OBJSIZ_2_0_0_0_0_0_0_0_);
						F1095_9654(RTCW(tr3));
						tr3 = F1129_10130(RTCW(tr3));
						loc36 = tr3;
						if (EIF_TEST(loc36)) {
							loc9 = *(EIF_REFERENCE *)(loc36 + O7964[Dtype(loc36)-1094]);
							loc9 = RTRV(eif_new_type(1278, 0x00), loc9);
						}
					}
					loc37 = loc9;
					loc37 = RTRV(eif_new_type(1335, 0x01),loc37);
					if (EIF_TEST(loc37)) {
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						gtk_main_do_event((GdkEvent*) loc1);
						F1336_13281(loc37);
					}
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 28L:
					break;
				case 29L:
					break;
				case 32L:
					loc10 = F1225_11628(Current, loc3);
					loc10 = RTRV(eif_new_type(1305, 0x00), loc10);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						ti4_1 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->changed_mask);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->new_window_state);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32)) R10163[Dtype(RTCW(loc10))-1305])(loc10, ti4_1, ti4_2);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 10L:
				case 11L:
					loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					tb2 = '\0';
					tb3 = !loc13;
					if ((EIF_BOOLEAN) !tb3) {
						tb2 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventCrossing *)loc1)->mode) == ((EIF_INTEGER_32) 0L));
					}
					if (tb2) {
						gdk_window_get_user_data((GdkWindow*) loc13, (gpointer*) (EIF_POINTER *) &(loc14));
						tb2 = !loc14;
						if ((EIF_BOOLEAN) !tb2) {
							if ((EIF_BOOLEAN) !F1225_11612(Current)) {
								tb2 = '\0';
								tr3 = F1225_11628(Current, loc14);
								loc38 = tr3;
								loc38 = RTRV(eif_new_type(1276, 0x01),loc38);
								if (EIF_TEST(loc38)) {
									tp2 = *(EIF_POINTER *)(loc38 + O9425[Dtype(loc38)-1225]);
									tb2 = (EIF_BOOLEAN)(tp2 == loc14);
								}
								if (tb2) {
									loc10 = F1227_11710(loc38);
									tb2 = '\01';
									if (!(EIF_BOOLEAN)(loc10 == NULL)) {
										tb3 = F1306_12741(RTCW(loc10));
										tb2 = (EIF_BOOLEAN) !tb3;
									}
									if (tb2) {
										loc39 = loc38;
										loc39 = RTRV(eif_new_type(1278, 0x01),loc39);
										if (EIF_TEST(loc39)) {
											ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
											F1279_12306(loc39, (EIF_BOOLEAN)(ti1_1 == ((EIF_INTEGER_8) 10L)));
										}
										loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
									}
									loc11 = (EIF_REFERENCE) NULL;
									loc10 = (EIF_REFERENCE) NULL;
									{
										/* INLINED CODE (ANY.default_pointer) */
										tp2 = (EIF_POINTER)  0;
										/* END INLINED CODE */
									}
									loc14 = tp2;
								} else {
									gtk_main_do_event((GdkEvent*) loc1);
									loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								}
							}
						}
					}
					{
						/* INLINED CODE (ANY.default_pointer) */
						tp2 = (EIF_POINTER)  0;
						/* END INLINED CODE */
					}
					loc13 = tp2;
					break;
				case 8L:
				case 9L:
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
					loc40 = tr3;
					if (EIF_TEST(loc40)) {
						loc11 = (EIF_REFERENCE) loc40;
						loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
						tp2 = *(EIF_POINTER *)(RTCW(loc11) + O9425[Dtype(loc11)-1225]);
						tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(tp2));
					} else {
						if (loc24) {
							loc11 = F1225_11628(Current, loc4);
							loc11 = RTRV(eif_new_type(1226, 0x00), loc11);
						} else {
							loc12 = F1225_11628(Current, loc4);
							loc12 = RTRV(eif_new_type(1227, 0x00), loc12);
							loc11 = (EIF_REFERENCE) loc12;
						}
					}
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						loc12 = F1227_11709(RTCW(loc11));
						if ((EIF_BOOLEAN)(loc12 != NULL)) {
							loc10 = loc12;
							loc10 = RTRV(eif_new_type(1305, 0x00), loc10);
							tb2 = '\01';
							if (!(EIF_BOOLEAN)(loc10 == NULL)) {
								tb3 = F1306_12741(RTCW(loc10));
								tb2 = (EIF_BOOLEAN) !tb3;
							}
							if (tb2) {
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
								tu4_2 = (EIF_NATURAL_32) (((GdkEventKey *)loc1)->state);
								
								eif_put_natural_32_item(RTCW(tr3),4,tu4_2);
								loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								F1228_11746(RTCW(loc12), loc1);
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
							}
							loc11 = (EIF_REFERENCE) NULL;
							loc12 = (EIF_REFERENCE) NULL;
							loc10 = (EIF_REFERENCE) NULL;
						}
					}
					tb2 = !loc13;
					if ((EIF_BOOLEAN) !tb2) {
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(loc13));
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp2 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						loc13 = tp2;
					}
					break;
				case 0L:
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					loc12 = F1225_11628(Current, loc3);
					loc12 = RTRV(eif_new_type(1227, 0x00), loc12);
					if ((EIF_BOOLEAN)(loc12 != NULL)) {
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R9513[Dtype(RTCW(loc12))-1228])(loc12);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 1L:
					break;
				case 22L:
					break;
				case 23L:
					break;
				case 24L:
					break;
				case 25L:
					break;
				case 26L:
					F1225_11549(Current, loc1);
					break;
				case 27L:
					break;
				case -1L:
					break;
				case 33L:
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					loc25 = RTLNS(eif_new_type(1065, 0x01).id, 1065, _OBJSIZ_1_1_0_3_0_0_0_0_);
					tp2 = (EIF_POINTER) (((GdkEventSetting *)loc1)->name);
					F1064_9377(RTCW(loc25), tp2);
					tb2 = F1064_9399(RTCW(loc25), RTOMS(11530,0));
					if (tb2) {
						loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						tb2 = F1064_9399(RTCW(loc25), RTOMS(11530,1));
						if (tb2) {
							loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
						}
					}
					loc25 = (EIF_REFERENCE) NULL;
					gtk_main_do_event((GdkEvent*) loc1);
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_19_);
					loc41 = tr3;
					if ((EIF_BOOLEAN) (loc26 && EIF_TEST(loc41))) {
						F691_5950(loc41, NULL);
					}
					loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
				case 34L:
					break;
				case 35L:
					break;
				case 36L:
					break;
				case 37L:
					break;
				case 38L:
					break;
				case 39L:
					break;
				case 40L:
					break;
				case 41L:
					break;
				case 42L:
					break;
				case 43L:
					break;
				case 44L:
					break;
				case 45L:
					break;
				case 46L:
					break;
				case 47L:
					break;
				case 48L:
					break;
				default:
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
			}
			if (loc5) {
				if (loc6) {
					gtk_propagate_event((GtkWidget*) loc4, (GdkEvent*) loc1);
				} else {
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						loc7 = (EIF_BOOLEAN) EIF_TEST(gtk_widget_event((GtkWidget*) loc3, (GdkEvent*) loc1));
					} else {
						gtk_main_do_event((GdkEvent*) loc1);
					}
				}
			}
			gdk_event_free((GdkEvent*) loc1);
		} else {
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) {
				F1225_11532(Current);
			} else {
				loc17 = (EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL));
				loc17 = (EIF_BOOLEAN) (EIF_BOOLEAN) !loc17;
			}
		}
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_1_) = (EIF_BOOLEAN) loc27;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_2_) = (EIF_BOOLEAN) loc28;
	RTLE;
}

/* {EV_APPLICATION_IMP}.process_gtk_events */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1225_11532 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(1);
	RTLR(0,saved_except);
	RTLIU(1);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc1) {
		g_main_context_dispatch(g_main_context_default());
	}
	RTE_E
	RTXSC;
	loc1 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.process_pending_events_on_default_context */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1225_11533 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(1);
	RTLR(0,saved_except);
	RTLIU(1);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc2) {
		for (;;) {
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) break;
			loc1 = (EIF_BOOLEAN) EIF_TEST(g_main_context_iteration(NULL, FALSE));
		}
	}
	RTE_E
	RTXSC;
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.symbol_from_symbol_name */
EIF_POINTER F1225_11535 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	loc1 = F1225_11536(Current);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		loc2 = RTLNS(eif_new_type(922, 0x00).id, 922, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F923_6789(RTCW(loc2), arg1);
		tp1 = *(EIF_POINTER *)(RTCW(loc2)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = (EIF_BOOLEAN) EIF_TEST(g_module_symbol((GModule*) loc1, (gchar*) tp1, (gpointer*) (EIF_POINTER *) &(loc4)));
		if (loc3) {
			RTLE;
			return (EIF_POINTER) loc4;
		} else {
		}
	}
	RTLE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.main_module */
EIF_POINTER F1225_11536 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if ((EIF_BOOLEAN) EIF_TEST(g_module_supported())) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		Result = (EIF_POINTER) g_module_open((gchar*) tp2, (GModuleFlags) ((EIF_INTEGER_32) 0L));
	}
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.ctrl_pressed */
EIF_BOOLEAN F1225_11537 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tu4_1 = F1225_11617(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.alt_pressed */
EIF_BOOLEAN F1225_11538 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tu4_1 = F1225_11617(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.shift_pressed */
EIF_BOOLEAN F1225_11539 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tu4_1 = F1225_11617(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.windows */
EIF_REFERENCE F1225_11542 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc3);
	RTLR(1,loc4);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLR(4,loc1);
	RTLR(5,tr1);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTGC;
	loc3 = RTLNS(eif_new_type(935, 0x01).id, 935, _OBJSIZ_0_0_0_1_0_0_0_0_);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,649,0xFF01,1151,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc4 = RTLNS(typres0.id, 649, _OBJSIZ_2_3_0_1_0_0_0_0_);
	}
	F650_5552(RTCW(loc4));
	Result = (EIF_REFERENCE) loc4;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	loc1 = F651_5558(RTCW(tr1));
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F651_5571(RTCW(tr1));
	for (;;) {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		tb1 = *(EIF_BOOLEAN *)(RTCW(tr1)+ _CHROFF_2_2_);
		if (tb1) break;
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		ti4_1 = (eif_optimize_return = 1, *(EIF_INTEGER_32 *)(FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5017[Dtype(RTCW(tr1))-649])(tr1));
		loc2 = F936_7618(RTCW(loc3), ti4_1);
		loc2 = RTRV(eif_new_type(1305, 0x00), loc2);
		tb2 = '\01';
		if (!(EIF_BOOLEAN)(loc2 == NULL)) {
			tb3 = F1200_10950(RTCW(loc2));
			tb2 = tb3;
		}
		if (tb2) {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5022[Dtype(RTCW(tr1))-649])(tr1);
		} else {
			tr1 = F1200_10951(RTCW(loc2));
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5003[Dtype(RTCW(loc4))-649])(loc4, tr1);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			F651_5573(RTCW(tr1));
		}
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F651_5577(RTCW(tr1), loc1);
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.motion_tuple */
static EIF_REFERENCE F1225_11546_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (11546);
#define Result RTOSR(11546)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,7,978,996,996,981,981,981,996,996,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 8, 1);
	}
	Result = (EIF_REFERENCE) tr1;
	RTOSE (11546);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11546 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11546,F1225_11546_body,(Current));
}

/* {EV_APPLICATION_IMP}.app_motion_tuple */
static EIF_REFERENCE F1225_11547_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (11547);
#define Result RTOSR(11547)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,3,978,0xFF01,1138,996,996,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 4, 0);
	}
	tr2 = RTOSCF(11634,F1225_11634, (Current));
	((EIF_TYPED_VALUE *)tr1+1)->it_r = tr2;
	RTAR(tr1,tr2);
	((EIF_TYPED_VALUE *)tr1+2)->it_i4 = ((EIF_INTEGER_32) 0L);
	((EIF_TYPED_VALUE *)tr1+3)->it_i4 = ((EIF_INTEGER_32) 0L);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (11547);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11547 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11547,F1225_11547_body,(Current));
}

/* {EV_APPLICATION_IMP}.process_button_event */
void F1225_11548 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc8 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc9 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_NATURAL_32 tu4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(9);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,loc10);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc7);
	RTLR(8,loc11);
	RTLIU(9);
	
	RTGC;
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x_root);
	loc8 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
	loc8 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc8 + ti4_1);
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y_root);
	loc9 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
	loc9 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc9 + ti4_1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	loc3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	tp1 = (EIF_POINTER) (((GdkEventButton *)arg1)->window);
	
	eif_put_pointer_item(RTCW(loc3),1,tp1);
	
	eif_put_integer_32_item(RTCW(loc3),2,loc8);
	
	eif_put_integer_32_item(RTCW(loc3),3,loc9);
	tu4_1 = (EIF_NATURAL_32) (((GdkEventButton *)arg1)->state);
	
	eif_put_natural_32_item(RTCW(loc3),4,tu4_1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
	loc10 = tr1;
	if (EIF_TEST(loc10)) {
		loc1 = *(EIF_REFERENCE *)(loc10 + O7964[Dtype(loc10)-1094]);
		loc1 = RTRV(eif_new_type(1276, 0x00), loc1);
	} else {
		if ((EIF_BOOLEAN)(F1225_11613(Current) != NULL)) {
			loc1 = F1225_11613(Current);
		} else {
			loc2 = eif_pointer_item(RTCW(loc3),1);
			tb1 = !loc2;
			if ((EIF_BOOLEAN) !tb1) {
				loc1 = F1225_11630(Current, loc2);
				loc1 = RTRV(eif_new_type(1276, 0x00), loc1);
			}
		}
	}
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		loc4 = F1227_11710(RTCW(loc1));
		loc4 = RTRV(eif_new_type(1305, 0x00), loc4);
		loc5 = loc4;
		loc5 = RTRV(eif_new_type(1306, 0x00), loc5);
		if ((EIF_BOOLEAN)(loc5 != NULL)) {
			loc7 = loc1;
			loc7 = RTRV(eif_new_type(1334, 0x00), loc7);
		}
		loc6 = '\01';
		tb1 = '\01';
		tb2 = '\0';
		tb3 = '\0';
		if ((EIF_BOOLEAN) ((EIF_BOOLEAN)(loc5 != NULL) && (EIF_BOOLEAN)(loc7 != NULL))) {
			tb3 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventButton *)arg1)->button) == ((EIF_INTEGER_32) 3L));
		}
		if (tb3) {
			tb3 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O9816[Dtype(loc1)-1275]);
			if ((EIF_BOOLEAN)(tr1 == NULL)) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O9817[Dtype(loc1)-1275]);
				tb3 = (EIF_BOOLEAN)(tr1 == NULL);
			}
			tb2 = tb3;
		}
		if (!tb2) {
			tp2 = *(EIF_POINTER *)(RTCW(loc1) + O9425[Dtype(loc1)-1225]);
			tb1 = (EIF_BOOLEAN) !(EIF_BOOLEAN) EIF_TEST(gtk_widget_is_sensitive((GtkWidget*) tp2));
		}
		if (!tb1) {
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN)(loc4 != NULL)) {
				tb3 = F1306_12741(RTCW(loc4));
				tb2 = tb3;
			}
			if (tb2) {
				tb1 = (EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_29_) == NULL);
			}
			loc6 = tb1;
		}
	}
	if ((EIF_BOOLEAN)(loc5 == NULL)) {
		loc5 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
	}
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		(RTNA((RTCW(loc5), (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type), (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button), loc8, loc9)));
	}
	if ((EIF_BOOLEAN) !loc6) {
		tb1 = '\0';
		tb2 = '\0';
		if ((EIF_BOOLEAN)(F1225_11613(Current) == NULL)) {
			tb2 = (EIF_BOOLEAN) !arg2;
		}
		if (tb2) {
			tb2 = '\01';
			if (!(EIF_BOOLEAN)(loc1 == NULL)) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R9870[Dtype(RTCW(loc1))-1291])(loc1);
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			tb1 = tb2;
		}
		if (tb1) {
			gtk_main_do_event((GdkEvent*) arg1);
		}
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN) !arg2) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R9870[Dtype(RTCW(loc1))-1291])(loc1);
				tb2 = tb3;
			}
			if (tb2) {
				loc11 = loc1;
				tb1 = (EIF_TRUE);
			}
			if (tb1) {
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_POINTER, EIF_BOOLEAN)) R9446[Dtype(loc11)-1228])(loc11, arg1, arg2);
			} else {
				ti4_1 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x);
				ti4_2 = (EIF_INTEGER_32) tr8_1;
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y);
				ti4_3 = (EIF_INTEGER_32) tr8_1;
				ti4_4 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
				F1277_12253(RTCW(loc1), ti4_1, ti4_2, ti4_3, ti4_4, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, loc8, loc9);
			}
		}
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTLE;
}

/* {EV_APPLICATION_IMP}.handle_dnd */
void F1225_11549 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER loc5 = (EIF_POINTER) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER loc7 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc8 = (EIF_NATURAL_32) 0;
	EIF_POINTER loc9 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc10 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc11 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc12 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc13 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc15 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc17 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc18 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc17);
	RTLR(1,loc18);
	RTLR(2,loc13);
	RTLR(3,tr1);
	RTLR(4,loc14);
	RTLR(5,tr2);
	RTLR(6,loc16);
	RTLR(7,Current);
	RTLR(8,tr3);
	RTLIU(9);
	
	RTGC;
	loc1 = (EIF_POINTER) (((GdkEventDND *)arg1)->context);
	loc4 = (EIF_POINTER) gdk_drag_context_get_source_window((GdkDragContext*) loc1);
	loc6 = (EIF_POINTER) gdk_drag_get_selection((GdkDragContext*) loc1);
	loc8 = (EIF_NATURAL_32) (((GdkEventDND *)arg1)->time);
	loc2 = (EIF_POINTER) gdk_drag_context_list_targets((GdkDragContext*) loc1);
	loc17 = RTMS_EX_H("STRING",6,1544365639);
	loc18 = RTMS_EX_H("file://",7,1704345391);
	for (;;) {
		tb1 = !loc2;
		if (tb1) break;
		loc3 = (EIF_POINTER) (((GList *)loc2)->data);
		tb2 = !loc3;
		if ((EIF_BOOLEAN) !tb2) {
			gdk_selection_convert((GdkWindow*) loc4, (GdkAtom) loc6, (GdkAtom) loc3, (guint32) loc8);
			loc12 = (EIF_INTEGER_32) gdk_selection_property_get((GdkWindow*) loc4, (guchar**) (EIF_POINTER *) &(loc9), (GdkAtom*) (EIF_INTEGER_32 *) &(loc10), (gint*) (EIF_INTEGER_32 *) &(loc11));
			tb2 = !loc9;
			if ((EIF_BOOLEAN) !tb2) {
				loc13 = RTLNS(eif_new_type(1062, 0x01).id, 1062, _OBJSIZ_1_1_0_3_0_0_0_0_);
				tp1 = (EIF_POINTER) gdk_atom_name((GdkAtom) loc3);
				F1061_9211(RTCW(loc13), tp1);
				tr1 = F1058_9136(RTCW(loc17));
				tb2 = F1061_9231(RTCW(loc13), tr1);
				if (tb2) {
					loc13 = RTLNS(eif_new_type(1062, 0x01).id, 1062, _OBJSIZ_1_1_0_3_0_0_0_0_);
					F1061_9211(RTCW(loc13), loc9);
					tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
					loc14 = F1058_9155(RTCW(loc13), tw1);
					(FUNCTION_CAST(void, (EIF_REFERENCE)) R4983[Dtype(RTCW(loc14))-649])(loc14);
					for (;;) {
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R4994[Dtype(RTCW(loc14))-649])(loc14);
						if (tb2) break;
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5017[Dtype(RTCW(loc14))-649])(loc14);
						ti4_1 = F1061_9224(RTCW(tr1), loc18, ((EIF_INTEGER_32) 1L));
						if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 1L))) {
							tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5017[Dtype(RTCW(loc14))-649])(loc14);
							tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5017[Dtype(RTCW(loc14))-649])(loc14);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr2)+ _LNGOFF_1_1_0_2_);
							tr1 = F1063_9369(RTCW(tr1), ((EIF_INTEGER_32) 8L), ti4_1);
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5021[Dtype(RTCW(loc14))-649])(loc14, tr1);
							loc15 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R4996[Dtype(RTCW(loc14))-649])(loc14);
						} else {
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R5022[Dtype(RTCW(loc14))-649])(loc14);
						}
					}
				}
			}
		}
		tp1 = (EIF_POINTER) (((GList *)loc2)->next);
		loc2 = (EIF_POINTER) tp1;
	}
	if ((EIF_BOOLEAN) (loc15 && (EIF_BOOLEAN)(loc14 != NULL))) {
		loc5 = (EIF_POINTER) gdk_drag_context_get_dest_window((GdkDragContext*) loc1);
		tb3 = !loc5;
		if ((EIF_BOOLEAN) !tb3) {
			gdk_window_get_user_data((GdkWindow*) loc5, (gpointer*) (EIF_POINTER *) &(loc7));
			tb3 = !loc7;
			if ((EIF_BOOLEAN) !tb3) {
				loc16 = F1225_11628(Current, loc7);
				loc16 = RTRV(eif_new_type(1278, 0x00), loc16);
				tb3 = '\0';
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tb4 = F1200_10950(RTCW(loc16));
					tb3 = (EIF_BOOLEAN) !tb4;
				}
				if (tb3) {
					tr1 = *(EIF_REFERENCE *)(RTCW(loc16) + O3417[Dtype(loc16)-160]);
					if ((EIF_BOOLEAN)(tr1 != NULL)) {
						tr1 = F161_3447(RTCW(loc16));
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,978,0xFF01,625,0xFF01,1062,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 2, 0);
						}
						((EIF_TYPED_VALUE *)tr2+1)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5326[Dtype(RTCW(tr1))-689])(tr1, tr2);
					}
					if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_7_) != NULL)) {
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_7_);
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,2,978,0xFF01,1138,0xFF01,625,0xFF01,1062,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 3, 0);
						}
						tr3 = F1200_10951(RTCW(loc16));
						((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
						RTAR(tr2,tr3);
						((EIF_TYPED_VALUE *)tr2+2)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5326[Dtype(RTCW(tr1))-689])(tr1, tr2);
					}
				}
			}
		}
	}
	gdk_drop_finish((GdkDragContext*) loc1, (gboolean) loc15, (guint32) loc8);
	gtk_drag_finish((GdkDragContext*) loc1, (gboolean) loc15, (gboolean) (EIF_BOOLEAN) 0, (guint32) loc8);
	g_free((gpointer) loc9);
	g_free((gpointer) loc2);
	RTLE;
}

/* {EV_APPLICATION_IMP}.sleep */
void F1225_11601 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_INTEGER_64 ti8_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti8_1 = (EIF_INTEGER_64) arg1;
	F715_6113(Current, (EIF_INTEGER_64) (((EIF_INTEGER_64) RTI64C(1000000)) * ti8_1));
	RTLE;
}

/* {EV_APPLICATION_IMP}.destroy */
void F1225_11602 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	if ((EIF_BOOLEAN) !F1200_10950(Current)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_) != tp1)) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_);
			inline_F107_1863(tp1);
		}
		F1200_10966(Current, (EIF_BOOLEAN) 1);
		tr1 = F131_3073(Current);
		F691_5950(RTCW(tr1), NULL);
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.tooltip_delay */
EIF_INTEGER_32 F1225_11603 (EIF_REFERENCE Current)
{
	return *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_);
}


/* {EV_APPLICATION_IMP}.set_tooltip_delay */
void F1225_11604 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_) = (EIF_INTEGER_32) arg1;
}

/* {EV_APPLICATION_IMP}.set_docking_source */
void F1225_11605 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_46_) = (EIF_REFERENCE) arg1;
}

/* {EV_APPLICATION_IMP}.on_pick */
void F1225_11606 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,arg2);
	RTLIU(5);
	
	RTGC;
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) arg1;
	tr1 = F1093_9634(RTCV(F1200_10951(Current)));
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,978,0xFF01,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr2 = RTLNTS(typres0.id, 2, 0);
	}
	((EIF_TYPED_VALUE *)tr2+1)->it_r = arg2;
	RTAR(tr2,arg2);
	F692_5951(RTCW(tr1), tr2);
	RTLE;
}

/* {EV_APPLICATION_IMP}.on_drop */
void F1225_11607 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) NULL;
}

/* {EV_APPLICATION_IMP}.pnd_source_hint */
static EIF_REFERENCE F1225_11608_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOSP (11608);
#define Result RTOSR(11608)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1098, 0x01).id, 1098, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1095_9654(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (11608);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11608 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11608,F1225_11608_body,(Current));
}

/* {EV_APPLICATION_IMP}.activate_docking_source_hint */
void F1225_11609 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg3);
	RTLIU(3);
	
	RTGC;
	if ((EIF_BOOLEAN) !RTOSCF(11512,F1225_11512, (Current))) {
		tr1 = RTOSCF(11608,F1225_11608, (Current));
		F1099_9726(RTCW(tr1), arg1, arg2, ((EIF_INTEGER_32) 50L), ((EIF_INTEGER_32) 50L), arg3);
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.deactivate_docking_source_hint */
void F1225_11610 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tb1 = '\0';
	if ((EIF_BOOLEAN) !RTOSCF(11512,F1225_11512, (Current))) {
		tb2 = F1099_9725(RTCV(RTOSCF(11608,F1225_11608, (Current))));
		tb1 = tb2;
	}
	if (tb1) {
		F1099_9727(RTCV(RTOSCF(11608,F1225_11608, (Current))));
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.is_in_transport */
EIF_BOOLEAN F1225_11612 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\01';
	if (!(EIF_BOOLEAN)(F1225_11613(Current) != NULL)) {
		Result = (EIF_BOOLEAN)(F1225_11614(Current) != NULL);
	}
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.pick_and_drop_source */
EIF_REFERENCE F1225_11613 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_45_);
}

/* {EV_APPLICATION_IMP}.docking_source */
EIF_REFERENCE F1225_11614 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_46_);
}

/* {EV_APPLICATION_IMP}.keyboard_modifier_mask */
EIF_NATURAL_32 F1225_11617 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_NATURAL_32 tu4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLIU(2);
	
	RTGC;
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_)) {
		loc1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	} else {
		loc1 = F1225_11618(Current);
	}
	tu4_1 = eif_natural_32_item(RTCW(loc1),4);
	RTLE;
	return (EIF_NATURAL_32) tu4_1;
}

/* {EV_APPLICATION_IMP}.retrieve_display_data */
EIF_REFERENCE F1225_11618 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_)) {
		F1225_11619(Current);
	}
	RTLE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_48_);
}

/* {EV_APPLICATION_IMP}.update_display_data */
void F1225_11619 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc2 = (EIF_NATURAL_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc5 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	loc6 = inline_F26_733();
	inline_F26_730(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
	loc1 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4));
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		tp1 = (EIF_POINTER) gdk_window_get_device_position((GdkWindow*) loc1, (GdkDevice *) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4), (GdkModifierType*) (EIF_NATURAL_32 *) &(loc2));
		loc1 = (EIF_POINTER) tp1;
		inline_F26_730(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
		
		eif_put_pointer_item(RTCW(loc5),1,loc1);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
		
		eif_put_integer_32_item(RTCW(loc5),2,(EIF_INTEGER_32) (loc3 + ti4_1));
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
		
		eif_put_integer_32_item(RTCW(loc5),3,(EIF_INTEGER_32) (loc4 + ti4_2));
		
		eif_put_natural_32_item(RTCW(loc5),4,loc2);
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.enable_debugger */
void F1225_11624 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		tb1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_);
		inline_F154_3421(tb1);
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.disable_debugger */
void F1225_11625 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		tb1 = EIF_TEST (inline_F154_3422());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		F154_3420(Current);
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.eif_object_from_gtk_object */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F1225_11628 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTED;
	EIF_POINTER EIF_VOLATILE loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	RTXD;
	
	RTLI(3);
	RTLR(0,tr1);
	RTLR(1,Result);
	RTLR(2,saved_except);
	RTLIU(3);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc2) {
		loc1 = (EIF_POINTER) arg1;
		for (;;) {
			tb1 = '\01';
			if (!(EIF_BOOLEAN)(Result != NULL)) {
				tb2 = !loc1;
				tb1 = tb2;
			}
			if (tb1) break;
			tr1 = RTLNS(eif_new_type(937, 0x01).id, 937, _OBJSIZ_0_0_0_1_0_0_0_0_);
			Result = F938_7665(RTCW(tr1), loc1);
			tp1 = (EIF_POINTER) gtk_widget_get_parent((GtkWidget*) loc1);
			loc1 = (EIF_POINTER) tp1;
		}
		tb2 = '\0';
		if ((EIF_BOOLEAN)(Result != NULL)) {
			tb3 = F1200_10950(RTCW(Result));
			tb2 = tb3;
		}
		if (tb2) {
			Result = (EIF_REFERENCE) NULL;
		}
	} else {
	}
	RTE_E
	RTXSC;
	Result = (EIF_REFERENCE) NULL;
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.gtk_widget_imp_at_pointer_position */
EIF_REFERENCE F1225_11629 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tp1 = inline_F26_733();
	loc3 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) tp1, (gint*) (EIF_INTEGER_32 *) &(loc1), (gint*) (EIF_INTEGER_32 *) &(loc2));
	tb1 = !loc3;
	if ((EIF_BOOLEAN) !tb1) {
		RTLE;
		return (EIF_REFERENCE) F1225_11630(Current, loc3);
	}
	RTLE;
	return (EIF_REFERENCE) 0;
}

/* {EV_APPLICATION_IMP}.gtk_widget_from_gdk_window */
EIF_REFERENCE F1225_11630 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Result);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	gdk_window_get_user_data((GdkWindow*) arg1, (gpointer*) (EIF_POINTER *) &(loc1));
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		Result = F1225_11628(Current, loc1);
		RTLE;
		return RTRV(eif_new_type(1226, 0x00), Result);
	}
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_gtk_window */
static EIF_POINTER F1225_11632_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (11632);
#define Result RTOSR(11632)
	tr1 = RTOSCF(11636,F1225_11636, (Current));
	Result = *(EIF_POINTER *)(RTCW(tr1) + O9425[Dtype(tr1)-1225]);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	ti4_1 = F936_7617(RTCV(RTOSCF(11636,F1225_11636, (Current))));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5006[Dtype(RTCW(tr1))-586])(tr1, (EIF_REFERENCE) &ti4_1);
	RTOSE (11632);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1225_11632 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11632,F1225_11632_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_gdk_window */
EIF_POINTER F1225_11633 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tp1 = RTOSCF(11632,F1225_11632, (Current));
	Result = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp1);
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_widget */
static EIF_REFERENCE F1225_11634_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (11634);
#define Result RTOSR(11634)
	RTOC_NEW(Result);
	RTCT0("attached {EV_WIDGET} default_window as l_widget", EX_CHECK);
	tr1 = RTOSCF(11635,F1225_11635, (Current));
	loc1 = tr1;
	if ((EIF_TRUE)) {
		RTCK0;
	} else {
		RTCF0;
	}
	Result = (EIF_REFERENCE) loc1;
	RTOSE (11634);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11634 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11634,F1225_11634_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window */
static EIF_REFERENCE F1225_11635_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOSP (11635);
#define Result RTOSR(11635)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1151, 0x01).id, 1151, _OBJSIZ_6_3_0_1_0_0_0_0_);
	F1095_9654(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (11635);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11635 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11635,F1225_11635_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window_imp */
static EIF_REFERENCE F1225_11636_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (11636);
#define Result RTOSR(11636)
	RTOC_NEW(Result);
	RTCT0("attached {EV_WINDOW_IMP} default_window.implementation as win", EX_CHECK);
	tr1 = RTOSCF(11635,F1225_11635, (Current));
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + O7964[Dtype(tr1)-1094]);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1305, 0x01),loc1);
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	Result = (EIF_REFERENCE) loc1;
	RTOSE (11636);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11636 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11636,F1225_11636_body,(Current));
}

/* {EV_APPLICATION_IMP}.reusable_rectangle_struct */
static EIF_POINTER F1225_11637_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEV;
	RTOSP (11637);
#define Result RTOSR(11637)
	Result = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	RTOSE (11637);
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1225_11637 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11637,F1225_11637_body,(Current));
}

/* {EV_APPLICATION_IMP}.c_string_from_eiffel_string */
EIF_REFERENCE F1225_11638 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7601[Dtype(RTCW(arg1))-1061])(arg1);
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1000L))) {
		tr1 = RTLNS(eif_new_type(922, 0x00).id, 922, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F923_6789(RTCW(tr1), arg1);
		RTLE;
		return (EIF_REFERENCE) tr1;
	} else {
		Result = RTOSCF(11639,F1225_11639, (Current));
		F923_6789(RTCW(Result), arg1);
	}
	RTLE;
	return Result;
}

/* {EV_APPLICATION_IMP}.reusable_gtk_c_string */
static EIF_REFERENCE F1225_11639_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (11639);
#define Result RTOSR(11639)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(922, 0x01).id, 922, _OBJSIZ_0_1_0_1_0_1_0_0_);
	tr2 = RTMS_EX_H("",0,0);
	F923_6789(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (11639);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1225_11639 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(11639,F1225_11639_body,(Current));
}

/* {EV_APPLICATION_IMP}.initialize_threading */
void F1225_11641 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_thread_capable__b) {
		tr1 = RTLNSMART(eif_new_type(924, 0).id);
		F925_6806(RTCW(tr1));
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_33_) = (EIF_REFERENCE) tr1;
	}
	RTLE;
}

/* {EV_APPLICATION_IMP}.enable_ev_gtk_log */
void F1225_11644 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	enable_ev_gtk_log((EIF_INTEGER) arg1);
	
}

/* {EV_APPLICATION_IMP}.gtk_init_check */
EIF_BOOLEAN F1225_11646 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	return Result;
}

/* {EV_APPLICATION_IMP}.c_get_screen_geometry */
void F1225_11647 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	
	inline_F1225_11647 ((EIF_POINTER) arg1);
}

void EIF_Minit577 (void)
{
	GTCX
	RTPOMS(11511,0,"EV_HAS_X11_SUPPORT",18,1084065108);
	RTPOMS(11530,1,"gtk-font-name",13,1067777893);
	RTPOMS(11530,0,"gtk-theme-name",14,97340261);
}


#ifdef __cplusplus
}
#endif
