/*
 * Code for class ENCODING_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "en774.h"
#include <string.h>
#include "eif_built_in.h"
#include <iconv.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F1429_14521
static EIF_POINTER inline_F1429_14521 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32* arg4, EIF_INTEGER_32* arg5)
{
	size_t insize = 0;
iconv_t cd = (iconv_t) arg1;
size_t nconv, avail, alloc;
char *res, *tres, *wrptr, *inptr;
char **l_inptr = &inptr;

insize = (size_t)arg3;
alloc = avail = insize + insize/4;

if (!(res = malloc(alloc))) {
	*arg5 = 1;
	return NULL;
} else {
	*arg5 = 0;
	wrptr = res;   /* duplicate pointers because they */
	inptr = arg2; /* get modified by iconv */
	
	/* Reset the descriptor to intial state. */
	iconv (cd, NULL, 0, NULL, 0);
	
	do {				
		nconv = iconv (cd, l_inptr, &insize, &wrptr, &avail); /*convertions */
		
		if (nconv == (size_t)(-1)) {
			if (errno == E2BIG) { /* need more room for result */							
				tres = realloc(res, alloc += 20);
				avail += 20;
				if (!tres) {
					*arg5 = 2;
					break;
				}
				wrptr = tres + (wrptr - res);
				res = tres;
			}
			else if (errno == EILSEQ) {
				*arg5 = 4;
				break;
			}
			else if (errno == EINVAL){
				*arg5 = 5;
				break;
			}
			else if (errno == EBADF){
				*arg5 = 6;
				break;
			}
			else{
				*arg5 = 7;
				break;
			}
		}
	} while (insize);
	
	*arg4 = alloc - avail;
	
	return res;
}
	;
}
#define INLINE_F1429_14521
#endif
#ifndef INLINE_F1429_14520
static EIF_POINTER inline_F1429_14520 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3, EIF_BOOLEAN* arg4)
{
	iconv_t cd;

cd = iconv_open (arg2, arg1);
if (cd == (iconv_t)(-1)) {
	*arg3 = 3;
	return NULL;
}
*arg4 = EIF_TRUE;
return cd;
	;
}
#define INLINE_F1429_14520
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {ENCODING_IMP}.convert_to */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1429_14499 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	RTED;
	EIF_REFERENCE EIF_VOLATILE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER EIF_VOLATILE loc3 = (EIF_POINTER) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc7 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc8 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc9 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_NATURAL_32  EIF_VOLATILE tu4_1;
	EIF_CHARACTER_32  EIF_VOLATILE tw1;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	RTLD;
	RTXD;
	
	RTLI(12);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,loc5);
	RTLR(3,arg2);
	RTLR(4,tr1);
	RTLR(5,arg3);
	RTLR(6,loc1);
	RTLR(7,loc6);
	RTLR(8,loc10);
	RTLR(9,loc11);
	RTLR(10,loc12);
	RTLR(11,saved_except);
	RTLIU(12);
	RTXSLS;
	
	RTEAA("convert_to", 1428, Current, 12, 3, 20138);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc9) {
		RTHOOK(2);
		loc7 = '\01';
		if (!F1429_14506(Current, arg1)) {
			tb1 = '\0';
			if ((EIF_BOOLEAN) !RTOSCF(3563,F181_3563, (Current))) {
				tb1 = (EIF_BOOLEAN) !F1429_14507(Current, arg1);
			}
			loc7 = tb1;
		}
		RTHOOK(3);
		if (F1429_14505(Current, arg1)) {
			RTHOOK(4);
			tr1 = F1078_9267(RTCW(arg2));
			loc5 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
			RTHOOK(5);
			tr1 = RTOSCF(14509,F1429_14509, (Current));
			tb1 = F17_178(RTCW(tr1), arg1, arg3);
			if ((EIF_BOOLEAN) !tb1) {
				RTHOOK(6);
				if (((loc7) != (RTOSCF(3563,F181_3563, (Current))))) {
					RTHOOK(7);
					tw1 = RTOSCF(14516,F1429_14516, (Current));
				} else {
					RTHOOK(8);
					tw1 = RTOSCF(14517,F1429_14517, (Current));
				}
				F1087_9609(RTCW(loc5), tw1);
			}
			RTHOOK(9);
			loc1 = F1429_14515(Current, loc5);
			RTHOOK(10);
			loc2 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 * ((EIF_INTEGER_32) 4L));
		} else {
			RTHOOK(11);
			if (F1429_14504(Current, arg1)) {
				RTHOOK(12);
				tr1 = F1078_9267(RTCW(arg2));
				loc5 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
				RTHOOK(13);
				tr1 = RTOSCF(14509,F1429_14509, (Current));
				tb1 = F17_178(RTCW(tr1), arg1, arg3);
				if ((EIF_BOOLEAN) !tb1) {
					RTHOOK(14);
					if (((loc7) != (RTOSCF(3563,F181_3563, (Current))))) {
						RTHOOK(15);
						tw1 = RTOSCF(14516,F1429_14516, (Current));
					} else {
						RTHOOK(16);
						tw1 = RTOSCF(14518,F1429_14518, (Current));
					}
					F1087_9609(RTCW(loc5), tw1);
				}
				RTHOOK(17);
				loc1 = F181_3553(Current, loc5);
				RTHOOK(18);
				loc2 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
				loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 * ((EIF_INTEGER_32) 2L));
			} else {
				RTHOOK(19);
				tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7626[Dtype(RTCW(arg2))-1081])(arg2);
				if (tb1) {
					RTHOOK(20);
					loc6 = F1078_9261(RTCW(arg2));
				} else {
					RTHOOK(21);
					tr1 = RTLNS(eif_new_type(51, 0x00).id, 51, _OBJSIZ_0_0_0_0_0_0_0_0_);
					loc6 = F52_910(RTCW(tr1), arg2);
				}
				RTHOOK(22);
				loc1 = F181_3552(Current, loc6);
				RTHOOK(23);
				loc2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_1_1_0_2_);
			}
		}
		RTHOOK(24);
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = F1429_14510(Current, arg1, arg3, tp1, loc2, (EIF_INTEGER_32 *) &(loc4), (EIF_INTEGER_32 *) &(loc8));
		RTHOOK(25);
		tb1 = '\0';
		if ((EIF_BOOLEAN)(loc8 == ((EIF_INTEGER_32) 0L))) {
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			tb1 = (EIF_BOOLEAN)(loc3 != tp1);
		}
		if (tb1) {
			RTHOOK(26);
			*(EIF_BOOLEAN *)(Current+ _CHROFF_1_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			RTHOOK(27);
			if (F1429_14505(Current, arg3)) {
				RTHOOK(28);
				loc5 = F181_3556(Current, loc3, loc4);
				RTHOOK(29);
				tb1 = F527_5509(RTCW(loc5));
				if ((EIF_BOOLEAN) !tb1) {
					RTHOOK(30);
					tu4_1 = F1087_9588(RTCW(loc5), ((EIF_INTEGER_32) 1L));
					if (F1429_14513(Current, tu4_1)) {
						RTHOOK(31);
						ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
						tr1 = F1087_9666(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
						loc5 = (EIF_REFERENCE) tr1;
						RTHOOK(32);
						tb1 = '\01';
						tb2 = '\0';
						if (F1429_14506(Current, arg3)) {
							tb2 = RTOSCF(3563,F181_3563, (Current));
						}
						if (!tb2) {
							tb2 = '\0';
							if (F1429_14507(Current, arg3)) {
								tb2 = (EIF_BOOLEAN) !RTOSCF(3563,F181_3563, (Current));
							}
							tb1 = tb2;
						}
						if (tb1) {
							RTHOOK(33);
							tr1 = F181_3561(Current, loc5);
							loc5 = (EIF_REFERENCE) tr1;
						}
					} else {
						RTHOOK(34);
						tu4_1 = F1087_9588(RTCW(loc5), ((EIF_INTEGER_32) 1L));
						if (F1429_14514(Current, tu4_1)) {
							RTHOOK(35);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
							tr1 = F1087_9666(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
							loc5 = (EIF_REFERENCE) tr1;
							RTHOOK(36);
							tb1 = '\01';
							tb2 = '\01';
							tb3 = '\0';
							if (F1429_14507(Current, arg3)) {
								tb3 = RTOSCF(3563,F181_3563, (Current));
							}
							if (!tb3) {
								tb3 = '\0';
								if (F1429_14506(Current, arg3)) {
									tb3 = (EIF_BOOLEAN) !RTOSCF(3563,F181_3563, (Current));
								}
								tb2 = tb3;
							}
							if (!tb2) {
								tb1 = (EIF_BOOLEAN) !F1429_14508(Current, arg3);
							}
							if (tb1) {
								RTHOOK(37);
								tr1 = F181_3561(Current, loc5);
								loc5 = (EIF_REFERENCE) tr1;
							}
						}
					}
				}
				RTHOOK(38);
				loc10 = (EIF_REFERENCE) loc5;
			} else {
				RTHOOK(39);
				if (F1429_14504(Current, arg3)) {
					RTHOOK(40);
					loc5 = F181_3555(Current, loc3, loc4);
					RTHOOK(41);
					tb1 = F527_5509(RTCW(loc5));
					if ((EIF_BOOLEAN) !tb1) {
						RTHOOK(42);
						tu4_1 = F1087_9588(RTCW(loc5), ((EIF_INTEGER_32) 1L));
						if (F1429_14513(Current, tu4_1)) {
							RTHOOK(43);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
							tr1 = F1087_9666(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
							loc5 = (EIF_REFERENCE) tr1;
							RTHOOK(44);
							tb1 = '\01';
							tb2 = '\0';
							if (F1429_14506(Current, arg3)) {
								tb2 = RTOSCF(3563,F181_3563, (Current));
							}
							if (!tb2) {
								tb2 = '\0';
								if (F1429_14507(Current, arg3)) {
									tb2 = (EIF_BOOLEAN) !RTOSCF(3563,F181_3563, (Current));
								}
								tb1 = tb2;
							}
							if (tb1) {
								RTHOOK(45);
								tr1 = F181_3562(Current, loc5);
								loc5 = (EIF_REFERENCE) tr1;
							}
						} else {
							RTHOOK(46);
							tu4_1 = F1087_9588(RTCW(loc5), ((EIF_INTEGER_32) 1L));
							if (F1429_14514(Current, tu4_1)) {
								RTHOOK(47);
								ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
								tr1 = F1087_9666(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
								loc5 = (EIF_REFERENCE) tr1;
								RTHOOK(48);
								tb1 = '\01';
								tb2 = '\01';
								tb3 = '\0';
								if (F1429_14507(Current, arg3)) {
									tb3 = RTOSCF(3563,F181_3563, (Current));
								}
								if (!tb3) {
									tb3 = '\0';
									if (F1429_14506(Current, arg3)) {
										tb3 = (EIF_BOOLEAN) !RTOSCF(3563,F181_3563, (Current));
									}
									tb2 = tb3;
								}
								if (!tb2) {
									tb1 = (EIF_BOOLEAN) !F1429_14508(Current, arg3);
								}
								if (tb1) {
									RTHOOK(49);
									tr1 = F181_3562(Current, loc5);
									loc5 = (EIF_REFERENCE) tr1;
								}
							}
						}
					}
					RTHOOK(50);
					*(EIF_BOOLEAN *)(Current+ _CHROFF_1_1_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(51);
					loc10 = (EIF_REFERENCE) loc5;
				} else {
					RTHOOK(52);
					loc10 = F181_3554(Current, loc3, loc4);
				}
			}
			RTHOOK(53);
			RTAR(Current, loc10);
			*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) loc10;
		} else {
			RTHOOK(54);
			*(EIF_BOOLEAN *)(Current+ _CHROFF_1_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		}
		RTHOOK(55);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc3 != tp1)) {
			RTHOOK(56);
			free(loc3);
		}
	}
	RTE_E
	RTXSC;
	RTHOOK(57);
	loc9 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(58);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc3 != tp1)) {
		RTHOOK(59);
		free(loc3);
	}
	RTHOOK(60);
	loc11 = F163_3250(RTCV(RTOSCF(4124,F240_4124, (Current))));
	RTHOOK(61);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc11 != NULL)) {
		tr1 = F242_4159(RTCW(loc11));
		loc12 = tr1;
		loc12 = RTRV(eif_new_type(243, 0x00),loc12);
		tb1 = EIF_TEST(loc12);
	}
	if (tb1) {
		RTHOOK(62);
		RTER;
	}
	/* NOTREACHED */
	RTE_EE
	RTHOOK(63);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.is_code_page_valid */
EIF_BOOLEAN F1429_14500 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(2);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("is_code_page_valid", 1428, Current, 0, 1, 20139);
	RTGC;
	RTHOOK(1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7627[Dtype(RTCW(arg1))-1081])(arg1);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		RTHOOK(2);
		RTHOOK(3);
		RTLE;
		RTEE;
		return (EIF_BOOLEAN) F1429_14503(Current, arg1);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
	return (EIF_BOOLEAN) 0;
}

/* {ENCODING_IMP}.is_code_page_convertible */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_BOOLEAN F1429_14501 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_VOLATILE EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	RTXD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,Current);
	RTLR(3,tr1);
	RTLR(4,saved_except);
	RTLIU(5);
	RTXSLS;
	
	RTEAA("is_code_page_convertible", 1428, Current, 2, 2, 20140);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		RTHOOK(2);
		Result = F1429_14511(Current, arg1, arg2, (EIF_INTEGER_32 *) &(loc1));
		RTHOOK(3);
		if ((EIF_BOOLEAN)(loc1 != ((EIF_INTEGER_32) 0L))) {
			RTHOOK(4);
			tr1 = F1429_14519(Current, loc1);
			F242_4151(RTCW(tr1));
		}
	}
	RTE_E
	RTXSC;
	RTHOOK(5);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(6);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(7);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(8);
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.is_known_code_page */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_BOOLEAN F1429_14503 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_VOLATILE EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	RTXD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,saved_except);
	RTLIU(4);
	RTXSLS;
	
	RTEAA("is_known_code_page", 1428, Current, 2, 1, 20142);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		RTHOOK(2);
		tr1 = RTOSCF(715,F44_715, (Current));
		tb1 = F1081_9364(RTCW(arg1), tr1);
		if ((EIF_BOOLEAN) !tb1) {
			RTHOOK(3);
			Result = F1429_14512(Current, arg1, (EIF_INTEGER_32 *) &(loc1));
			RTHOOK(4);
			if ((EIF_BOOLEAN)(loc1 != ((EIF_INTEGER_32) 0L))) {
				RTHOOK(5);
				tr1 = F1429_14519(Current, loc1);
				F242_4151(RTCW(tr1));
			}
		} else {
			RTHOOK(6);
			Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	RTE_E
	RTXSC;
	RTHOOK(7);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(8);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(9);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(10);
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.is_two_byte_code_page */
EIF_BOOLEAN F1429_14504 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("is_two_byte_code_page", 1428, Current, 0, 1, 20143);
	RTGC;
	RTHOOK(1);
	tr1 = RTOSCF(1470,F110_1470, (Current));
	Result = F700_6067(RTCW(tr1), arg1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.is_four_byte_code_page */
EIF_BOOLEAN F1429_14505 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("is_four_byte_code_page", 1428, Current, 0, 1, 20144);
	RTGC;
	RTHOOK(1);
	tr1 = RTOSCF(1471,F110_1471, (Current));
	Result = F700_6067(RTCW(tr1), arg1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.is_big_endian_code_page */
EIF_BOOLEAN F1429_14506 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("is_big_endian_code_page", 1428, Current, 0, 1, 20145);
	RTGC;
	RTHOOK(1);
	tr1 = RTOSCF(1473,F110_1473, (Current));
	Result = F700_6067(RTCW(tr1), arg1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.is_little_endian_code_page */
EIF_BOOLEAN F1429_14507 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("is_little_endian_code_page", 1428, Current, 0, 1, 20146);
	RTGC;
	RTHOOK(1);
	tr1 = RTOSCF(1472,F110_1472, (Current));
	Result = F700_6067(RTCW(tr1), arg1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.is_endianness_specified */
EIF_BOOLEAN F1429_14508 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("is_endianness_specified", 1428, Current, 0, 1, 20124);
	RTGC;
	RTHOOK(1);
	Result = '\01';
	if (!F1429_14506(Current, arg1)) {
		Result = F1429_14507(Current, arg1);
	}
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.descriptor_cache */
static EIF_REFERENCE F1429_14509_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("descriptor_cache", 1428, Current, 0, 0, 20125);
	RTGC;
	RTOSP (14509);
#define Result RTOSR(14509)
	RTOC_NEW(Result);
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(16, 0x00).id, 16, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F17_172(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (14509);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1429_14509 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(14509,F1429_14509_body,(Current));
}

/* {ENCODING_IMP}.iconv_imp */
EIF_POINTER F1429_14510 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32* arg5, EIF_INTEGER_32* arg6)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTEAA("iconv_imp", 1428, Current, 0, 6, 20126);
	RTGC;
	RTHOOK(1);
	tr1 = RTOSCF(14509,F1429_14509, (Current));
	tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R7762[Dtype(RTCW(arg1))-1081])(arg1, arg2);
	F17_174(RTCW(tr1), tr2);
	
	RTHOOK(3);
	tp1 = F17_177(RTCV(RTOSCF(14509,F1429_14509, (Current))));
	Result = inline_F1429_14521(tp1, arg3, arg4, arg5, arg6);
	RTHOOK(4);
	tr1 = RTOSCF(14509,F1429_14509, (Current));
	F17_175(RTCW(tr1), arg1, arg2);
	RTHOOK(5);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.is_codeset_convertible */
EIF_BOOLEAN F1429_14511 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,loc1);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTEAA("is_codeset_convertible", 1428, Current, 5, 3, 20127);
	RTGC;
	RTHOOK(1);
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R7762[Dtype(RTCW(arg1))-1081])(arg1, arg2);
	RTHOOK(2);
	tr1 = RTOSCF(14509,F1429_14509, (Current));
	F17_174(RTCW(tr1), loc3);
	RTHOOK(3);
	tb1 = F17_176(RTCV(RTOSCF(14509,F1429_14509, (Current))));
	if (tb1) {
		RTHOOK(4);
		RTHOOK(5);
		RTLE;
		RTEE;
		return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	} else {
		RTHOOK(6);
		loc1 = F181_3552(Current, arg1);
		RTHOOK(7);
		loc2 = F181_3552(Current, arg2);
		RTHOOK(8);
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		tp2 = *(EIF_POINTER *)(RTCW(loc2)+ _PTROFF_0_1_0_1_0_0_);
		loc4 = inline_F1429_14520(tp1, tp2, arg3, (EIF_BOOLEAN *) &(loc5));
		RTHOOK(9);
		if (loc5) {
			RTHOOK(10);
			tr1 = RTOSCF(14509,F1429_14509, (Current));
			F17_173(RTCW(tr1), loc4, loc3);
			RTHOOK(11);
			RTHOOK(12);
			RTLE;
			RTEE;
			return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	RTHOOK(13);
	RTLE;
	RTEE;
	return (EIF_BOOLEAN) 0;
}

/* {ENCODING_IMP}.c_codeset_valid */
EIF_BOOLEAN F1429_14512 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32* arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("c_codeset_valid", 1428, Current, 0, 2, 20128);
	RTGC;
	RTHOOK(1);
	tr1 = RTMS_EX_H("utf-8",5,1953751864);
	Result = F1429_14511(Current, arg1, tr1, arg2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.same_endian */
EIF_BOOLEAN F1429_14513 (EIF_REFERENCE Current, EIF_NATURAL_32 arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	RTEAA("same_endian", 1428, Current, 0, 1, 20129);
	RTHOOK(1);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65279L));
	RTHOOK(2);
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.reverse_endian */
EIF_BOOLEAN F1429_14514 (EIF_REFERENCE Current, EIF_NATURAL_32 arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	RTEAA("reverse_endian", 1428, Current, 0, 1, 20130);
	RTHOOK(1);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65534L)) || (EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_64) RTI64C(4294836224))));
	RTHOOK(2);
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.string_32_to_pointer */
EIF_REFERENCE F1429_14515 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,Result);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("string_32_to_pointer", 1428, Current, 5, 1, 20131);
	RTGC;
	RTHOOK(1);
	loc5 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	RTHOOK(2);
	loc4 = *(EIF_INTEGER_32 *)(RTCW(arg1) + O7847[Dtype(arg1)-1084]);
	RTHOOK(3);
	Result = RTLNS(eif_new_type(946, 0x00).id, 946, _OBJSIZ_0_1_0_1_0_1_1_0_);
	F947_7012(RTCW(Result), (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc4 + ((EIF_INTEGER_32) 1L)) * ((EIF_INTEGER_32) 4L)));
	RTHOOK(4);
	loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc4 - loc5) + ((EIF_INTEGER_32) 1L));
	RTHOOK(5);
	loc3 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc2 + ((EIF_INTEGER_32) 1L)) * ((EIF_INTEGER_32) 4L));
	RTHOOK(6);
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result)+ _LNGOFF_0_1_0_0_);
	if ((EIF_BOOLEAN) (ti4_1 < loc3)) {
		RTHOOK(7);
		F947_7102(RTCW(Result), loc3);
	}
	RTHOOK(8);
	loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	for (;;) {
		RTHOOK(9);
		if ((EIF_BOOLEAN)(loc1 == loc2)) break;
		RTHOOK(10);
		tu4_1 = (FUNCTION_CAST(EIF_NATURAL_32, (EIF_REFERENCE, EIF_INTEGER_32)) R7612[Dtype(RTCW(arg1))-1081])(arg1, (EIF_INTEGER_32) (loc1 + loc5));
		F947_7045(RTCW(Result), tu4_1, (EIF_INTEGER_32) (loc1 * ((EIF_INTEGER_32) 4L)));
		RTHOOK(11);
		loc1++;
	}
	RTHOOK(12);
	F947_7045(RTCW(Result), (EIF_NATURAL_32) ((EIF_INTEGER_32) 0L), (EIF_INTEGER_32) (loc1 * ((EIF_INTEGER_32) 4L)));
	RTHOOK(13);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.byte_order_mark */
static EIF_CHARACTER_32 F1429_14516_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	

	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("byte_order_mark", 1428, Current, 0, 0, 20132);
	RTGC;
	RTOSP (14516);
#define Result RTOSR(14516)
	RTHOOK(1);
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_32) 65279L);
	RTOSE (14516);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F1429_14516 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(14516,F1429_14516_body,(Current));
}

/* {ENCODING_IMP}.byte_order_mark_32_reverse */
static EIF_CHARACTER_32 F1429_14517_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	

	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("byte_order_mark_32_reverse", 1428, Current, 0, 0, 20133);
	RTGC;
	RTOSP (14517);
#define Result RTOSR(14517)
	RTHOOK(1);
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_64) RTI64C(4294836224));
	RTOSE (14517);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F1429_14517 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(14517,F1429_14517_body,(Current));
}

/* {ENCODING_IMP}.byte_order_mark_16_reverse */
static EIF_CHARACTER_32 F1429_14518_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	

	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("byte_order_mark_16_reverse", 1428, Current, 0, 0, 20134);
	RTGC;
	RTOSP (14518);
#define Result RTOSR(14518)
	RTHOOK(1);
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_32) 65534L);
	RTOSE (14518);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F1429_14518 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(14518,F1429_14518_body,(Current));
}

/* {ENCODING_IMP}.conversion_exception */
EIF_REFERENCE F1429_14519 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,tr1);
	RTLR(1,Result);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("conversion_exception", 1428, Current, 0, 1, 20135);
	RTGC;
	RTHOOK(1);
	switch (arg1) {
		case 1L:
			RTHOOK(2);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`malloc\' error",14,583574386);
			F244_4184(RTCW(Result), tr1);
			break;
		case 2L:
			RTHOOK(3);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`realloc\' error",15,1198130290);
			F244_4184(RTCW(Result), tr1);
			break;
		case 3L:
			RTHOOK(4);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`iconv_open\' error",18,665611378);
			F244_4184(RTCW(Result), tr1);
			break;
		case 4L:
			RTHOOK(5);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EILSEQ error in `iconv\'. Input conversion stopped due to an input byte that does not belong to the input codeset.",113,266392366);
			F244_4184(RTCW(Result), tr1);
			break;
		case 5L:
			RTHOOK(6);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EINVAL error in `iconv\'. Input conversion stopped due to an incomplete character or shift sequence at the end of the input buffer.",130,1207171630);
			F244_4184(RTCW(Result), tr1);
			break;
		case 6L:
			RTHOOK(7);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EBADF error in `iconv\'. The cd argument is not a valid open conversion descriptor.",82,1722040110);
			F244_4184(RTCW(Result), tr1);
			break;
		case 7L:
			RTHOOK(8);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("Unexpected error in `iconv\'",27,1286010151);
			F244_4184(RTCW(Result), tr1);
			break;
		case 8L:
			RTHOOK(9);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`iconv_close\' error",19,1032340594);
			F244_4184(RTCW(Result), tr1);
			break;
		default:
			RTHOOK(10);
			Result = RTLNS(eif_new_type(243, 0x00).id, 243, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("Unexpected error",16,578286706);
			F244_4184(RTCW(Result), tr1);
			break;
	}
	RTHOOK(12);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.c_iconv_open */
EIF_POINTER F1429_14520 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3, EIF_BOOLEAN* arg4)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_iconv_open", 1428, Current, 0, 4, 20136);
	Result = inline_F1429_14520 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32*) arg3, (EIF_BOOLEAN*) arg4);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {ENCODING_IMP}.c_iconv */
EIF_POINTER F1429_14521 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32* arg4, EIF_INTEGER_32* arg5)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_iconv", 1428, Current, 0, 5, 20137);
	Result = inline_F1429_14521 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32*) arg4, (EIF_INTEGER_32*) arg5);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

void EIF_Minit774 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
