/*
 * Code for class EV_MENU_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev767.h"
#include "ev_c_util.h"
#include <ev_gtk.h>
#include "ev_gtk.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F1452_14492
static void inline_F1452_14492 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	g_object_set_data (
    G_OBJECT (arg1),
    "eif_oid",
    (gpointer) (rt_int_ptr) arg2
);
	;
}
#define INLINE_F1452_14492
#endif
#ifndef INLINE_F1452_14493
static void inline_F1452_14493 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	{
     /* From: https://git.eclipse.org/c/platform/eclipse.platform.swt.git/commit/?id=7714fdbf1ce0110744da9c164486c12254d5bd6f
	 *  GTK Feature: gtk_menu_popup is deprecated as of GTK3.22 and the new method gtk_menu_popup_at_pointer
	 *  requires an event to hook on to. This requires the popup & events related to the menu be handled
	 *  immediately and not as a post event in display, requiring the current event.
	 */
	GdkEvent *event_ptr = gtk_get_current_event();
	if (event_ptr == NULL) {
		GdkEvent *event = gdk_event_new (GDK_BUTTON_PRESS);
		((GdkEventButton*)event)->time = (guint32) arg5;
		((GdkEventButton*)event)->x = (gdouble) arg2;
		((GdkEventButton*)event)->y = (gdouble) arg3;
		((GdkEventButton*)event)->type = GDK_BUTTON_PRESS;
		((GdkEventButton*)event)->button = (guint) arg4;
		gtk_widget_realize (arg1);
		((GdkEventButton*)event)->window = g_object_ref((GdkWindow*) gtk_widget_get_window ((GtkWidget*) arg1));
		((GdkEventButton*)event)->device = (GdkDevice*) gdk_seat_get_pointer ((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default ()));
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event);
		gdk_event_free (event);
	} else {
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event_ptr);
		gdk_event_free (event_ptr);
	}	
}
	;
}
#define INLINE_F1452_14493
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_MENU_IMP}.make */
void F1452_14489 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1448_14443(Current);
	tp1 = (EIF_POINTER) gtk_menu_new();
	*(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_) = (EIF_POINTER) tp1;
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_widget_show((GtkWidget*) tp1);
	tp1 = F1448_14449(Current);
	gtk_widget_show((GtkWidget*) tp1);
	tp1 = F1448_14449(Current);
	tp2 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_menu_item_set_submenu((GtkMenuItem*) tp1, (GtkWidget*) tp2);
	F1319_12648(Current);
	F1346_12867(Current);
	F1448_14450(Current);
	RTLE;
}

/* {EV_MENU_IMP}.show_at */
void F1452_14491 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	RTCFDT;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTGC;
	if ((EIF_BOOLEAN) (F1319_12650(Current) > ((EIF_INTEGER_32) 0L))) {
		if ((EIF_BOOLEAN)(arg1 != NULL)) {
			loc1 = F1202_10807(RTCW(arg1));
			loc1 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc1 + arg2);
			loc2 = F1202_10808(RTCW(arg1));
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 + arg3);
		} else {
			loc1 = (EIF_INTEGER_32) arg2;
			loc2 = (EIF_INTEGER_32) arg3;
		}
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(12491,F1313_12491, (Current)))+ _LNGOFF_49_16_0_11_);
		loc1 -= ti4_1;
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(12491,F1313_12491, (Current)))+ _LNGOFF_49_16_0_12_);
		loc2 -= ti4_1;
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		ti4_1 = F1019_8411(Current);
		inline_F1452_14492(tp1, ti4_1);
		tr1 = RTOSCF(12491,F1313_12491, (Current));
		F1312_12341(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_12_));
		tr1 = RTOSCF(12491,F1313_12491, (Current));
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFFF9,6,1062,0xFF01,0,1134,1080,1080,1080,1092,0xFFFF};
			EIF_TYPE typres0;
			typarr0[4] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr2 = RTLNTS(typres0.id, 7, 0);
		}
		((EIF_TYPED_VALUE *)tr2+1)->it_r = Current;
		RTAR(tr2,Current);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		((EIF_TYPED_VALUE *)tr2+2)->it_p = tp1;
		((EIF_TYPED_VALUE *)tr2+3)->it_i4 = loc1;
		((EIF_TYPED_VALUE *)tr2+4)->it_i4 = loc2;
		((EIF_TYPED_VALUE *)tr2+5)->it_i4 = ((EIF_INTEGER_32) 0L);
		tu4_1 = (EIF_NATURAL_32) gtk_get_current_event_time();
		((EIF_TYPED_VALUE *)tr2+6)->it_n4 = tu4_1;
		
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1136,0xFF01,0xFFF9,0,1062,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr3= RTLNRF(typres0.id, (EIF_POINTER) __A767_326, (EIF_POINTER) _A767_326, (EIF_POINTER)(F1452_14493),tr2, 1, 0);
		}
		F1311_12266(RTCW(tr1), tr3);
	}
	RTLE;
}

/* {EV_MENU_IMP}.couple_object_id_with_gtk_object */
void F1452_14492 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	
	inline_F1452_14492 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
}

/* {EV_MENU_IMP}.c_gtk_menu_popup_at_pointer */
void F1452_14493 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	GTCX
	
	
	inline_F1452_14493 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4, (EIF_NATURAL_32) arg5);
}

/* {EV_MENU_IMP}.on_activate */
void F1452_14494 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,loc2);
	RTLIU(6);
	
	RTGC;
	tr1 = F1441_14423(Current);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1323, 0x01),loc1);
	if (EIF_TEST(loc1)) {
		tr1 = *(EIF_REFERENCE *)(loc1);
		if ((EIF_BOOLEAN)(tr1 != NULL)) {
			tr1 = F132_2148(loc1);
			{
				static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1062,0xFF01,0,0,0xFFFF};
				EIF_TYPE typres0;
				{
					EIF_TYPE l_type;
					l_type = eif_final_id(Y9661,Y9661_gen_type,Dftype(Current),1286);
					typarr0[5] = l_type.annotations | 0xFF00;
					typarr0[6] = l_type.id;
				}
				
				typres0 = eif_compound_id(Dftype(Current), typarr0);
				tr2 = RTLNTS(typres0.id, 2, 0);
			}
			tr3 = F1287_11766(Current);
			((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
			RTAR(tr2,tr3);
			F885_6870(RTCW(tr1), tr2);
		}
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		F885_6870(loc2, NULL);
	}
	RTLE;
}

/* {EV_MENU_IMP}.list_widget */
EIF_POINTER F1452_14496 (EIF_REFERENCE Current)
{
	return *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
}


/* {EV_MENU_IMP}.destroy */
void F1452_14497 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1318_12644(Current);
	F1441_14424(Current);
	RTLE;
}

void EIF_Minit767 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
