case $CONFIG in
'')
	if test ! -f ../config.sh; then
		(echo "Can't find ../config.sh."; exit 1)
	fi 2>/dev/null
	. ../config.sh
	;;
esac
case "$O" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Compiling C code in C51"
$spitshell >Makefile <<!GROK!THIS!
INCLUDE_PATH =  -I"\$(ISE_LIBRARY)/library/base/elks/encoding/implementation/include" -I"\$(ISE_LIBRARY)/library/process/base/platform/unix/include" -I"\$(EIFFEL_SRC)/C/bench" -I"\$(EIFFEL_SRC)/C/platform" -I"\$(ISE_LIBRARY)/library/time/spec/include" -I"\$(EIFFEL_SRC)/framework/dotnet/il_emitter/Clib" -I"\$(ISE_LIBRARY)/library/i18n/spec/include" `$ISE_LIBRARY/library/base/elks/encoding/implementation/unix/Clib/iconv-config --include_path`
SHELL = /bin/sh
CC = $cc
CPP = $cpp
CFLAGS = $optimize $ccflags $large -DEIF_NO_RTCV -I"$rt_include" -I. \$(INCLUDE_PATH)
CPPFLAGS = $optimize $cppflags $large -DEIF_NO_RTCV -I"$rt_include" -I. \$(INCLUDE_PATH)
LDFLAGS = $ldflags
CCLDFLAGS = $ccldflags  $console_flags
LDSHAREDFLAGS =  $ldsharedflags
EIFLIB = "$rt_lib/$prefix$eiflib$suffix"
EIFTEMPLATES = $rt_templates
LIBS = $libs
MAKE = $make
AR = $ar
LD = $ld
MKDEP = $mkdep \$(DPFLAGS) --
MV = $mv
CP = $cp
RANLIB = $ranlib
RM = $rm -f
FILE_EXIST = $file_exist
RMDIR = $rmdir
X2C = "$x2c"
SHAREDLINK = $sharedlink
SHAREDLIBS = $sharedlibs
SHARED_SUFFIX = $shared_suffix
COMMAND_MAKEFILE = 
START_TEST = $start_test 
END_TEST = $end_test 
CREATE_TEST = $create_test 
SYSTEM_IN_DYNAMIC_LIB = ecb$shared_suffix 
!GROK!THIS!
$spitshell >>Makefile <<'!NO!SUBS!'
.SUFFIXES: .x .xpp .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c $<

.cpp.o:
	$(CPP) $(CPPFLAGS) -c $<

.x.o:
	$(X2C) $< $*.c
	$(CC) $(CFLAGS) -c $*.c
	$(RM) $*.c

.xpp.o:
	$(X2C) $< $*.cpp
	$(CPP) $(CPPFLAGS) -c $*.cpp
	$(RM) $*.cpp

.x.c:
	$(X2C) $< $*.c

.xpp.cpp:
	$(X2C) $< $*.cpp

OBJECTS = vd2506.o vt2539.o vh2538.o vt2537.o sp2536.o vd2505.o vs2535.o \
	vs2534.o vt2533.o ve2532.o vq2531.o vs2511.o vd2516.o vd2504.o \
	vt2530.o vd2503.o vd2510.o vd2513.o vd2502.o vd2501.o vd2500.o \
	vd2507.o vd2509.o ei2517.o vl2529.o vi2528.o vi2527.o vc2549.o \
	vc2548.o vi2526.o vm2546.o vd2545.o vd2544.o vm2547.o cl2508.o \
	cl2514.o fi2512.o vn2525.o vy2524.o vy2523.o vs2522.o vm2543.o \
	vm2542.o vd2521.o vd2540.o vm2520.o vd2519.o vd2541.o vc2518.o 

all: Cobj51.o

Cobj51.o: $(OBJECTS) Makefile
	$(LD) $(LDFLAGS) -r -o Cobj51.o $(OBJECTS)
	$(RM) $(OBJECTS)
	$(CREATE_TEST)

clean: local_clean
clobber: local_clobber

local_clean::
	$(RM) core finished *.o

local_clobber:: local_clean
	$(RM) Makefile

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
