/*
 * Code for class PROCESS_UNIX_PROCESS_MANAGER
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "pr371.h"
#include "eif_main.h"
#include "eif_memory.h"
#include <string.h>
#include "eif_built_in.h"
#include <sys/types.h>
#include "eif_process.h"
#include <unistd.h>
#include "eif_except.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F166_3373
static void inline_F166_3373 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN* arg3, EIF_INTEGER_32* arg4, EIF_BOOLEAN* arg5)
{
	{
  pid_t rc;
  int status;
  
  rc = waitpid((pid_t) arg1, &status, (arg2 ? 0 : WNOHANG) | WUNTRACED);
  *(EIF_BOOLEAN *) arg5 = (rc != -1);
  if (rc != -1) {				    
	  if (rc == 0) { /* No process has status to report yet */
	    *(EIF_BOOLEAN *) arg3 = EIF_FALSE;
	  } else { /* Process reported status */
	    *(EIF_BOOLEAN *) arg3 = EIF_TRUE;
	  }
	  *(EIF_INTEGER *) arg4 = (EIF_INTEGER) status;
  }
}
	;
}
#define INLINE_F166_3373
#endif
#ifndef INLINE_F950_7213
static int inline_F950_7213 (EIF_INTEGER_32 arg1)
{
	return (int) (WIFEXITED(arg1))
	;
}
#define INLINE_F950_7213
#endif
#ifndef INLINE_F950_7214
static int inline_F950_7214 (EIF_INTEGER_32 arg1)
{
	return (int) (WIFSIGNALED(arg1))
	;
}
#define INLINE_F950_7214
#endif
#ifndef INLINE_F179_3535
static int inline_F179_3535 (void)
{
	#ifdef WORKBENCH
	return EIF_TEST(is_debug_mode());
#else
	return EIF_FALSE;
#endif
	;
}
#define INLINE_F179_3535
#endif
#ifndef INLINE_F179_3534
static void inline_F179_3534 (EIF_BOOLEAN arg1)
{
	#ifdef WORKBENCH
	set_debug_mode (arg1 ? 1 : 0);
#endif
	;
}
#define INLINE_F179_3534
#endif
#ifndef INLINE_F166_3363
static void inline_F166_3363 (void)
{
	{
	setpgid (0, 0);
}
	;
}
#define INLINE_F166_3363
#endif
#ifndef INLINE_F166_3378
static void inline_F166_3378 (EIF_INTEGER_32 arg1)
{
	{
	pid_t pgid = getpgid (arg1);
	tcsetpgrp (1, pgid);
	tcsetpgrp (2, pgid);
}
	;
}
#define INLINE_F166_3378
#endif
#ifndef INLINE_F166_3359
static void inline_F166_3359 (EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	{
  int rc;
  rc = dup2(arg1, arg2);
  if (rc < 0) {
	    eraise(Strerror(errno), EN_SYS);
  }
}
	;
}
#define INLINE_F166_3359
#endif
#ifndef INLINE_F166_3360
static void inline_F166_3360 (EIF_INTEGER_32 arg1)
{
	{
	 int rc;
	  rc = close(arg1);
	  if (rc != 0) {
	    eraise(Strerror(errno), EN_SYS);
	  }
}
	;
}
#define INLINE_F166_3360
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {PROCESS_UNIX_PROCESS_MANAGER}.make */
void F950_7155 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg3);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLR(4,arg2);
	RTLIU(5);
	
	RTEAA("make", 949, Current, 3, 3, 12293);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN)(arg3 != NULL)) {
		RTHOOK(2);
		tr1 = RTLNSMART(eif_new_type(963, 0).id);
		F964_7885(RTCW(tr1), arg3);
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) tr1;
	} else {
		RTHOOK(3);
		*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) NULL;
	}
	RTHOOK(4);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_4_) = (EIF_REFERENCE) arg1;
	RTHOOK(5);
	F950_7167(Current, arg2);
	RTHOOK(6);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_1_) = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	RTHOOK(7);
	tr1 = RTMS_EX_H("",0,0);
	F950_7169(Current, tr1);
	RTHOOK(8);
	tr1 = RTMS_EX_H("",0,0);
	F950_7170(Current, tr1);
	RTHOOK(9);
	tr1 = RTMS_EX_H("",0,0);
	F950_7171(Current, tr1);
	RTHOOK(10);
	F950_7217(Current, (EIF_BOOLEAN) 0);
	RTHOOK(20);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_arguments */
void F950_7167 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,loc1);
	RTLR(2,Current);
	RTLR(3,loc2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTEAA("set_arguments", 949, Current, 2, 1, 12305);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		RTHOOK(2);
		{
			static EIF_TYPE_INDEX typarr0[] = {708,1077,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
			loc1 = RTLNSMART(typres0.id);
		}
		F709_6190(RTCW(loc1), ((EIF_INTEGER_32) 0L));
		RTHOOK(3);
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4896[Dtype(RTCW(arg1))-354])(arg1);
		for (;;) {
			tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5647[Dtype(loc2)-763])(loc2);
			if (tb1) break;
			RTHOOK(4);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5646[Dtype(loc2)-763])(loc2);
			tr1 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5124[Dtype(RTCW(loc1))-678])(loc1, tr1);
			RTHOOK(5);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5648[Dtype(loc2)-763])(loc2);
		}
	}
	RTHOOK(6);
	RTAR(Current, loc1);
	*(EIF_REFERENCE *)(Current + _REFACS_5_) = (EIF_REFERENCE) loc1;
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_close_nonstandard_files */
void F950_7168 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_close_nonstandard_files", 949, Current, 0, 1, 12306);
	RTHOOK(1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_6_) = (EIF_BOOLEAN) arg1;
	RTHOOK(3);
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_input_file_name */
void F950_7169 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTEAA("set_input_file_name", 949, Current, 0, 1, 12307);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_6_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_7_) = (EIF_BOOLEAN) (EIF_BOOLEAN)(arg1 == NULL);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_output_file_name */
void F950_7170 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTEAA("set_output_file_name", 949, Current, 0, 1, 12308);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_7_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN)(arg1 == NULL);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_error_file_name */
void F950_7171 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTEAA("set_error_file_name", 949, Current, 0, 1, 12309);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_8_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN)(arg1 == NULL);
	RTHOOK(3);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_error_same_as_output */
void F950_7172 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_error_same_as_output", 949, Current, 0, 0, 12246);
	RTGC;
	RTHOOK(1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(2);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(3);
	*(EIF_REFERENCE *)(Current + _REFACS_8_) = (EIF_REFERENCE) NULL;
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.wait_for_process */
void F950_7173 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN loc2 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("wait_for_process", 949, Current, 3, 2, 12247);
	RTGC;
	RTHOOK(1);
	inline_F166_3373(arg1, arg2, (EIF_BOOLEAN *) &(loc2), (EIF_INTEGER_32 *) &(loc1), (EIF_BOOLEAN *) &(loc3));
	RTHOOK(2);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_0_) = (EIF_BOOLEAN) loc3;
	RTHOOK(3);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_0_)) {
		RTHOOK(4);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_15_2_) = (EIF_BOOLEAN) loc2;
		RTHOOK(5);
		*(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_2_) = (EIF_INTEGER_32) loc1;
		RTHOOK(6);
		tb1 = '\0';
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_2_)) {
			tb2 = '\01';
			ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_2_);
			if (!EIF_TEST (inline_F950_7213(ti4_1))) {
				ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_2_);
				tb2 = EIF_TEST (inline_F950_7214(ti4_1));
			}
			tb1 = tb2;
		}
		if (tb1) {
			RTHOOK(7);
			F950_7217(Current, (EIF_BOOLEAN) 0);
		} else {
			RTHOOK(8);
			F950_7217(Current, (EIF_BOOLEAN) 1);
		}
	} else {
		RTHOOK(9);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_15_2_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		RTHOOK(10);
		F950_7217(Current, (EIF_BOOLEAN) 0);
	}
	RTHOOK(11);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.close_pipes */
void F950_7174 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,loc3);
	RTLIU(5);
	
	RTEAA("close_pipes", 949, Current, 3, 0, 12248);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_12_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		F952_7330(loc1);
	}
	RTHOOK(3);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_13_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		RTHOOK(4);
		F952_7329(loc2);
	}
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_14_);
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		RTHOOK(6);
		F952_7329(loc3);
	}
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.spawn_nowait */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F950_7175 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_REFERENCE arg2, EIF_BOOLEAN arg3)
{
	GTCX
	RTEX;
	RTED;
	EIF_REFERENCE EIF_VOLATILE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc3 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	RTLD;
	RTXD;
	
	RTLI(8);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLR(2,loc1);
	RTLR(3,loc4);
	RTLR(4,loc2);
	RTLR(5,tr1);
	RTLR(6,arg2);
	RTLR(7,saved_except);
	RTLIU(8);
	RTXSLS;
	
	RTEAA("spawn_nowait", 949, Current, 5, 3, 12249);
	RTGC;
	RTE_T
	RTHOOK(1);
	loc5 = F950_7197(Current);
	RTHOOK(2);
	RTAR(Current, loc5);
	*(EIF_REFERENCE *)(Current + _REFACS_1_) = (EIF_REFERENCE) loc5;
	RTHOOK(3);
	F950_7198(Current);
	RTHOOK(4);
	loc1 = RTLNS(eif_new_type(690, 0x00).id, 690, _OBJSIZ_0_0_0_1_0_0_0_0_);
	RTHOOK(5);
	loc4 = *(EIF_REFERENCE *)(Current);
	RTHOOK(6);
	if ((EIF_BOOLEAN)(loc4 != NULL)) {
		RTHOOK(7);
		loc2 = F691_5944(RTCW(loc1));
		RTHOOK(8);
		F691_5960(RTCW(loc1), loc4);
	}
	RTHOOK(9);
	loc3 = EIF_TEST (inline_F179_3535());
	RTHOOK(10);
	F179_3533(Current);
	RTHOOK(11);
	ti4_1 = F166_3362(Current);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_1_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(12);
	switch (*(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_1_)) {
		case -1L:
			RTHOOK(13);
			inline_F179_3534(loc3);
			RTHOOK(14);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				RTHOOK(15);
				F691_5960(RTCW(loc1), loc2);
			}
			break;
		case 0L:
			RTHOOK(16);
			eif_gc_stop();
			RTHOOK(17);
			if (arg3) {
				RTHOOK(18);
				inline_F166_3363();
				RTHOOK(19);
				if (arg1) {
					RTHOOK(20);
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_1_);
					inline_F166_3378(ti4_1);
				}
			}
			RTHOOK(21);
			F950_7200(Current);
			RTHOOK(22);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
			tb1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_15_6_);
			tp1 = F950_7208(Current, arg2);
			F166_3364(Current, tr1, loc5, tb1, tp1);
			break;
		default:
			RTHOOK(23);
			inline_F179_3534(loc3);
			RTHOOK(24);
			F950_7199(Current);
			RTHOOK(25);
			*(EIF_REFERENCE *)(Current + _REFACS_1_) = (EIF_REFERENCE) NULL;
			RTHOOK(26);
			F950_7217(Current, (EIF_BOOLEAN) 1);
			RTHOOK(27);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				RTHOOK(28);
				F691_5960(RTCW(loc1), loc2);
			}
			break;
	}
	RTE_E
	RTXSC;
	RTHOOK(29);
	if ((EIF_BOOLEAN)(*(EIF_INTEGER_32 *)(Current+ _LNGOFF_15_11_0_1_) == ((EIF_INTEGER_32) 0L))) {
		RTHOOK(30);
		tr1 = RTLNS(eif_new_type(240, 0x00).id, 240, _OBJSIZ_0_0_0_0_0_0_0_0_);
		esdie(((EIF_INTEGER_32) 1L));
	}
	RTHOOK(31);
	inline_F179_3534(loc3);
	/* NOTREACHED */
	RTE_EE
	RTHOOK(32);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {PROCESS_UNIX_PROCESS_MANAGER}.read_output_to_special */
void F950_7178 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLIU(4);
	
	RTEAA("read_output_to_special", 949, Current, 1, 1, 12252);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_13_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		F952_7356(loc1, arg1);
		RTHOOK(3);
		tb1 = *(EIF_BOOLEAN *)(loc1+ _CHROFF_2_1_);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_15_4_) = (EIF_BOOLEAN) (EIF_BOOLEAN) !tb1;
	} else {
		RTHOOK(4);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_15_4_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		RTHOOK(5);
		F882_6805(RTCW(arg1));
		
	}
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.built_argument_list */
EIF_REFERENCE F950_7197 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLR(4,loc3);
	RTLIU(5);
	
	RTEAA("built_argument_list", 949, Current, 3, 0, 12271);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_5_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		RTHOOK(2);
		{
			static EIF_TYPE_INDEX typarr0[] = {617,1077,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			Result = RTLNSMART(typres0.id);
		}
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
		ti4_1 = F709_6211(loc2);
		F618_5625(RTCW(Result), tr1, ((EIF_INTEGER_32) 1L), (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
		RTHOOK(3);
		loc3 = F709_6204(loc2);
		RTHOOK(4);
		loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
		for (;;) {
			tb1 = F823_6563(loc3);
			if (tb1) break;
			RTHOOK(5);
			tr1 = F823_6554(loc3);
			F618_5649(RTCW(Result), tr1, loc1);
			RTHOOK(6);
			loc1++;
			RTHOOK(7);
			F823_6569(loc3);
		}
	} else {
		RTHOOK(8);
		{
			static EIF_TYPE_INDEX typarr0[] = {617,1077,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			Result = RTLNSMART(typres0.id);
		}
		F618_5625(RTCW(Result), *(EIF_REFERENCE *)(Current + _REFACS_4_), ((EIF_INTEGER_32) 1L), ((EIF_INTEGER_32) 1L));
		RTHOOK(9);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) Result;
	}
	RTHOOK(10);
	RTLE;
	RTEE;
	return Result;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.open_files_and_pipes */
void F950_7198 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,loc3);
	RTLR(5,loc4);
	RTLIU(6);
	
	RTEAA("open_files_and_pipes", 949, Current, 4, 0, 12272);
	RTGC;
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(166, 0x00).id, 166, _OBJSIZ_0_0_0_0_0_0_0_0_);
	RTHOOK(2);
	*(EIF_REFERENCE *)(Current + _REFACS_12_) = (EIF_REFERENCE) NULL;
	RTHOOK(3);
	*(EIF_REFERENCE *)(Current + _REFACS_9_) = (EIF_REFERENCE) NULL;
	RTHOOK(4);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_7_)) {
		RTHOOK(5);
		tr1 = F167_3379(RTCW(loc1));
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_12_) = (EIF_REFERENCE) tr1;
	} else {
		RTHOOK(6);
		loc2 = *(EIF_REFERENCE *)(Current + _REFACS_6_);
		RTHOOK(7);
		tb1 = '\0';
		if ((EIF_BOOLEAN)(loc2 != NULL)) {
			tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7627[Dtype(RTCW(loc2))-1081])(loc2);
			tb1 = (EIF_BOOLEAN) !tb2;
		}
		if (tb1) {
			RTHOOK(8);
			tr1 = RTLNSMART(eif_new_type(953, 0).id);
			F953_7405(RTCW(tr1), loc2);
			RTAR(Current, tr1);
			*(EIF_REFERENCE *)(Current + _REFACS_9_) = (EIF_REFERENCE) tr1;
		}
	}
	RTHOOK(9);
	*(EIF_REFERENCE *)(Current + _REFACS_13_) = (EIF_REFERENCE) NULL;
	RTHOOK(10);
	*(EIF_REFERENCE *)(Current + _REFACS_10_) = (EIF_REFERENCE) NULL;
	RTHOOK(11);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_8_)) {
		RTHOOK(12);
		tr1 = F167_3379(RTCW(loc1));
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_13_) = (EIF_REFERENCE) tr1;
	} else {
		RTHOOK(13);
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_7_);
		RTHOOK(14);
		tb1 = '\0';
		if ((EIF_BOOLEAN)(loc3 != NULL)) {
			tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7627[Dtype(RTCW(loc3))-1081])(loc3);
			tb1 = (EIF_BOOLEAN) !tb2;
		}
		if (tb1) {
			RTHOOK(15);
			tr1 = RTLNSMART(eif_new_type(953, 0).id);
			F953_7407(RTCW(tr1), loc3);
			RTAR(Current, tr1);
			*(EIF_REFERENCE *)(Current + _REFACS_10_) = (EIF_REFERENCE) tr1;
		}
	}
	RTHOOK(16);
	*(EIF_REFERENCE *)(Current + _REFACS_14_) = (EIF_REFERENCE) NULL;
	RTHOOK(17);
	*(EIF_REFERENCE *)(Current + _REFACS_11_) = (EIF_REFERENCE) NULL;
	RTHOOK(18);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_15_10_)) {
		RTHOOK(19);
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_9_)) {
			RTHOOK(20);
			tr1 = F167_3379(RTCW(loc1));
			RTAR(Current, tr1);
			*(EIF_REFERENCE *)(Current + _REFACS_14_) = (EIF_REFERENCE) tr1;
		} else {
			RTHOOK(21);
			loc4 = *(EIF_REFERENCE *)(Current + _REFACS_8_);
			RTHOOK(22);
			tb1 = '\0';
			if ((EIF_BOOLEAN)(loc4 != NULL)) {
				tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7627[Dtype(RTCW(loc4))-1081])(loc4);
				tb1 = (EIF_BOOLEAN) !tb2;
			}
			if (tb1) {
				RTHOOK(23);
				tr1 = RTLNSMART(eif_new_type(953, 0).id);
				F953_7407(RTCW(tr1), loc4);
				RTAR(Current, tr1);
				*(EIF_REFERENCE *)(Current + _REFACS_11_) = (EIF_REFERENCE) tr1;
			}
		}
	}
	RTHOOK(24);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.setup_parent_process_files */
void F950_7199 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(8);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,loc3);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc6);
	RTLIU(8);
	
	RTEAA("setup_parent_process_files", 949, Current, 6, 0, 12273);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_12_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		F952_7329(loc1);
	} else {
		RTHOOK(3);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_9_);
		loc2 = tr1;
		if (EIF_TEST(loc2)) {
			RTHOOK(4);
			F953_7490(loc2);
		}
	}
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_13_);
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		RTHOOK(6);
		F952_7330(loc3);
	} else {
		RTHOOK(7);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_10_);
		loc4 = tr1;
		if (EIF_TEST(loc4)) {
			RTHOOK(8);
			F953_7490(loc4);
		}
	}
	RTHOOK(9);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_15_10_)) {
		RTHOOK(10);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_14_);
		loc5 = tr1;
		if (EIF_TEST(loc5)) {
			RTHOOK(11);
			F952_7330(loc5);
		} else {
			RTHOOK(12);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_11_);
			loc6 = tr1;
			if (EIF_TEST(loc6)) {
				RTHOOK(13);
				F953_7490(loc6);
			}
		}
	}
	RTHOOK(14);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.setup_child_process_files */
void F950_7200 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(8);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,loc3);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc6);
	RTLIU(8);
	
	RTEAA("setup_child_process_files", 949, Current, 6, 0, 12274);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_12_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		ti4_1 = *(EIF_INTEGER_32 *)(loc1+ _LNGOFF_2_7_2_1_);
		F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 0L));
		RTHOOK(3);
		F952_7330(loc1);
	} else {
		RTHOOK(4);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_9_);
		loc2 = tr1;
		if (EIF_TEST(loc2)) {
			RTHOOK(5);
			ti4_1 = F953_7417(loc2);
			F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 0L));
		}
	}
	RTHOOK(6);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_13_);
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		RTHOOK(7);
		ti4_1 = *(EIF_INTEGER_32 *)(loc3+ _LNGOFF_2_7_2_2_);
		F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 1L));
		RTHOOK(8);
		F952_7329(loc3);
	} else {
		RTHOOK(9);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_10_);
		loc4 = tr1;
		if (EIF_TEST(loc4)) {
			RTHOOK(10);
			ti4_1 = F953_7417(loc4);
			F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 1L));
		}
	}
	RTHOOK(11);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_15_10_)) {
		RTHOOK(12);
		inline_F166_3359(((EIF_INTEGER_32) 1L), ((EIF_INTEGER_32) 2L));
	} else {
		RTHOOK(13);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_14_);
		loc5 = tr1;
		if (EIF_TEST(loc5)) {
			RTHOOK(14);
			ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_2_7_2_2_);
			F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 2L));
			RTHOOK(15);
			F952_7329(loc5);
		} else {
			RTHOOK(16);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_11_);
			loc6 = tr1;
			if (EIF_TEST(loc6)) {
				RTHOOK(17);
				ti4_1 = F953_7417(loc6);
				F950_7201(Current, ti4_1, ((EIF_INTEGER_32) 2L));
			}
		}
	}
	RTHOOK(18);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.move_desc */
void F950_7201 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("move_desc", 949, Current, 0, 2, 12275);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN)(arg1 != arg2)) {
		RTHOOK(2);
		inline_F166_3359(arg1, arg2);
		RTHOOK(3);
		inline_F166_3360(arg1);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.environment_table_as_pointer */
EIF_POINTER F950_7208 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(10);
	RTLR(0,arg1);
	RTLR(1,loc7);
	RTLR(2,tr1);
	RTLR(3,loc1);
	RTLR(4,loc8);
	RTLR(5,loc9);
	RTLR(6,loc10);
	RTLR(7,loc6);
	RTLR(8,loc2);
	RTLR(9,Current);
	RTLIU(10);
	
	RTEAA("environment_table_as_pointer", 949, Current, 10, 1, 12282);
	RTGC;
	RTHOOK(1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		tb2 = F523_5509(RTCW(arg1));
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		RTHOOK(2);
		loc7 = F700_6074(RTCW(arg1));
		for (;;) {
			tb1 = F813_6539(loc7);
			if (tb1) break;
			RTHOOK(3);
			tb2 = '\0';
			tr1 = F813_6537(loc7);
			if ((EIF_BOOLEAN)(tr1 != NULL)) {
				tr1 = F813_6536(loc7);
				tb2 = (EIF_BOOLEAN)(tr1 != NULL);
			}
			if (tb2) {
				RTHOOK(4);
				loc5++;
			}
			RTHOOK(5);
			F813_6540(loc7);
		}
		RTHOOK(6);
		ti4_1 = (EIF_INTEGER_32) eif_builtin_PLATFORM_pointer_bytes__i4;
		tp1 = malloc((size_t)(EIF_INTEGER_32) ((EIF_INTEGER_32) (loc5 + ((EIF_INTEGER_32) 1L)) * ti4_1));
		Result = (EIF_POINTER) tp1;
		RTHOOK(7);
		loc1 = RTLNS(eif_new_type(946, 0x00).id, 946, _OBJSIZ_0_1_0_1_0_1_1_0_);
		ti4_1 = (EIF_INTEGER_32) eif_builtin_PLATFORM_pointer_bytes__i4;
		F947_7015(RTCW(loc1), Result, (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc5 + ((EIF_INTEGER_32) 1L)) * ti4_1));
		RTHOOK(8);
		loc8 = F700_6074(RTCW(arg1));
		for (;;) {
			tb2 = F813_6539(loc8);
			if (tb2) break;
			RTHOOK(9);
			tb3 = '\0';
			tr1 = F813_6537(loc8);
			loc9 = tr1;
			if (EIF_TEST(loc9)) {
				tr1 = F813_6536(loc8);
				loc10 = tr1;
				tb3 = EIF_TEST(loc10);
			}
			if (tb3) {
				RTHOOK(10);
				loc6 = RTLNS(eif_new_type(1086, 0x00).id, 1086, _OBJSIZ_1_1_0_3_0_0_0_0_);
				ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7649[Dtype(loc9)-1081])(loc9);
				ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7649[Dtype(loc10)-1081])(loc10);
				F1085_9504(RTCW(loc6), (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 + ti4_2) + ((EIF_INTEGER_32) 1L)));
				RTHOOK(11);
				F1087_9618(RTCW(loc6), loc9);
				RTHOOK(12);
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '=';
				F1087_9632(RTCW(loc6), tw1);
				RTHOOK(13);
				F1087_9618(RTCW(loc6), loc10);
				RTHOOK(14);
				loc2 = RTLNS(eif_new_type(687, 0x00).id, 687, _OBJSIZ_1_0_0_1_0_0_0_0_);
				F688_5862(RTCW(loc2), loc6);
				RTHOOK(15);
				ti4_1 = F688_5873(RTCW(loc2));
				tp1 = malloc((size_t)(EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
				loc3 = (EIF_POINTER) tp1;
				RTHOOK(16);
				tp1 = F688_5869(RTCW(loc2));
				ti4_1 = F688_5873(RTCW(loc2));
				memcpy((void *)loc3, (const void *) tp1, (size_t) (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
				RTHOOK(17);
				ti4_1 = (EIF_INTEGER_32) eif_builtin_PLATFORM_pointer_bytes__i4;
				F947_7051(RTCW(loc1), loc3, (EIF_INTEGER_32) (loc4 * ti4_1));
				RTHOOK(18);
				loc4++;
			}
			RTHOOK(19);
			F813_6540(loc8);
		}
		RTHOOK(20);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		ti4_1 = (EIF_INTEGER_32) eif_builtin_PLATFORM_pointer_bytes__i4;
		F947_7051(RTCW(loc1), tp2, (EIF_INTEGER_32) (loc4 * ti4_1));
	}
	RTHOOK(21);
	RTLE;
	RTEE;
	return Result;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.terminate_flag_from_status */
EIF_BOOLEAN F950_7213 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("terminate_flag_from_status", 949, Current, 0, 1, 12287);
	Result = EIF_TEST(inline_F950_7213 ((EIF_INTEGER_32) arg1));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.signaled_flag_from_status */
EIF_BOOLEAN F950_7214 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("signaled_flag_from_status", 949, Current, 0, 1, 12288);
	Result = EIF_TEST(inline_F950_7214 ((EIF_INTEGER_32) arg1));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {PROCESS_UNIX_PROCESS_MANAGER}.set_is_executing */
void F950_7217 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_is_executing", 949, Current, 0, 1, 12291);
	RTHOOK(1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_15_1_) = (EIF_BOOLEAN) arg1;
	RTHOOK(3);
	RTEE;
}

void EIF_Minit371 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
