/*
 * Code for class LIBCURL_HTTP_CLIENT_REQUEST
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "li425.h"
#include "eif_built_in.h"
#include <curl/curl.h>
#include "eif_out.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F33_459
static EIF_INTEGER_32 inline_F33_459 (void)
{
	return CURLOPT_URL;
	;
}
#define INLINE_F33_459
#endif
#ifndef INLINE_F33_501
static EIF_INTEGER_32 inline_F33_501 (void)
{
	return CURLOPT_HTTP_VERSION;
	;
}
#define INLINE_F33_501
#endif
#ifndef INLINE_F33_503
static EIF_INTEGER_32 inline_F33_503 (void)
{
	return CURL_HTTP_VERSION_1_0
	;
}
#define INLINE_F33_503
#endif
#ifndef INLINE_F33_502
static EIF_INTEGER_32 inline_F33_502 (void)
{
	return CURL_HTTP_VERSION_NONE
	;
}
#define INLINE_F33_502
#endif
#ifndef INLINE_F33_473
static EIF_INTEGER_32 inline_F33_473 (void)
{
	return CURLOPT_HTTPAUTH;
	;
}
#define INLINE_F33_473
#endif
#ifndef INLINE_F33_474
static EIF_INTEGER_32 inline_F33_474 (void)
{
	return CURLAUTH_NONE;
	;
}
#define INLINE_F33_474
#endif
#ifndef INLINE_F33_475
static EIF_INTEGER_32 inline_F33_475 (void)
{
	return CURLAUTH_BASIC;
	;
}
#define INLINE_F33_475
#endif
#ifndef INLINE_F33_476
static EIF_INTEGER_32 inline_F33_476 (void)
{
	return CURLAUTH_DIGEST;
	;
}
#define INLINE_F33_476
#endif
#ifndef INLINE_F33_477
static EIF_INTEGER_32 inline_F33_477 (void)
{
	return CURLAUTH_ANY;
	;
}
#define INLINE_F33_477
#endif
#ifndef INLINE_F33_478
static EIF_INTEGER_32 inline_F33_478 (void)
{
	return CURLAUTH_ANYSAFE;
	;
}
#define INLINE_F33_478
#endif
#ifndef INLINE_F33_471
static EIF_INTEGER_32 inline_F33_471 (void)
{
	return CURLOPT_USERPWD;
	;
}
#define INLINE_F33_471
#endif
#ifndef INLINE_F33_488
static EIF_INTEGER_32 inline_F33_488 (void)
{
	return CURLOPT_POSTFIELDS;
	;
}
#define INLINE_F33_488
#endif
#ifndef INLINE_F33_489
static EIF_INTEGER_32 inline_F33_489 (void)
{
	return CURLOPT_POSTFIELDSIZE;
	;
}
#define INLINE_F33_489
#endif
#ifndef INLINE_F33_516
static EIF_INTEGER_32 inline_F33_516 (void)
{
	return CURLOPT_UPLOAD;
	;
}
#define INLINE_F33_516
#endif
#ifndef INLINE_F33_514
static EIF_INTEGER_32 inline_F33_514 (void)
{
	return CURLOPT_INFILESIZE;
	;
}
#define INLINE_F33_514
#endif
#ifndef INLINE_F31_401
static EIF_INTEGER_32 inline_F31_401 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYNAME)
	;
}
#define INLINE_F31_401
#endif
#ifndef INLINE_F31_402
static EIF_INTEGER_32 inline_F31_402 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYCONTENTS)
	;
}
#define INLINE_F31_402
#endif
#ifndef INLINE_F31_403
static EIF_INTEGER_32 inline_F31_403 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_END)
	;
}
#define INLINE_F31_403
#endif
#ifndef INLINE_F31_404
static EIF_INTEGER_32 inline_F31_404 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_FILE)
	;
}
#define INLINE_F31_404
#endif
#ifndef INLINE_F33_491
static EIF_INTEGER_32 inline_F33_491 (void)
{
	return CURLOPT_HTTPPOST;
	;
}
#define INLINE_F33_491
#endif
#ifndef INLINE_F33_494
static EIF_INTEGER_32 inline_F33_494 (void)
{
	return CURLOPT_HTTPHEADER;
	;
}
#define INLINE_F33_494
#endif
#ifndef INLINE_F33_448
static EIF_INTEGER_32 inline_F33_448 (void)
{
	return CURLOPT_VERBOSE;
	;
}
#define INLINE_F33_448
#endif
#ifndef INLINE_F33_452
static EIF_INTEGER_32 inline_F33_452 (void)
{
	return CURLOPT_WRITEDATA;
	;
}
#define INLINE_F33_452
#endif
#ifndef INLINE_F33_449
static EIF_INTEGER_32 inline_F33_449 (void)
{
	return CURLOPT_HEADER;
	;
}
#define INLINE_F33_449
#endif
#ifndef INLINE_F33_461
static EIF_INTEGER_32 inline_F33_461 (void)
{
	return CURLOPT_PROXYPORT;
	;
}
#define INLINE_F33_461
#endif
#ifndef INLINE_F33_460
static EIF_INTEGER_32 inline_F33_460 (void)
{
	return CURLOPT_PROXY;
	;
}
#define INLINE_F33_460
#endif
#ifndef INLINE_F33_523
static EIF_INTEGER_32 inline_F33_523 (void)
{
	return CURLOPT_TIMEOUT
	;
}
#define INLINE_F33_523
#endif
#ifndef INLINE_F33_533
static EIF_INTEGER_32 inline_F33_533 (void)
{
	return CURLOPT_CONNECTTIMEOUT
	;
}
#define INLINE_F33_533
#endif
#ifndef INLINE_F33_483
static EIF_INTEGER_32 inline_F33_483 (void)
{
	return CURLOPT_FOLLOWLOCATION;
	;
}
#define INLINE_F33_483
#endif
#ifndef INLINE_F33_485
static EIF_INTEGER_32 inline_F33_485 (void)
{
	return CURLOPT_MAXREDIRS;
	;
}
#define INLINE_F33_485
#endif
#ifndef INLINE_F33_561
static EIF_INTEGER_32 inline_F33_561 (void)
{
	return CURLOPT_SSL_VERIFYHOST;
	;
}
#define INLINE_F33_561
#endif
#ifndef INLINE_F33_558
static EIF_INTEGER_32 inline_F33_558 (void)
{
	return CURLOPT_SSL_VERIFYPEER;
	;
}
#define INLINE_F33_558
#endif
#ifndef INLINE_F33_564
static EIF_INTEGER_32 inline_F33_564 (void)
{
	return CURLOPT_SSL_CIPHER_LIST;
	;
}
#define INLINE_F33_564
#endif
#ifndef INLINE_F33_500
static EIF_INTEGER_32 inline_F33_500 (void)
{
	return CURLOPT_HTTPGET;
	;
}
#define INLINE_F33_500
#endif
#ifndef INLINE_F33_487
static EIF_INTEGER_32 inline_F33_487 (void)
{
	return CURLOPT_POST;
	;
}
#define INLINE_F33_487
#endif
#ifndef INLINE_F33_486
static EIF_INTEGER_32 inline_F33_486 (void)
{
	return CURLOPT_PUT;
	;
}
#define INLINE_F33_486
#endif
#ifndef INLINE_F33_513
static EIF_INTEGER_32 inline_F33_513 (void)
{
	return CURLOPT_NOBODY;
	;
}
#define INLINE_F33_513
#endif
#ifndef INLINE_F33_511
static EIF_INTEGER_32 inline_F33_511 (void)
{
	return CURLOPT_CUSTOMREQUEST
	;
}
#define INLINE_F33_511
#endif
#ifndef INLINE_F33_551
static EIF_INTEGER_32 inline_F33_551 (void)
{
	return CURLOPT_SSLVERSION;
	;
}
#define INLINE_F33_551
#endif
#ifndef INLINE_F33_554
static EIF_INTEGER_32 inline_F33_554 (void)
{
	return CURL_SSLVERSION_MAX_TLSv1_2;
	;
}
#define INLINE_F33_554
#endif
#ifndef INLINE_F33_555
static EIF_INTEGER_32 inline_F33_555 (void)
{
	return CURL_SSLVERSION_TLSv1_3;
	;
}
#define INLINE_F33_555
#endif
#ifndef INLINE_F33_545
static EIF_INTEGER_32 inline_F33_545 (void)
{
	return CURLOPT_SSLCERTTYPE;
	;
}
#define INLINE_F33_545
#endif
#ifndef INLINE_F33_548
static EIF_INTEGER_32 inline_F33_548 (void)
{
	return CURLOPT_KEYPASSWD;
	;
}
#define INLINE_F33_548
#endif
#ifndef INLINE_F33_544
static EIF_INTEGER_32 inline_F33_544 (void)
{
	return CURLOPT_SSLCERT;
	;
}
#define INLINE_F33_544
#endif
#ifndef INLINE_F33_559
static EIF_INTEGER_32 inline_F33_559 (void)
{
	return CURLOPT_CAINFO;
	;
}
#define INLINE_F33_559
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {LIBCURL_HTTP_CLIENT_REQUEST}.make */
void F475_6288 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,arg3);
	RTLR(3,arg4);
	RTLR(4,Current);
	RTLIU(5);
	
	RTGC;
	F473_6256(Current, arg1, arg2, arg3, arg4);
	RTOUCP(629,F475_6289, (Current));
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.apply_workaround */
static void F475_6289_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTOUDV(629)

	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
		tr1 = RTLNS(eif_new_type(323, 0x01).id, 323, _OBJSIZ_0_0_0_0_0_0_0_0_);
		loc1 = F324_4587(RTCW(tr1));
	}
	RTOTE;
	RTLE;
	RTEE;
#undef Result
}

void F475_6289 (EIF_REFERENCE Current)
{
	GTCX
	RTOUCP(629,F475_6289_body,(Current));
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F475_6291 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc3 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc4 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc11 = (EIF_POINTER) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc13 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc14 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc17 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc18 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc25 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc26 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc27 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc28 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc29 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr3 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_INTEGER_32  EIF_VOLATILE ti4_2;
	EIF_INTEGER_32  EIF_VOLATILE ti4_3;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_BOOLEAN  EIF_VOLATILE tb4;
	EIF_BOOLEAN  EIF_VOLATILE tb5;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	RTXD;
	
	RTLI(35);
	RTLR(0,loc9);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc10);
	RTLR(4,loc12);
	RTLR(5,loc20);
	RTLR(6,loc21);
	RTLR(7,loc3);
	RTLR(8,tr2);
	RTLR(9,loc19);
	RTLR(10,tr3);
	RTLR(11,loc22);
	RTLR(12,loc23);
	RTLR(13,loc24);
	RTLR(14,loc17);
	RTLR(15,loc25);
	RTLR(16,loc15);
	RTLR(17,loc16);
	RTLR(18,loc7);
	RTLR(19,loc8);
	RTLR(20,loc26);
	RTLR(21,loc27);
	RTLR(22,loc5);
	RTLR(23,loc6);
	RTLR(24,loc28);
	RTLR(25,loc29);
	RTLR(26,loc30);
	RTLR(27,loc31);
	RTLR(28,loc32);
	RTLR(29,loc33);
	RTLR(30,loc2);
	RTLR(31,loc34);
	RTLR(32,Result);
	RTLR(33,loc35);
	RTLR(34,saved_except);
	RTLIU(35);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc14) {
		tr1 = *(EIF_REFERENCE *)(Current);
		loc9 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_11_);
		tr1 = *(EIF_REFERENCE *)(Current);
		loc10 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_12_);
		loc11 = F167_2728(RTCW(loc10));
		F168_2769(RTCW(loc9));
		loc12 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			loc18 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_9_);
			loc20 = tr1;
			if (EIF_TEST(loc20)) {
				tr1 = RTMS_EX_H("HTTP/1.0",8,303094320);
				tb1 = F1188_10553(loc20, tr1);
				loc18 = tb1;
			}
		}
		F475_6292(Current, loc12, loc9, loc10, loc11);
		tr1 = *(EIF_REFERENCE *)(Current);
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_2_);
		loc21 = tr1;
		if (EIF_TEST(loc21)) {
			F475_6293(Current, loc10, loc11, loc21);
		}
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		tr1 = *(EIF_REFERENCE *)(Current);
		tb1 = F1398_13607(RTCW(tr1));
		if (tb1) {
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> Sending:\012",11,485789194);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			tr1 = RTLNS(eif_new_type(1444, 0x01).id, 1444, _OBJSIZ_6_2_0_1_0_0_0_0_);
			F1445_15100(RTCW(tr1), loc3);
			loc19 = (EIF_REFERENCE) tr1;
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ",2,15904);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr3 = RTMS_EX_H(" ",1,32);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(RTCW(tr2))-1188])(tr2, tr3);
			tr3 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_3_);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(RTCW(tr2))-1188])(tr2, tr3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_4_);
			loc22 = tr1;
			if (EIF_TEST(loc22)) {
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, loc22);
			}
			if (loc18) {
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.0",9,43051312);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			} else {
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.1",9,43051313);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			}
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6475[Dtype(RTCW(tr1))-950])(tr1);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_2_);
			loc23 = tr1;
			if (EIF_TEST(loc23)) {
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("Host: ",6,2079407136);
				tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(tr2)-1188])(tr2, loc23);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6475[Dtype(RTCW(tr1))-950])(tr1);
			}
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
			loc24 = F975_8824(RTCW(tr1));
			for (;;) {
				tb1 = F664_8127(loc24);
				if (tb1) break;
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F664_8125(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(": ",2,14880);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F664_8124(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6475[Dtype(RTCW(tr1))-950])(tr1);
				F664_8128(loc24);
			}
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ... ",6,896921120);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
			tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6475[Dtype(RTCW(tr1))-950])(tr1);
		}
		ti4_1 = inline_F33_459();
		F167_2729(RTCW(loc10), loc11, ti4_1, loc3);
		if (loc18) {
			ti4_1 = inline_F33_501();
			ti4_2 = inline_F33_503();
			F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
		} else {
			ti4_1 = inline_F33_501();
			ti4_2 = inline_F33_502();
			F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
		}
		loc17 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc12)+ _CHROFF_10_0_);
			if (tb2) {
				tr1 = F473_6270(Current);
				loc25 = tr1;
				if (EIF_TEST(loc25)) {
					switch (F473_6267(Current)) {
						case 0L:
							ti4_1 = inline_F33_473();
							ti4_2 = inline_F33_474();
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 1L:
							ti4_1 = inline_F33_473();
							ti4_2 = inline_F33_475();
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 2L:
							ti4_1 = inline_F33_473();
							ti4_2 = inline_F33_476();
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 3L:
							ti4_1 = inline_F33_473();
							ti4_2 = inline_F33_477();
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 4L:
							ti4_1 = inline_F33_473();
							ti4_2 = inline_F33_478();
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
					}
					ti4_1 = inline_F33_471();
					F167_2729(RTCW(loc10), loc11, ti4_1, loc25);
				}
			}
			tb2 = F73_1490(RTCW(loc12));
			if (tb2) {
				loc15 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_4_);
			}
			tb2 = F73_1491(RTCW(loc12));
			if (tb2) {
				loc16 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_5_);
			}
			if ((EIF_BOOLEAN)(loc15 != NULL)) {
				ti4_1 = inline_F33_488();
				F167_2729(RTCW(loc10), loc11, ti4_1, loc15);
				ti4_1 = inline_F33_489();
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8895[Dtype(loc15)-1187]);
				F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
			} else {
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tr1 = RTLNS(eif_new_type(951, 0x01).id, 951, _OBJSIZ_4_6_2_4_1_1_2_1_);
					F950_8443(RTCW(tr1), loc16);
					loc7 = (EIF_REFERENCE) tr1;
					tb2 = '\0';
					tb3 = F950_8478(RTCW(loc7));
					if (tb3) {
						tb3 = F950_8481(RTCW(loc7));
						tb2 = tb3;
					}
					if (tb2) {
						ti4_1 = inline_F33_516();
						F167_2733(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
						ti4_1 = inline_F33_514();
						ti4_2 = F950_8473(RTCW(loc7));
						F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
						if ((EIF_BOOLEAN)(loc8 == NULL)) {
							tr1 = RTLNS(eif_new_type(570, 0x01).id, 570, _OBJSIZ_2_0_0_0_0_0_0_0_);
							F569_6956(RTCW(tr1));
							loc8 = (EIF_REFERENCE) tr1;
						}
						F571_6968(RTCW(loc8), loc7);
						F950_8513(RTCW(loc7));
						F167_2739(RTCW(loc10), loc8);
					}
				} else {
					tb2 = '\0';
					tb3 = F73_1489(RTCW(loc12));
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_3_);
						loc26 = tr1;
						tb2 = (EIF_TRUE);
					}
					if (tb2) {
						tr1 = RTMS_EX_H("Content-Type",12,1604261989);
						tr1 = F975_8815(RTCW(loc17), tr1);
						loc27 = tr1;
						if (EIF_TEST(loc27)) {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tb2 = F1188_10561(loc27, tr1);
							if (tb2) {
								loc15 = F73_1509(RTCW(loc12));
							} else {
								tb2 = '\01';
								tr1 = RTMS_EX_H("multipart/form-data",19,1299947873);
								tb3 = F1188_10561(loc27, tr1);
								if (!tb3) {
									tb3 = F726_8207(loc26);
									tb2 = tb3;
								}
								if (tb2) {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								} else {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								}
							}
						} else {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tr2 = RTMS_EX_H("Content-Type",12,1604261989);
							F975_8856(RTCW(loc17), tr1, tr2);
							loc15 = F73_1509(RTCW(loc12));
							ti4_1 = inline_F33_488();
							F167_2729(RTCW(loc10), loc11, ti4_1, loc15);
							ti4_1 = inline_F33_489();
							ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8895[Dtype(loc15)-1187]);
							F167_2733(RTCW(loc10), loc11, ti4_1, ti4_2);
						}
						if (loc4) {
							loc5 = RTLNS(eif_new_type(558, 0x01).id, 558, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc6 = RTLNS(eif_new_type(558, 0x01).id, 558, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc28 = F724_8205(loc26);
							for (;;) {
								tb2 = F673_8139(loc28);
								if (tb2) break;
								tr1 = F673_8130(loc28);
								loc29 = tr1;
								loc29 = RTRV(eif_new_type(1259, 0x01),loc29);
								if (EIF_TEST(loc29)) {
									ti4_1 = inline_F31_401();
									tr1 = *(EIF_REFERENCE *)(loc29);
									ti4_2 = inline_F31_402();
									tr2 = *(EIF_REFERENCE *)(loc29 + _REFACS_2_);
									ti4_3 = inline_F31_403();
									F168_2771(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
								} else {
									tr1 = F673_8130(loc28);
									loc30 = tr1;
									loc30 = RTRV(eif_new_type(1258, 0x01),loc30);
									if (EIF_TEST(loc30)) {
										ti4_1 = inline_F31_401();
										tr1 = RTMS_EX_H("file",4,1718185061);
										ti4_2 = inline_F31_404();
										tr2 = *(EIF_REFERENCE *)(loc30);
										tr2 = F1209_11266(RTCW(tr2));
										ti4_3 = inline_F31_403();
										F168_2771(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
									} else {
									}
								}
								F673_8145(loc28);
							}
							F559_6791(RTCW(loc6));
							ti4_1 = inline_F33_491();
							F167_2730(RTCW(loc10), loc11, ti4_1, loc5);
						}
					} else {
					}
				}
			}
		}
		loc31 = F975_8824(RTCW(loc17));
		for (;;) {
			tb3 = F664_8127(loc31);
			if (tb3) break;
			tr1 = F664_8125(loc31);
			tr2 = RTMS_EX_H(": ",2,14880);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(RTCW(tr1))-1188])(tr1, tr2);
			tr2 = F664_8124(loc31);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(RTCW(tr1))-1188])(tr1, tr2);
			tp1 = F168_2772(RTCW(loc9), loc13, tr1);
			loc13 = (EIF_POINTER) tp1;
			F664_8128(loc31);
		}
		tr1 = RTMS_EX_H("Expect:",7,159486778);
		tp1 = F168_2772(RTCW(loc9), loc13, tr1);
		loc13 = (EIF_POINTER) tp1;
		ti4_1 = inline_F33_494();
		F167_2731(RTCW(loc10), loc11, ti4_1, loc13);
		F167_2742(RTCW(loc10), loc11);
		F167_2741(RTCW(loc10), loc11);
		if (F473_6260(Current)) {
			F167_2744(RTCW(loc10), loc11);
			ti4_1 = inline_F33_448();
			F167_2733(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
		}
		tb4 = '\0';
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb5 = F73_1492(RTCW(loc12));
			tb4 = tb5;
		}
		if (tb4) {
			if ((EIF_BOOLEAN)(loc8 == NULL)) {
				tr1 = RTLNS(eif_new_type(570, 0x01).id, 570, _OBJSIZ_2_0_0_0_0_0_0_0_);
				F569_6956(RTCW(tr1));
				loc8 = (EIF_REFERENCE) tr1;
			}
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_6_);
			loc32 = tr1;
			if (EIF_TEST(loc32)) {
				F571_6967(RTCW(loc8), loc32);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_8_);
				loc33 = tr1;
				if (EIF_TEST(loc33)) {
					tr1 = RTLNS(eif_new_type(1190, 0x01).id, 1190, _OBJSIZ_1_1_0_4_0_0_0_0_);
					F1182_10228(RTCW(tr1));
					loc2 = (EIF_REFERENCE) tr1;
					tr1 = F475_6296(Current, loc33, loc2);
					F571_6967(RTCW(loc8), tr1);
				} else {
					tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_7_);
					loc34 = tr1;
					if (EIF_TEST(loc34)) {
						tr1 = RTLNS(eif_new_type(1190, 0x01).id, 1190, _OBJSIZ_1_1_0_4_0_0_0_0_);
						F1182_10228(RTCW(tr1));
						loc2 = (EIF_REFERENCE) tr1;
						tr1 = F475_6295(Current, loc34, loc2);
						F571_6967(RTCW(loc8), tr1);
					}
				}
			}
			F167_2739(RTCW(loc10), loc8);
		} else {
			tr1 = RTLNS(eif_new_type(1190, 0x01).id, 1190, _OBJSIZ_1_1_0_4_0_0_0_0_);
			F1182_10228(RTCW(tr1));
			loc2 = (EIF_REFERENCE) tr1;
			ti4_1 = inline_F33_452();
			F167_2732(RTCW(loc10), loc11, ti4_1, loc2);
		}
		tr1 = RTLNS(eif_new_type(71, 0x01).id, 71, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F72_1449(RTCW(tr1), loc3);
		Result = (EIF_REFERENCE) tr1;
		loc1 = F167_2736(RTCW(loc10), loc11);
		if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
			ti4_1 = F475_6294(Current, loc10, loc11);
			F72_1469(RTCW(Result), ti4_1);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				tr1 = F1188_10541(RTCW(loc2));
				F72_1471(RTCW(Result), tr1, loc12);
				tr1 = *(EIF_REFERENCE *)(Current);
				tb4 = F1398_13608(RTCW(tr1));
				if (tb4) {
					tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = RTMS_EX_H("< Receiving:\012",13,798060298);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
					tr1 = RTOUCR(34,F103_1913, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_4_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(tr1))-577])(tr1, tr2);
				}
			}
		} else {
			tr1 = F168_2774(RTCW(loc9), loc1);
			loc35 = tr1;
			if ((EIF_TRUE)) {
				tr1 = RTMS_EX_H("Error: ",7,316445984);
				tr2 = RTLNS(eif_new_type(88, 0x00).id, 88, _OBJSIZ_0_0_0_0_0_0_0_0_);
				tr3 = F89_1740(RTCW(tr2), loc35);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(tr1)-1188])(tr1, tr3);
				F72_1453(RTCW(Result), tr1);
			} else {
				tr1 = RTMS_EX_H("Error: cURL Error[",18,2136945755);
				tr2 = eif_out__i4_s1(loc1);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(tr1)-1188])(tr1, tr2);
				tr2 = RTMS_EX_H("]",1,93);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8885[Dtype(RTCW(tr1))-1188])(tr1, tr2);
				F72_1453(RTCW(Result), tr1);
			}
			ti4_1 = F475_6294(Current, loc10, loc11);
			F72_1469(RTCW(Result), ti4_1);
		}
		F168_2770(RTCW(loc9));
		F167_2737(RTCW(loc10), loc11);
	} else {
		tr1 = RTLNS(eif_new_type(71, 0x01).id, 71, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F72_1449(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_3_));
		Result = (EIF_REFERENCE) tr1;
		tr1 = RTMS_EX_H("Error: internal error",21,167678066);
		F72_1453(RTCW(Result), tr1);
	}
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		F559_6790(RTCW(loc5));
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc13 != tp1);
	}
	if (tb4) {
		F168_2773(RTCW(loc9), loc13);
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc7 != NULL)) {
		tb5 = F950_8502(RTCW(loc7));
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		F950_8530(RTCW(loc7));
	}
	RTE_E
	RTXSC;
	loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		F168_2770(RTCW(loc9));
		loc9 = (EIF_REFERENCE) NULL;
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc10 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc11 != tp1);
	}
	if (tb4) {
		F167_2737(RTCW(loc10), loc11);
		loc10 = (EIF_REFERENCE) NULL;
	}
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_session */
void F475_6292 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,loc2);
	RTLR(6,tr2);
	RTLIU(7);
	
	RTGC;
	ti4_1 = inline_F33_449();
	F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		loc1 = *(EIF_REFERENCE *)(RTCW(arg1));
	}
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = F473_6271(Current);
	}
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = inline_F33_461();
		ti4_2 = eif_integer_32_item(RTCW(loc1),2);
		F167_2733(RTCW(arg3), arg4, ti4_1, ti4_2);
		ti4_1 = inline_F33_460();
		tr1 = eif_boxed_item(loc1,1);
		F167_2729(RTCW(arg3), arg4, ti4_1, tr1);
	}
	if ((EIF_BOOLEAN) (F473_6272(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F33_523();
		ti4_2 = F473_6272(Current);
		F167_2733(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN) (F473_6273(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F33_533();
		ti4_2 = F473_6273(Current);
		F167_2733(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN)(F473_6274(Current) != ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F33_483();
		F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		ti4_1 = inline_F33_485();
		ti4_2 = F473_6274(Current);
		F167_2733(RTCW(arg3), arg4, ti4_1, ti4_2);
	} else {
		ti4_1 = inline_F33_483();
		F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	if (F473_6279(Current)) {
		ti4_1 = inline_F33_561();
		F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
		ti4_1 = inline_F33_558();
		F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	tr1 = *(EIF_REFERENCE *)(Current);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_10_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F33_564();
		F167_2729(RTCW(arg3), arg4, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	tr2 = RTMS_EX_H("GET",3,4670804);
	tb1 = F1188_10551(RTCW(tr1), tr2);
	if (tb1) {
		ti4_1 = inline_F33_500();
		F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	} else {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
		tr2 = RTMS_EX_H("POST",4,1347375956);
		tb1 = F1188_10551(RTCW(tr1), tr2);
		if (tb1) {
			ti4_1 = inline_F33_487();
			F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		} else {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr2 = RTMS_EX_H("PUT",3,5264724);
			tb1 = F1188_10551(RTCW(tr1), tr2);
			if (tb1) {
				ti4_1 = inline_F33_486();
				F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
			} else {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
				tr2 = RTMS_EX_H("HEAD",4,1212498244);
				tb1 = F1188_10551(RTCW(tr1), tr2);
				if (tb1) {
					ti4_1 = inline_F33_513();
					F167_2733(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
				} else {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					tr2 = RTMS_EX_H("DELETE",6,1413835333);
					tb1 = F1188_10551(RTCW(tr1), tr2);
					if (tb1) {
						ti4_1 = inline_F33_511();
						tr1 = RTMS_EX_H("DELETE",6,1413835333);
						F167_2729(RTCW(arg3), arg4, ti4_1, tr1);
					} else {
						ti4_1 = inline_F33_511();
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
						F167_2729(RTCW(arg3), arg4, ti4_1, tr1);
					}
				}
			}
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_security_session */
void F475_6293 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLIU(7);
	
	RTGC;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg3));
	tb1 = (RTNA((RTCW(arg3), ti4_1)), ((EIF_BOOLEAN) 0));
	if (tb1) {
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F33_551();
			ti4_2 = inline_F33_554();
			F167_2733(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F33_551();
			ti4_2 = inline_F33_555();
			F167_2733(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		ti4_1 = inline_F33_545();
		F167_2729(RTCW(arg1), arg2, ti4_1, loc1);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F33_548();
		F167_2729(RTCW(arg1), arg2, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		ti4_1 = inline_F33_544();
		F167_2729(RTCW(arg1), arg2, ti4_1, loc3);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		ti4_1 = inline_F33_559();
		F167_2729(RTCW(arg1), arg2, ti4_1, loc4);
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F33_558();
		F167_2733(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 1L));
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F33_561();
		F167_2733(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 2L));
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response_status_code */
EIF_INTEGER_32 F475_6294 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,217,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc2 = RTLNS(typres0.id, 217, _OBJSIZ_1_0_0_0_0_0_0_0_);
	}
	F218_3292(RTCW(loc2), NULL);
	loc1 = F167_2738(RTCW(arg1), arg2, ((EIF_INTEGER_32) 2097154L), loc2);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R3212[Dtype(RTCW(loc2))-217])(loc2);
		tr1 = RTCCL(tr2);
		RTOB(*(EIF_INTEGER_32 *), eif_new_type(1327, 0x00), tr1, loc3, tb2);
		tb1 = tb2;
	}
	if (tb1) {
		RTLE;
		return (EIF_INTEGER_32) loc3;
	} else {
		RTLE;
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	}/* NOTREACHED */
	
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_data_to_file_agent */
EIF_REFERENCE F475_6295 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1127,0xFF01,0,1189,0xFF01,949,0xFF01,219,1141,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,219,1141,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 219, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F220_3292(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1176,0xFF01,0xFFF9,1,1127,0xFF01,1187,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A425_66_2, (EIF_POINTER) _A425_66_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_content_data_to_file_agent */
EIF_REFERENCE F475_6296 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1127,0xFF01,0,1189,0xFF01,949,0xFF01,219,1141,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,219,1141,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 219, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F220_3292(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1176,0xFF01,0xFFF9,1,1127,0xFF01,1187,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A425_65_2, (EIF_POINTER) _A425_65_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_content_data_to_file_agent */
void F475_15764 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg4);
	RTLR(1,arg3);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(arg3))-577])(arg3, arg1);
	} else {
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8919[Dtype(RTCW(arg2))-1189])(arg2, arg1);
		}
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1188_10561(RTCW(arg1), tr1);
		if (tb1) {
			F220_3293(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_data_to_file_agent */
void F475_15765 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,arg4);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6477[Dtype(RTCW(arg3))-577])(arg3, arg1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg2 != NULL)) {
		tb2 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8919[Dtype(RTCW(arg2))-1189])(arg2, arg1);
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1188_10561(RTCW(arg1), tr1);
		if (tb1) {
			F220_3293(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

void EIF_Minit425 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
