/*
 * Code for class DYNAMIC_API_LOADER
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "dy479.h"
#include "eif_built_in.h"
#include <dlfcn.h>
#include "eif_misc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F526_9395
static EIF_POINTER inline_F526_9395 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return dlsym((void *)arg1, (const char *)arg2);
	;
}
#define INLINE_F526_9395
#endif
#ifndef INLINE_F526_9393
static EIF_POINTER inline_F526_9393 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	return (EIF_POINTER)dlopen((const char*)arg1, (int)arg2);
	;
}
#define INLINE_F526_9393
#endif
#ifndef INLINE_F526_9394
static EIF_INTEGER_32 inline_F526_9394 (EIF_POINTER arg1)
{
	return (EIF_INTEGER)dlclose((void *)arg1);
	;
}
#define INLINE_F526_9394
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {DYNAMIC_API_LOADER}.is_dynamic_library_supported */
EIF_BOOLEAN F526_9388 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("is_dynamic_library_supported", 525, Current, 0, 0, 8555);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
}

/* {DYNAMIC_API_LOADER}.api_pointer */
EIF_POINTER F526_9389 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,arg2);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("api_pointer", 525, Current, 1, 2, 8556);
	RTGC;
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(2115, 0x00).id, 2115, _OBJSIZ_1_0_0_1_0_0_0_0_);
	F2116_29741(RTCW(loc1), arg2);
	RTHOOK(2);
	tp1 = F2116_29763(RTCW(loc1));
	Result = inline_F526_9395(arg1, tp1);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.load_library */
EIF_POINTER F526_9390 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLR(5,Current);
	RTLIU(6);
	
	RTEAA("load_library", 525, Current, 1, 2, 8557);
	RTGC;
	RTAOMS(9389,2);
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(4126, 0x00).id, 4126, _OBJSIZ_2_1_0_0_0_0_0_0_);
	F4127_50112(RTCW(loc1), arg1);
	RTHOOK(2);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
		RTHOOK(3);
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			RTHOOK(4);
			tr1 = F4127_50142(RTCW(loc1), arg2);
		} else {
			RTHOOK(5);
			tr1 = loc1;
		}
		RTCOMS(tr2,9389,0,"dylib",5,2037916002);
		tr1 = F4127_50142(RTCV(tr1), tr2);
		tr1 = F4127_50150(RTCW(tr1));
		Result = F526_9391(Current, tr1);
	}
	RTHOOK(6);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(Result == tp1)) {
		RTHOOK(7);
		RTCOMS(tr1,9389,1,"so",2,29551);
		tr1 = F4127_50142(RTCW(loc1), tr1);
		loc1 = (EIF_REFERENCE) tr1;
		RTHOOK(8);
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			RTHOOK(9);
			tr1 = F4127_50142(RTCW(loc1), arg2);
		} else {
			RTHOOK(10);
			tr1 = loc1;
		}
		tr1 = F4127_50150(RTCV(tr1));
		Result = F526_9391(Current, tr1);
	}
	RTHOOK(11);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.load_library_from_path */
EIF_POINTER F526_9391 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("load_library_from_path", 525, Current, 1, 1, 8558);
	RTGC;
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(2115, 0x00).id, 2115, _OBJSIZ_1_0_0_1_0_0_0_0_);
	F2116_29741(RTCW(loc1), arg1);
	RTHOOK(2);
	tp1 = F2116_29763(RTCW(loc1));
	ti4_1 = (EIF_INTEGER_32) RTLD_LAZY;
	ti4_2 = (EIF_INTEGER_32) RTLD_GLOBAL;
	ti4_1 = eif_bit_or(ti4_1,ti4_2);
	Result = inline_F526_9393(tp1, ti4_1);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.unload_library */
void F526_9392 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("unload_library", 525, Current, 1, 1, 8559);
	RTGC;
	RTHOOK(1);
	ti4_1 = inline_F526_9394(arg1);
	loc1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L));
	
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {DYNAMIC_API_LOADER}.c_dlopen */
EIF_POINTER F526_9393 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlopen", 525, Current, 0, 2, 8550);
	Result = inline_F526_9393 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.c_dlclose */
EIF_INTEGER_32 F526_9394 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlclose", 525, Current, 0, 1, 8551);
	Result = inline_F526_9394 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.c_dlsym */
EIF_POINTER F526_9395 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlsym", 525, Current, 0, 2, 8552);
	Result = inline_F526_9395 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.rtld_lazy */
EIF_INTEGER_32 F526_9396 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rtld_lazy", 525, Current, 0, 0, 8553);
	Result = (EIF_INTEGER_32) RTLD_LAZY;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.rtld_global */
EIF_INTEGER_32 F526_9397 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rtld_global", 525, Current, 0, 0, 8554);
	Result = (EIF_INTEGER_32) RTLD_GLOBAL;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

void EIF_Minit479 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
