/*
 * Code for class EV_TREE_NODE_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev853.h"
#include "eif_built_in.h"
#include <ev_gtk.h>
#include "eif_memory.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F103_1894
static EIF_POINTER inline_F103_1894 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (EIF_POINTER) (gtk_tree_model_get_path ((GtkTreeModel*) arg1, (GtkTreeIter*) arg2))
	;
}
#define INLINE_F103_1894
#endif
#ifndef INLINE_F103_1896
static int inline_F103_1896 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (int) (gtk_tree_view_row_expanded ((GtkTreeView*) arg1, (GtkTreePath*) arg2))
	;
}
#define INLINE_F103_1896
#endif
#ifndef INLINE_F103_1870
static void inline_F103_1870 (EIF_POINTER arg1)
{
	gtk_tree_path_free ((GtkTreePath*) arg1)
	;
}
#define INLINE_F103_1870
#endif
#ifndef INLINE_F103_1903
static EIF_POINTER inline_F103_1903 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_tree_view_get_selection ((GtkTreeView*) arg1))
	;
}
#define INLINE_F103_1903
#endif
#ifndef INLINE_F103_1888
static void inline_F103_1888 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_tree_selection_select_iter ((GtkTreeSelection*) arg1, (GtkTreeIter*) arg2)
	;
}
#define INLINE_F103_1888
#endif
#ifndef INLINE_F103_1889
static void inline_F103_1889 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_tree_selection_unselect_iter ((GtkTreeSelection*) arg1, (GtkTreeIter*) arg2)
	;
}
#define INLINE_F103_1889
#endif
#ifndef INLINE_F103_1898
static void inline_F103_1898 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_tree_view_expand_to_path ((GtkTreeView*) arg1, (GtkTreePath*) arg2)
	;
}
#define INLINE_F103_1898
#endif
#ifndef INLINE_F103_1899
static int inline_F103_1899 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (int) (gtk_tree_view_collapse_row ((GtkTreeView*) arg1, (GtkTreePath*) arg2))
	;
}
#define INLINE_F103_1899
#endif
#ifndef INLINE_F103_1956
static void inline_F103_1956 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4)
{
	gtk_tree_store_insert ((GtkTreeStore*) arg1, (GtkTreeIter*) arg2, (GtkTreeIter*) arg3, (gint) arg4)
	;
}
#define INLINE_F103_1956
#endif
#ifndef INLINE_F102_1406
static void inline_F102_1406 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F102_1406
#endif
#ifndef INLINE_F103_1958
static void inline_F103_1958 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_tree_store_remove ((GtkTreeStore*) arg1, (GtkTreeIter*) arg2)
	;
}
#define INLINE_F103_1958
#endif
#ifndef INLINE_F945_7205
static int inline_F945_7205 (void)
{
	return eif_is_in_final_collect;
	;
}
#define INLINE_F945_7205
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_TREE_NODE_IMP}.destroy */
void F1506_16295 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTCFDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_24_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		tr1 = F1304_12768(Current);
		F1331_13501(loc1, tr1);
	}
	F1304_12783(Current, (EIF_BOOLEAN) 1);
	RTLE;
}

/* {EV_TREE_NODE_IMP}.make */
void F1506_16297 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1506_16337(Current);
	F1332_13509(Current);
	RTLE;
}

/* {EV_TREE_NODE_IMP}.is_selected */
EIF_BOOLEAN F1506_16298 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLIU(4);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		tr1 = F1470_15764(RTCW(loc1));
		tr2 = *(EIF_REFERENCE *)(Current + _REFACS_14_);
		Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tr1 == tr2);
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.is_expanded */
EIF_BOOLEAN F1506_16299 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc3);
	RTLIU(3);
	
	RTGC;
	loc2 = F1506_16330(Current);
	RTCT0("par_tree /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	loc3 = *(EIF_REFERENCE *)(Current + _REFACS_21_);
	RTCT0("l_list_iter /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc3 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12558[Dtype(loc2)-1469]);
	tp2 = F276_4287(RTCW(loc3));
	loc1 = inline_F103_1894(tp1, tp2);
	tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12561[Dtype(loc2)-1469]);
	Result = EIF_TEST (inline_F103_1896(tp1, loc1));
	inline_F103_1870(loc1);
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.x_position */
EIF_INTEGER_32 F1506_16300 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	loc2 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12563[Dtype(loc2)-1469]);
		loc1 = (EIF_POINTER) gtk_scrolled_window_get_hadjustment((GtkScrolledWindow*) tp1);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc1 != tp1)) {
			tr4_1 = (EIF_REAL_32) gtk_adjustment_get_value((GtkAdjustment*) loc1);
			tr1 = RTLNS(eif_new_type(1039, 0x00).id, 1039, _OBJSIZ_0_0_0_0_1_0_0_0_);
			*(EIF_REAL_32 *)tr1 = tr4_1;
			Result = F1038_9238(RTCW(tr1));
			Result = (EIF_INTEGER_32) (EIF_INTEGER_32) -Result;
		}
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.y_position */
EIF_INTEGER_32 F1506_16301 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	loc2 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		Result = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_25_6_6_0_);
		ti4_1 = F1470_15796(RTCW(loc2));
		Result = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (Result - ((EIF_INTEGER_32) 1L)) * ti4_1);
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12563[Dtype(loc2)-1469]);
		loc1 = (EIF_POINTER) gtk_scrolled_window_get_vadjustment((GtkScrolledWindow*) tp1);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc1 != tp1)) {
			tr4_1 = (EIF_REAL_32) gtk_adjustment_get_value((GtkAdjustment*) loc1);
			tr1 = RTLNS(eif_new_type(1039, 0x00).id, 1039, _OBJSIZ_0_0_0_0_1_0_0_0_);
			*(EIF_REAL_32 *)tr1 = tr4_1;
			ti4_1 = F1038_9238(RTCW(tr1));
			Result = (EIF_INTEGER_32) (EIF_INTEGER_32) (Result - ti4_1);
		}
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.screen_x */
EIF_INTEGER_32 F1506_16302 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		Result = F1339_13567(RTCW(loc1));
		ti4_1 = F1506_16300(Current);
		Result = (EIF_INTEGER_32) (EIF_INTEGER_32) (Result + ti4_1);
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.screen_y */
EIF_INTEGER_32 F1506_16303 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		Result = F1339_13568(RTCW(loc1));
		ti4_1 = F1506_16301(Current);
		Result = (EIF_INTEGER_32) (EIF_INTEGER_32) (Result + ti4_1);
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.width */
EIF_INTEGER_32 F1506_16304 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = F1390_14360(RTCW(loc1));
		RTLE;
		return (EIF_INTEGER_32) ti4_1;
	}
	RTLE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_TREE_NODE_IMP}.height */
EIF_INTEGER_32 F1506_16305 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = F1470_15796(RTCW(loc1));
		RTLE;
		return (EIF_INTEGER_32) ti4_1;
	}
	RTLE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_TREE_NODE_IMP}.minimum_width */
EIF_INTEGER_32 F1506_16306 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = F1339_13572(RTCW(loc1));
		RTLE;
		return (EIF_INTEGER_32) ti4_1;
	}
	RTLE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_TREE_NODE_IMP}.minimum_height */
EIF_INTEGER_32 F1506_16307 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = F1470_15796(RTCW(loc1));
		RTLE;
		return (EIF_INTEGER_32) ti4_1;
	}
	RTLE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_TREE_NODE_IMP}.enable_select */
void F1506_16308 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc3);
	RTLR(3,tr1);
	RTLIU(4);
	
	RTGC;
	loc2 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_21_);
		RTCT0("l_list_iter /= Void", EX_CHECK);
		if ((EIF_BOOLEAN)(loc3 != NULL)) {
			RTCK0;
		} else {
			RTCF0;
		}
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12561[Dtype(loc2)-1469]);
		loc1 = inline_F103_1903(tp1);
		tp1 = F276_4287(RTCW(loc3));
		inline_F103_1888(loc1, tp1);
		tr1 = F1304_12768(Current);
		F1470_15768(RTCW(loc2), tr1);
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.disable_select */
void F1506_16309 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc3);
	RTLIU(3);
	
	RTGC;
	loc2 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_21_);
		RTCT0("l_list_iter /= Void", EX_CHECK);
		if ((EIF_BOOLEAN)(loc3 != NULL)) {
			RTCK0;
		} else {
			RTCF0;
		}
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12561[Dtype(loc2)-1469]);
		loc1 = inline_F103_1903(tp1);
		tp1 = F276_4287(RTCW(loc3));
		inline_F103_1889(loc1, tp1);
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.set_expand */
void F1506_16310 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc4);
	RTLIU(3);
	
	RTGC;
	loc2 = F1506_16330(Current);
	RTCT0("par_tree /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc2 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	loc4 = *(EIF_REFERENCE *)(Current + _REFACS_21_);
	RTCT0("l_list_iter /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc4 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12558[Dtype(loc2)-1469]);
	tp2 = F276_4287(RTCW(loc4));
	loc1 = inline_F103_1894(tp1, tp2);
	if (arg1) {
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12561[Dtype(loc2)-1469]);
		inline_F103_1898(tp1, loc1);
	} else {
		tp1 = *(EIF_POINTER *)(RTCW(loc2) + O12561[Dtype(loc2)-1469]);
		loc3 = EIF_TEST (inline_F103_1899(tp1, loc1));
	}
	inline_F103_1870(loc1);
	RTLE;
}

/* {EV_TREE_NODE_IMP}.set_text */
void F1506_16311 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,loc1);
	RTLIU(4);
	
	RTGC;
	tr1 = F1102_9893(RTCW(arg1));
	tr1 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_22_) = (EIF_REFERENCE) tr1;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		F1470_15791(RTCW(loc1), Current, *(EIF_REFERENCE *)(Current + _REFACS_22_));
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.enable_transport */
void F1506_16312 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_25_1_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	tr1 = F1506_16330(Current);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		F1470_15773(loc1);
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.draw_rubber_band */
void F1506_16314 (EIF_REFERENCE Current)
{
	GTCX
	
	
	RTGC;
}

/* {EV_TREE_NODE_IMP}.erase_rubber_band */
void F1506_16315 (EIF_REFERENCE Current)
{
	GTCX
	
	
	RTGC;
}

/* {EV_TREE_NODE_IMP}.internal_set_pointer_style */
void F1506_16321 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTGC;
}

/* {EV_TREE_NODE_IMP}.is_transport_enabled_iterator */
EIF_BOOLEAN F1506_16322 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,loc4);
	RTLIU(5);
	
	RTGC;
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_25_1_)) {
		RTLE;
		return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	} else {
		if ((EIF_BOOLEAN) (F1332_13511(Current) > ((EIF_INTEGER_32) 0L))) {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
			loc1 = F683_5711(RTCW(tr1));
			loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
			for (;;) {
				tb1 = '\01';
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
				ti4_1 = F683_5721(RTCW(tr1));
				if (!(EIF_BOOLEAN) (loc2 > ti4_1)) {
					tb1 = Result;
				}
				if (tb1) break;
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
				tr1 = F683_5706(RTCW(tr1), loc2);
				loc3 = tr1;
				if (EIF_TEST(loc3)) {
					RTCT0("attached {EV_TREE_NODE_IMP} ch.implementation as a_tree_node_imp", EX_CHECK);
					tr1 = *(EIF_REFERENCE *)(loc3 + _REFACS_3_);
					loc4 = tr1;
					loc4 = RTRV(eif_new_type(1505, 0x00),loc4);
					if (EIF_TEST(loc4)) {
						RTCK0;
					} else {
						RTCF0;
					}
					Result = F1506_16322(loc4);
				}
				loc2++;
			}
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
			F683_5736(RTCW(tr1), loc1);
		}
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.able_to_transport */
EIF_BOOLEAN F1506_16324 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\01';
	tb1 = '\0';
	if (F1387_14252(Current)) {
		tb1 = (EIF_BOOLEAN)(arg1 == ((EIF_INTEGER_32) 1L));
	}
	if (!tb1) {
		tb1 = '\0';
		tb2 = '\0';
		if (F1387_14251(Current)) {
			tb2 = (EIF_BOOLEAN)(arg1 == ((EIF_INTEGER_32) 3L));
		}
		if (tb2) {
			tb1 = (EIF_BOOLEAN) !F1387_14254(Current);
		}
		Result = tb1;
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.ready_for_pnd_menu */
EIF_BOOLEAN F1506_16325 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\0';
	tb1 = '\0';
	tb2 = '\01';
	if (!F1387_14253(Current)) {
		tb2 = F1387_14254(Current);
	}
	if (tb2) {
		tb1 = (EIF_BOOLEAN)(arg1 == ((EIF_INTEGER_32) 3L));
	}
	if (tb1) {
		Result = (EIF_BOOLEAN) !arg2;
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.set_list_iter */
void F1506_16326 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_21_) = (EIF_REFERENCE) arg1;
}

/* {EV_TREE_NODE_IMP}.set_parent_imp */
void F1506_16328 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_24_) = (EIF_REFERENCE) arg1;
}

/* {EV_TREE_NODE_IMP}.parent_imp */
EIF_REFERENCE F1506_16329 (EIF_REFERENCE Current)
{
	return *(EIF_REFERENCE *)(Current + _REFACS_24_);
}


/* {EV_TREE_NODE_IMP}.parent_tree_imp */
EIF_REFERENCE F1506_16330 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = F1505_16287(Current);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1469, 0),loc1);
	if (EIF_TEST(loc1)) {
		RTLE;
		return (EIF_REFERENCE) loc1;
	}
	RTLE;
	return (EIF_REFERENCE) 0;
}

/* {EV_TREE_NODE_IMP}.add_item_and_children_to_parent_tree */
void F1506_16331 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg2);
	RTLR(1,loc4);
	RTLR(2,tr1);
	RTLR(3,loc1);
	RTLR(4,Current);
	RTLR(5,arg1);
	RTLR(6,loc5);
	RTLIU(7);
	
	RTGC;
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg2 != NULL)) {
		tr1 = *(EIF_REFERENCE *)(RTCW(arg2) + _REFACS_21_);
		loc4 = tr1;
		tb1 = EIF_TEST(loc4);
	}
	if (tb1) {
		loc3 = F276_4287(loc4);
	}
	loc1 = RTLNS(eif_new_type(277, 0x00).id, 277, _OBJSIZ_1_1_0_0_0_1_0_0_);
	F276_4284(RTCW(loc1));
	F1506_16326(Current, loc1);
	tp1 = *(EIF_POINTER *)(RTCW(arg1) + O12558[Dtype(arg1)-1469]);
	tp2 = F276_4287(RTCW(loc1));
	inline_F103_1956(tp1, tp2, loc3, (EIF_INTEGER_32) (arg3 - ((EIF_INTEGER_32) 1L)));
	tr1 = F1506_16335(Current);
	F1470_15791(RTCW(arg1), Current, tr1);
	F1470_15793(RTCW(arg1), Current);
	loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	for (;;) {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
		ti4_1 = F683_5721(RTCW(tr1));
		if ((EIF_BOOLEAN) (loc2 > ti4_1)) break;
		RTCT0("attached {EV_TREE_NODE_IMP} (child_array [i]).implementation as item_imp", EX_CHECK);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
		tr1 = F683_5706(RTCW(tr1), loc2);
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_3_);
		loc5 = tr1;
		loc5 = RTRV(eif_new_type(1505, 0x00),loc5);
		if (EIF_TEST(loc5)) {
			RTCK0;
		} else {
			RTCF0;
		}
		F1506_16331(loc5, arg1, Current, loc2);
		loc2++;
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.update_for_pick_and_drop */
void F1506_16332 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	
	
	RTGC;
}

/* {EV_TREE_NODE_IMP}.ensure_expandable */
void F1506_16333 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(1210, 0x00).id, 1210, _OBJSIZ_6_1_0_1_0_0_0_0_);
	F1112_10297(RTCW(tr1));
	F1506_16349(Current, tr1, ((EIF_INTEGER_32) 1L));
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R4662[Dtype(RTCW(tr1))-550])(tr1);
	RTLE;
}

/* {EV_TREE_NODE_IMP}.remove_expandable */
void F1506_16334 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_24_);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1469, 0x00),loc1);
	if (EIF_TEST(loc1)) {
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.text */
EIF_REFERENCE F1506_16335 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,Result);
	RTLIU(3);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_22_);
	Result = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.tooltip */
EIF_REFERENCE F1506_16336 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_23_);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		tr1 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (loc1);
		RTLE;
		return (EIF_REFERENCE) tr1;
	} else {
		Result = F1102_9893(RTMS_EX_H("",0,0));
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.remove_internal_text */
RTEOMS(16336,1);
void F1506_16337 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	tr1 = F1102_9893(RTOMS(16336,0));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_22_) = (EIF_REFERENCE) tr1;
	RTLE;
}

/* {EV_TREE_NODE_IMP}.set_tooltip */
void F1506_16341 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = F1102_9893(RTCW(arg1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_23_) = (EIF_REFERENCE) tr1;
	RTLE;
}

/* {EV_TREE_NODE_IMP}.set_pixmap */
void F1506_16343 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLIU(5);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) != tp1)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_);
		inline_F102_1406(tp1);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) = (EIF_POINTER) tp2;
	}
	RTCT0("attached {EV_PIXMAP_IMP} a_pixmap.implementation as a_pix_imp", EX_CHECK);
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_3_);
	loc2 = tr1;
	loc2 = RTRV(eif_new_type(1537, 0x00),loc2);
	if (EIF_TEST(loc2)) {
		RTCK0;
	} else {
		RTCF0;
	}
	tp1 = F1534_16706(loc2);
	*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) = (EIF_POINTER) tp1;
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		F1470_15793(RTCW(loc1), Current);
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.remove_pixmap */
void F1506_16346 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLIU(2);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) != tp1)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_);
		inline_F102_1406(tp1);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) = (EIF_POINTER) tp2;
	}
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		F1470_15793(RTCW(loc1), Current);
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.pixmap */
EIF_REFERENCE F1506_16347 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc1);
	RTLR(3,tr1);
	RTLIU(4);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) != tp1)) {
		Result = RTLNS(eif_new_type(1302, 0x00).id, 1302, _OBJSIZ_6_3_0_1_0_0_0_0_);
		F1112_10297(RTCW(Result));
		RTCT0("attached {EV_PIXMAP_IMP} Result.implementation as pix_imp", EX_CHECK);
		tr1 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_3_);
		loc1 = tr1;
		loc1 = RTRV(eif_new_type(1537, 0x00),loc1);
		if (EIF_TEST(loc1)) {
			RTCK0;
		} else {
			RTCF0;
		}
		F1538_16878(loc1, *(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_));
	}
	RTLE;
	return Result;
}

/* {EV_TREE_NODE_IMP}.insert_i_th */
void F1506_16349 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLR(4,loc1);
	RTLIU(5);
	
	RTGC;
	RTCT0("attached {EV_TREE_NODE_IMP} v.implementation as item_imp", EX_CHECK);
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_3_);
	loc2 = tr1;
	loc2 = RTRV(eif_new_type(1505, 0x00),loc2);
	if (EIF_TEST(loc2)) {
		RTCK0;
	} else {
		RTCF0;
	}
	F1506_16328(loc2, Current);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	F683_5735(RTCW(tr1), arg2);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R4805[Dtype(RTCW(tr1))-682])(tr1, arg1);
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		F1506_16331(loc2, loc1, Current, arg2);
		tb1 = F1506_16322(loc2);
		if (tb1) {
			F1470_15774(RTCW(loc1), (EIF_BOOLEAN) 1);
		}
	}
	tb1 = '\0';
	if ((EIF_BOOLEAN)(F1332_13511(Current) == ((EIF_INTEGER_32) 1L))) {
		tb1 = (EIF_BOOLEAN)(loc1 != NULL);
	}
	if (tb1) {
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_5_);
			F707_5830(RTCW(tr1));
		}
		F1506_16310(Current, *(EIF_BOOLEAN *)(Current+ _CHROFF_25_3_));
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_5_);
			F707_5832(RTCW(tr1));
		}
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.remove_i_th */
void F1506_16350 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,tr1);
	RTLR(3,loc1);
	RTLR(4,loc2);
	RTLIU(5);
	
	RTGC;
	if ((EIF_BOOLEAN)(F1332_13511(Current) == ((EIF_INTEGER_32) 1L))) {
		if ((EIF_BOOLEAN)(F1505_16287(Current) != NULL)) {
			tb1 = F1506_16299(Current);
			*(EIF_BOOLEAN *)(Current+ _CHROFF_25_3_) = (EIF_BOOLEAN) tb1;
		} else {
			*(EIF_BOOLEAN *)(Current+ _CHROFF_25_3_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		}
	}
	RTCT0("attached {EV_TREE_NODE_IMP} (child_array [a_position]).implementation as item_imp", EX_CHECK);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	tr1 = F683_5706(RTCW(tr1), arg1);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_3_);
	loc3 = tr1;
	loc3 = RTRV(eif_new_type(1505, 0x00),loc3);
	if (EIF_TEST(loc3)) {
		RTCK0;
	} else {
		RTCF0;
	}
	loc1 = F1506_16330(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		loc2 = *(EIF_REFERENCE *)(loc3 + _REFACS_21_);
		RTCT0("l_list_iter /= Void", EX_CHECK);
		if ((EIF_BOOLEAN)(loc2 != NULL)) {
			RTCK0;
		} else {
			RTCF0;
		}
		tp1 = *(EIF_POINTER *)(RTCW(loc1) + O12558[Dtype(loc1)-1469]);
		tp2 = F276_4287(RTCW(loc2));
		inline_F103_1958(tp1, tp2);
	}
	F1506_16328(loc3, NULL);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	F683_5735(RTCW(tr1), arg1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_15_);
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R4677[Dtype(RTCW(tr1))-550])(tr1);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		F1470_15773(RTCW(loc1));
	}
	RTLE;
}

/* {EV_TREE_NODE_IMP}.real_pointed_target */
EIF_REFERENCE F1506_16352 (EIF_REFERENCE Current)
{
	GTCX
	
	
	RTGC;
	return (EIF_REFERENCE) 0;
}

/* {EV_TREE_NODE_IMP}.dispose */
void F1506_16353 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tb1 = '\0';
	if ((EIF_BOOLEAN) !EIF_TEST (inline_F945_7205())) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_);
		inline_F102_1406(tp1);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		*(EIF_POINTER *)(Current+ _PTROFF_25_6_6_3_0_0_) = (EIF_POINTER) tp2;
	}
	RTLE;
}

void EIF_Minit853 (void)
{
	GTCX
	RTPOMS(16336,0,"",0,0);
}


#ifdef __cplusplus
}
#endif
