/*
 * Code for class ENCODING_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "en2250.h"
#include <string.h>
#include "eif_built_in.h"
#include <iconv.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F3247_38215
static EIF_POINTER inline_F3247_38215 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32* arg4, EIF_INTEGER_32* arg5)
{
	size_t insize = 0;
iconv_t cd = (iconv_t) arg1;
size_t nconv, avail, alloc;
char *res, *tres, *wrptr, *inptr;
char **l_inptr = &inptr;

insize = (size_t)arg3;
alloc = avail = insize + insize/4;

if (!(res = malloc(alloc))) {
	*arg5 = 1;
	return NULL;
} else {
	*arg5 = 0;
	wrptr = res;   /* duplicate pointers because they */
	inptr = arg2; /* get modified by iconv */
	
	/* Reset the descriptor to intial state. */
	iconv (cd, NULL, 0, NULL, 0);
	
	do {				
		nconv = iconv (cd, l_inptr, &insize, &wrptr, &avail); /*convertions */
		
		if (nconv == (size_t)(-1)) {
			if (errno == E2BIG) { /* need more room for result */							
				tres = realloc(res, alloc += 20);
				avail += 20;
				if (!tres) {
					*arg5 = 2;
					break;
				}
				wrptr = tres + (wrptr - res);
				res = tres;
			}
			else if (errno == EILSEQ) {
				*arg5 = 4;
				break;
			}
			else if (errno == EINVAL){
				*arg5 = 5;
				break;
			}
			else if (errno == EBADF){
				*arg5 = 6;
				break;
			}
			else{
				*arg5 = 7;
				break;
			}
		}
	} while (insize);
	
	*arg4 = alloc - avail;
	
	return res;
}
	;
}
#define INLINE_F3247_38215
#endif
#ifndef INLINE_F3247_38214
static EIF_POINTER inline_F3247_38214 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3, EIF_BOOLEAN* arg4)
{
	iconv_t cd;

cd = iconv_open (arg2, arg1);
if (cd == (iconv_t)(-1)) {
	*arg3 = 3;
	return NULL;
}
*arg4 = EIF_TRUE;
return cd;
	;
}
#define INLINE_F3247_38214
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {ENCODING_IMP}.convert_to */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F3247_38193 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	RTED;
	EIF_REFERENCE EIF_VOLATILE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER EIF_VOLATILE loc3 = (EIF_POINTER) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc7 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 EIF_VOLATILE loc8 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc9 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr3 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_NATURAL_32  EIF_VOLATILE tu4_1;
	EIF_CHARACTER_32  EIF_VOLATILE tw1;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_BOOLEAN  EIF_VOLATILE tb4;
	RTLD;
	RTXD;
	
	RTLI(14);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc5);
	RTLR(4,arg2);
	RTLR(5,arg3);
	RTLR(6,tr2);
	RTLR(7,tr3);
	RTLR(8,loc1);
	RTLR(9,loc6);
	RTLR(10,loc10);
	RTLR(11,loc11);
	RTLR(12,loc12);
	RTLR(13,saved_except);
	RTLIU(14);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc9) {
		loc7 = '\01';
		{
			/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
			tb1 = (EIF_BOOLEAN)  0;
			tr1 = RTOSCF(6000,F394_6000, (Current));
			tb1 = F1786_17404(RTCW(tr1), arg1);
			/* END INLINED CODE */
		}
		if (!tb1) {
			tb1 = '\0';
			if ((EIF_BOOLEAN) !RTOSCF(7934,F530_7934, (Current))) {
				{
					/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
					tb2 = (EIF_BOOLEAN)  0;
					tr1 = RTOSCF(5999,F394_5999, (Current));
					tb2 = F1786_17404(RTCW(tr1), arg1);
					/* END INLINED CODE */
				}
				tb1 = (EIF_BOOLEAN) !tb2;
			}
			loc7 = tb1;
		}
		{
			/* INLINED CODE (ENCODING_IMP.is_four_byte_code_page) */
			tb1 = (EIF_BOOLEAN)  0;
			tr1 = RTOSCF(5998,F394_5998, (Current));
			tb1 = F1786_17404(RTCW(tr1), arg1);
			/* END INLINED CODE */
		}
		if (tb1) {
			tr1 = F2079_20904(RTCW(arg2));
			loc5 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
			tr1 = RTOSCF(38203,F3247_38203, (Current));
			{
				/* INLINED CODE (DESCRIPTOR_CACHE.converted) */
				tb1 = (EIF_BOOLEAN)  0;
				(void) RTCW(tr1);
				tr2 = *(EIF_REFERENCE *)(tr1 + _REFACS_1_);
				tr3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R17365[Dtype(RTCW(arg1))-2082])(arg1, arg3);
				tb1 = F1786_17404(RTCW(tr2), tr3);
				/* END INLINED CODE */
			}
			tb1 = tb1;
			if ((EIF_BOOLEAN) !tb1) {
				if (((loc7) != (RTOSCF(7934,F530_7934, (Current))))) {
					tw1 = RTOSCF(38210,F3247_38210, (Current));
				} else {
					tw1 = RTOSCF(38211,F3247_38211, (Current));
				}
				F2088_21246(RTCW(loc5), tw1);
			}
			loc1 = F3247_38209(Current, loc5);
			loc2 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 * ((EIF_INTEGER_32) 4L));
		} else {
			{
				/* INLINED CODE (ENCODING_IMP.is_two_byte_code_page) */
				tb1 = (EIF_BOOLEAN)  0;
				tr1 = RTOSCF(5997,F394_5997, (Current));
				tb1 = F1786_17404(RTCW(tr1), arg1);
				/* END INLINED CODE */
			}
			if (tb1) {
				tr1 = F2079_20904(RTCW(arg2));
				loc5 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
				tr1 = RTOSCF(38203,F3247_38203, (Current));
				{
					/* INLINED CODE (DESCRIPTOR_CACHE.converted) */
					tb1 = (EIF_BOOLEAN)  0;
					(void) RTCW(tr1);
					tr2 = *(EIF_REFERENCE *)(tr1 + _REFACS_1_);
					tr3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R17365[Dtype(RTCW(arg1))-2082])(arg1, arg3);
					tb1 = F1786_17404(RTCW(tr2), tr3);
					/* END INLINED CODE */
				}
				tb1 = tb1;
				if ((EIF_BOOLEAN) !tb1) {
					if (((loc7) != (RTOSCF(7934,F530_7934, (Current))))) {
						tw1 = RTOSCF(38210,F3247_38210, (Current));
					} else {
						tw1 = RTOSCF(38212,F3247_38212, (Current));
					}
					F2088_21246(RTCW(loc5), tw1);
				}
				loc1 = F530_7924(Current, loc5);
				loc2 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
				loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 * ((EIF_INTEGER_32) 2L));
			} else {
				tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R17229[Dtype(RTCW(arg2))-2082])(arg2);
				if (tb1) {
					loc6 = F2079_20898(RTCW(arg2));
				} else {
					tr1 = RTLNS(eif_new_type(246, 0x00).id, 246, _OBJSIZ_0_0_0_0_0_0_0_0_);
					{
						/* INLINED CODE (UTF_CONVERTER.utf_32_string_to_utf_8_string_8) */
						tr2 = (EIF_REFERENCE)  0;
						(void) RTCW(tr1);
						tr2 = RTLNS(eif_new_type(2083, 0x00).id, 2083, _OBJSIZ_1_1_0_3_0_0_0_0_);
						ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R17252[Dtype(RTCW(arg2))-2082])(arg2);
						F2082_20975(RTCW(tr2), ti4_1);
						F247_4276(tr1, arg2, tr2);
						/* END INLINED CODE */
					}
					loc6 = tr2;
				}
				{
					/* INLINED CODE (ENCODING_HELPER.multi_byte_to_pointer) */
					tr1 = (EIF_REFERENCE)  0;
					tr2 = RTLNS(eif_new_type(1059, 0x00).id, 1059, _OBJSIZ_1_0_0_1_0_0_0_0_);
					F1060_15091(RTCW(tr2), loc6);
					tr1 = *(EIF_REFERENCE *)(RTCW(tr2));
					/* END INLINED CODE */
				}
				loc1 = tr1;
				loc2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_1_1_0_2_);
			}
		}
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = F3247_38204(Current, arg1, arg3, tp1, loc2, (EIF_INTEGER_32 *) &(loc4), (EIF_INTEGER_32 *) &(loc8));
		tb1 = '\0';
		if ((EIF_BOOLEAN)(loc8 == ((EIF_INTEGER_32) 0L))) {
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			tb1 = (EIF_BOOLEAN)(loc3 != tp1);
		}
		if (tb1) {
			*(EIF_BOOLEAN *)(Current+ _CHROFF_1_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			{
				/* INLINED CODE (ENCODING_IMP.is_four_byte_code_page) */
				tb1 = (EIF_BOOLEAN)  0;
				tr1 = RTOSCF(5998,F394_5998, (Current));
				tb1 = F1786_17404(RTCW(tr1), arg3);
				/* END INLINED CODE */
			}
			if (tb1) {
				loc5 = F530_7927(Current, loc3, loc4);
				{
					/* INLINED CODE (FINITE.is_empty) */
					tb1 = (EIF_BOOLEAN)  0;
					(void) RTCW(loc5);
					ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
					tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L));
					/* END INLINED CODE */
				}
				tb1 = tb1;
				if ((EIF_BOOLEAN) !tb1) {
					{
						/* INLINED CODE (STRING_32.code) */
						tu4_1 = (EIF_NATURAL_32)  0;
						(void) RTCW(loc5);
						tr1 = *(EIF_REFERENCE *)(loc5);
						tw1 = 
							/* INLINED CODE (SPECIAL.item) */
							*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
							/* END INLINED CODE */;
						ti4_1 = (EIF_INTEGER_32) (tw1);
						tu4_1 = (EIF_NATURAL_32) ti4_1;
						/* END INLINED CODE */
					}
					tu4_1 = tu4_1;
					{
						/* INLINED CODE (ENCODING_IMP.same_endian) */
						tb1 = (EIF_BOOLEAN)  0;
						tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65279L));
						/* END INLINED CODE */
					}
					if (tb1) {
						ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
						tr1 = F2088_21303(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
						loc5 = (EIF_REFERENCE) tr1;
						tb1 = '\01';
						tb2 = '\0';
						{
							/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
							tb3 = (EIF_BOOLEAN)  0;
							tr1 = RTOSCF(6000,F394_6000, (Current));
							tb3 = F1786_17404(RTCW(tr1), arg3);
							/* END INLINED CODE */
						}
						if (tb3) {
							tb2 = RTOSCF(7934,F530_7934, (Current));
						}
						if (!tb2) {
							tb2 = '\0';
							{
								/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
								tb3 = (EIF_BOOLEAN)  0;
								tr1 = RTOSCF(5999,F394_5999, (Current));
								tb3 = F1786_17404(RTCW(tr1), arg3);
								/* END INLINED CODE */
							}
							if (tb3) {
								tb2 = (EIF_BOOLEAN) !RTOSCF(7934,F530_7934, (Current));
							}
							tb1 = tb2;
						}
						if (tb1) {
							tr1 = F530_7932(Current, loc5);
							loc5 = (EIF_REFERENCE) tr1;
						}
					} else {
						{
							/* INLINED CODE (STRING_32.code) */
							tu4_1 = (EIF_NATURAL_32)  0;
							(void) RTCW(loc5);
							tr1 = *(EIF_REFERENCE *)(loc5);
							tw1 = 
								/* INLINED CODE (SPECIAL.item) */
								*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
								/* END INLINED CODE */;
							ti4_1 = (EIF_INTEGER_32) (tw1);
							tu4_1 = (EIF_NATURAL_32) ti4_1;
							/* END INLINED CODE */
						}
						tu4_1 = tu4_1;
						{
							/* INLINED CODE (ENCODING_IMP.reverse_endian) */
							tb1 = (EIF_BOOLEAN)  0;
							tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65534L)) || (EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_64) RTI64C(4294836224))));
							/* END INLINED CODE */
						}
						if (tb1) {
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
							tr1 = F2088_21303(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
							loc5 = (EIF_REFERENCE) tr1;
							tb1 = '\01';
							tb2 = '\01';
							tb3 = '\0';
							{
								/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
								tb4 = (EIF_BOOLEAN)  0;
								tr1 = RTOSCF(5999,F394_5999, (Current));
								tb4 = F1786_17404(RTCW(tr1), arg3);
								/* END INLINED CODE */
							}
							if (tb4) {
								tb3 = RTOSCF(7934,F530_7934, (Current));
							}
							if (!tb3) {
								tb3 = '\0';
								{
									/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
									tb4 = (EIF_BOOLEAN)  0;
									tr1 = RTOSCF(6000,F394_6000, (Current));
									tb4 = F1786_17404(RTCW(tr1), arg3);
									/* END INLINED CODE */
								}
								if (tb4) {
									tb3 = (EIF_BOOLEAN) !RTOSCF(7934,F530_7934, (Current));
								}
								tb2 = tb3;
							}
							if (!tb2) {
								{
									/* INLINED CODE (ENCODING_IMP.is_endianness_specified) */
									tb2 = (EIF_BOOLEAN)  0;
									tb2 = '\01';
									tb3 = F3247_38200(Current, arg3);
									if (!tb3) {
										tb3 = F3247_38201(Current, arg3);
										tb2 = tb3;
									}
									/* END INLINED CODE */
								}
								tb1 = (EIF_BOOLEAN) !tb2;
							}
							if (tb1) {
								tr1 = F530_7932(Current, loc5);
								loc5 = (EIF_REFERENCE) tr1;
							}
						}
					}
				}
				loc10 = (EIF_REFERENCE) loc5;
			} else {
				{
					/* INLINED CODE (ENCODING_IMP.is_two_byte_code_page) */
					tb1 = (EIF_BOOLEAN)  0;
					tr1 = RTOSCF(5997,F394_5997, (Current));
					tb1 = F1786_17404(RTCW(tr1), arg3);
					/* END INLINED CODE */
				}
				if (tb1) {
					loc5 = F530_7926(Current, loc3, loc4);
					{
						/* INLINED CODE (FINITE.is_empty) */
						tb1 = (EIF_BOOLEAN)  0;
						(void) RTCW(loc5);
						ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
						tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L));
						/* END INLINED CODE */
					}
					tb1 = tb1;
					if ((EIF_BOOLEAN) !tb1) {
						{
							/* INLINED CODE (STRING_32.code) */
							tu4_1 = (EIF_NATURAL_32)  0;
							(void) RTCW(loc5);
							tr1 = *(EIF_REFERENCE *)(loc5);
							tw1 = 
								/* INLINED CODE (SPECIAL.item) */
								*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
								/* END INLINED CODE */;
							ti4_1 = (EIF_INTEGER_32) (tw1);
							tu4_1 = (EIF_NATURAL_32) ti4_1;
							/* END INLINED CODE */
						}
						tu4_1 = tu4_1;
						{
							/* INLINED CODE (ENCODING_IMP.same_endian) */
							tb1 = (EIF_BOOLEAN)  0;
							tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65279L));
							/* END INLINED CODE */
						}
						if (tb1) {
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
							tr1 = F2088_21303(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
							loc5 = (EIF_REFERENCE) tr1;
							tb1 = '\01';
							tb2 = '\0';
							{
								/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
								tb3 = (EIF_BOOLEAN)  0;
								tr1 = RTOSCF(6000,F394_6000, (Current));
								tb3 = F1786_17404(RTCW(tr1), arg3);
								/* END INLINED CODE */
							}
							if (tb3) {
								tb2 = RTOSCF(7934,F530_7934, (Current));
							}
							if (!tb2) {
								tb2 = '\0';
								{
									/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
									tb3 = (EIF_BOOLEAN)  0;
									tr1 = RTOSCF(5999,F394_5999, (Current));
									tb3 = F1786_17404(RTCW(tr1), arg3);
									/* END INLINED CODE */
								}
								if (tb3) {
									tb2 = (EIF_BOOLEAN) !RTOSCF(7934,F530_7934, (Current));
								}
								tb1 = tb2;
							}
							if (tb1) {
								tr1 = F530_7933(Current, loc5);
								loc5 = (EIF_REFERENCE) tr1;
							}
						} else {
							{
								/* INLINED CODE (STRING_32.code) */
								tu4_1 = (EIF_NATURAL_32)  0;
								(void) RTCW(loc5);
								tr1 = *(EIF_REFERENCE *)(loc5);
								tw1 = 
									/* INLINED CODE (SPECIAL.item) */
									*((EIF_CHARACTER_32 *)RTCW(tr1) + ((EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) - ((EIF_INTEGER_32) 1L))))
									/* END INLINED CODE */;
								ti4_1 = (EIF_INTEGER_32) (tw1);
								tu4_1 = (EIF_NATURAL_32) ti4_1;
								/* END INLINED CODE */
							}
							tu4_1 = tu4_1;
							{
								/* INLINED CODE (ENCODING_IMP.reverse_endian) */
								tb1 = (EIF_BOOLEAN)  0;
								tb1 = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65534L)) || (EIF_BOOLEAN)(tu4_1 == (EIF_NATURAL_32) ((EIF_INTEGER_64) RTI64C(4294836224))));
								/* END INLINED CODE */
							}
							if (tb1) {
								ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_1_1_0_2_);
								tr1 = F2088_21303(RTCW(loc5), ((EIF_INTEGER_32) 2L), ti4_1);
								loc5 = (EIF_REFERENCE) tr1;
								tb1 = '\01';
								tb2 = '\01';
								tb3 = '\0';
								{
									/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
									tb4 = (EIF_BOOLEAN)  0;
									tr1 = RTOSCF(5999,F394_5999, (Current));
									tb4 = F1786_17404(RTCW(tr1), arg3);
									/* END INLINED CODE */
								}
								if (tb4) {
									tb3 = RTOSCF(7934,F530_7934, (Current));
								}
								if (!tb3) {
									tb3 = '\0';
									{
										/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
										tb4 = (EIF_BOOLEAN)  0;
										tr1 = RTOSCF(6000,F394_6000, (Current));
										tb4 = F1786_17404(RTCW(tr1), arg3);
										/* END INLINED CODE */
									}
									if (tb4) {
										tb3 = (EIF_BOOLEAN) !RTOSCF(7934,F530_7934, (Current));
									}
									tb2 = tb3;
								}
								if (!tb2) {
									{
										/* INLINED CODE (ENCODING_IMP.is_endianness_specified) */
										tb2 = (EIF_BOOLEAN)  0;
										tb2 = '\01';
										tb3 = F3247_38200(Current, arg3);
										if (!tb3) {
											tb3 = F3247_38201(Current, arg3);
											tb2 = tb3;
										}
										/* END INLINED CODE */
									}
									tb1 = (EIF_BOOLEAN) !tb2;
								}
								if (tb1) {
									tr1 = F530_7933(Current, loc5);
									loc5 = (EIF_REFERENCE) tr1;
								}
							}
						}
					}
					*(EIF_BOOLEAN *)(Current+ _CHROFF_1_1_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc10 = (EIF_REFERENCE) loc5;
				} else {
					loc10 = F530_7925(Current, loc3, loc4);
				}
			}
			RTAR(Current, loc10);
			*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) loc10;
		} else {
			*(EIF_BOOLEAN *)(Current+ _CHROFF_1_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		}
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc3 != tp1)) {
			free(loc3);
		}
	}
	RTE_E
	RTXSC;
	loc9 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc3 != tp1)) {
		free(loc3);
	}
	tr1 = RTOSCF(12065,F844_12065, (Current));
	loc11 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8262[Dtype(RTCW(tr1))-573])(tr1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc11 != NULL)) {
		tr1 = F845_12075(RTCW(loc11));
		loc12 = tr1;
		loc12 = RTRV(eif_new_type(854, 0x00),loc12);
		tb1 = EIF_TEST(loc12);
	}
	if (tb1) {
		RTER;
	}
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.is_code_page_valid */
EIF_BOOLEAN F3247_38194 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(2);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R17230[Dtype(RTCW(arg1))-2082])(arg1);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		RTLE;
		return (EIF_BOOLEAN) F3247_38197(Current, arg1);
	}
	RTLE;
	return (EIF_BOOLEAN) 0;
}

/* {ENCODING_IMP}.is_code_page_convertible */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_BOOLEAN F3247_38195 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_VOLATILE EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	RTXD;
	
	RTLI(6);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,Current);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLR(5,saved_except);
	RTLIU(6);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc2) {
		Result = F3247_38205(Current, arg1, arg2, (EIF_INTEGER_32 *) &(loc1));
		if ((EIF_BOOLEAN)(loc1 != ((EIF_INTEGER_32) 0L))) {
			tr1 = F3247_38213(Current, loc1);
			{
				/* INLINED CODE (EXCEPTION.raise) */
				(void) RTCW(tr1);
				tr2 = RTOSCF(12065,F844_12065, (tr1));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8263[Dtype(RTCW(tr2))-573])(tr2, tr1);
				/* END INLINED CODE */
			}
			;
		}
	}
	RTE_E
	RTXSC;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.last_conversion_lost_data */
EIF_BOOLEAN F3247_38196 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_BOOLEAN) (EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_1_0_);
}

/* {ENCODING_IMP}.is_known_code_page */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_BOOLEAN F3247_38197 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_VOLATILE EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	RTXD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,saved_except);
	RTLIU(5);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc2) {
		tr1 = RTOSCF(3916,F217_3916, (Current));
		tb1 = F2082_21001(RTCW(arg1), tr1);
		if ((EIF_BOOLEAN) !tb1) {
			{
				/* INLINED CODE (ENCODING_IMP.c_codeset_valid) */
				tp1 = (EIF_INTEGER_32 *) &(loc1);
				tb1 = (EIF_BOOLEAN)  0;
				tr1 = RTMS_EX_H("utf-8",5,1953751864);
				tb1 = F3247_38205(Current, arg1, tr1, tp1);
				/* END INLINED CODE */
			}
			Result = tb1;
			if ((EIF_BOOLEAN)(loc1 != ((EIF_INTEGER_32) 0L))) {
				tr1 = F3247_38213(Current, loc1);
				{
					/* INLINED CODE (EXCEPTION.raise) */
					(void) RTCW(tr1);
					tr2 = RTOSCF(12065,F844_12065, (tr1));
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8263[Dtype(RTCW(tr2))-573])(tr2, tr1);
					/* END INLINED CODE */
				}
				;
			}
		} else {
			Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	RTE_E
	RTXSC;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {ENCODING_IMP}.is_two_byte_code_page */
EIF_BOOLEAN F3247_38198 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(5997,F394_5997, (Current));
	Result = F1786_17404(RTCW(tr1), arg1);
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.is_four_byte_code_page */
EIF_BOOLEAN F3247_38199 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(5998,F394_5998, (Current));
	Result = F1786_17404(RTCW(tr1), arg1);
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.is_big_endian_code_page */
EIF_BOOLEAN F3247_38200 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(6000,F394_6000, (Current));
	Result = F1786_17404(RTCW(tr1), arg1);
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.is_little_endian_code_page */
EIF_BOOLEAN F3247_38201 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(5999,F394_5999, (Current));
	Result = F1786_17404(RTCW(tr1), arg1);
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.is_endianness_specified */
EIF_BOOLEAN F3247_38202 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	Result = '\01';
	{
		/* INLINED CODE (ENCODING_IMP.is_big_endian_code_page) */
		tb1 = (EIF_BOOLEAN)  0;
		tr1 = RTOSCF(6000,F394_6000, (Current));
		tb1 = F1786_17404(RTCW(tr1), arg1);
		/* END INLINED CODE */
	}
	if (!tb1) {
		{
			/* INLINED CODE (ENCODING_IMP.is_little_endian_code_page) */
			tb1 = (EIF_BOOLEAN)  0;
			tr1 = RTOSCF(5999,F394_5999, (Current));
			tb1 = F1786_17404(RTCW(tr1), arg1);
			/* END INLINED CODE */
		}
		Result = tb1;
	}
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.descriptor_cache */
static EIF_REFERENCE F3247_38203_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOSP (38203);
#define Result RTOSR(38203)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(178, 0x00).id, 178, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F179_3547(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (38203);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3247_38203 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(38203,F3247_38203_body,(Current));
}

/* {ENCODING_IMP}.iconv_imp */
EIF_POINTER F3247_38204 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32* arg5, EIF_INTEGER_32* arg6)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLIU(6);
	
	RTGC;
	tr1 = RTOSCF(38203,F3247_38203, (Current));
	tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R17365[Dtype(RTCW(arg1))-2082])(arg1, arg2);
	{
		/* INLINED CODE (DESCRIPTOR_CACHE.search) */
		(void) RTCW(tr1);
		tr3 = *(EIF_REFERENCE *)(tr1);
		F1796_17438(RTCW(tr3), tr2);
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (DESCRIPTOR_CACHE.found_item) */
		tp1 = (EIF_POINTER)  0;
		tr1 = RTOSCF(38203,F3247_38203, (Current));
		(void) RTCW(tr1);
		tr2 = *(EIF_REFERENCE *)(tr1);
		tp1 = *(EIF_POINTER *)(RTCW(tr2)+ _PTROFF_5_3_0_7_0_0_);
		/* END INLINED CODE */
	}
	tp1 = tp1;
	Result = inline_F3247_38215(tp1, arg3, arg4, arg5, arg6);
	tr1 = RTOSCF(38203,F3247_38203, (Current));
	{
		/* INLINED CODE (DESCRIPTOR_CACHE.record_converted_pair) */
		tr2 = (EIF_REFERENCE)  0;
		(void) RTCW(tr1);
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R17365[Dtype(RTCW(arg1))-2082])(arg1, arg2);
		tr3 = *(EIF_REFERENCE *)(tr1 + _REFACS_1_);
		F1786_17443(RTCW(tr3), tr2, tr2);
		/* END INLINED CODE */
	}
	;
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.is_codeset_convertible */
EIF_BOOLEAN F3247_38205 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(8);
	RTLR(0,loc3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,tr2);
	RTLR(6,loc1);
	RTLR(7,loc2);
	RTLIU(8);
	
	RTGC;
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R17365[Dtype(RTCW(arg1))-2082])(arg1, arg2);
	tr1 = RTOSCF(38203,F3247_38203, (Current));
	{
		/* INLINED CODE (DESCRIPTOR_CACHE.search) */
		(void) RTCW(tr1);
		tr2 = *(EIF_REFERENCE *)(tr1);
		F1796_17438(RTCW(tr2), loc3);
		/* END INLINED CODE */
	}
	;
	{
		/* INLINED CODE (DESCRIPTOR_CACHE.found) */
		tb1 = (EIF_BOOLEAN)  0;
		tr1 = RTOSCF(38203,F3247_38203, (Current));
		(void) RTCW(tr1);
		tr2 = *(EIF_REFERENCE *)(tr1);
		tb1 = F1796_17428(RTCW(tr2));
		/* END INLINED CODE */
	}
	tb1 = tb1;
	if (tb1) {
		RTLE;
		return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	} else {
		{
			/* INLINED CODE (ENCODING_HELPER.multi_byte_to_pointer) */
			tr1 = (EIF_REFERENCE)  0;
			tr2 = RTLNS(eif_new_type(1059, 0x00).id, 1059, _OBJSIZ_1_0_0_1_0_0_0_0_);
			F1060_15091(RTCW(tr2), arg1);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr2));
			/* END INLINED CODE */
		}
		loc1 = tr1;
		{
			/* INLINED CODE (ENCODING_HELPER.multi_byte_to_pointer) */
			tr1 = (EIF_REFERENCE)  0;
			tr2 = RTLNS(eif_new_type(1059, 0x00).id, 1059, _OBJSIZ_1_0_0_1_0_0_0_0_);
			F1060_15091(RTCW(tr2), arg2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr2));
			/* END INLINED CODE */
		}
		loc2 = tr1;
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		tp2 = *(EIF_POINTER *)(RTCW(loc2)+ _PTROFF_0_1_0_1_0_0_);
		loc4 = inline_F3247_38214(tp1, tp2, arg3, (EIF_BOOLEAN *) &(loc5));
		if (loc5) {
			tr1 = RTOSCF(38203,F3247_38203, (Current));
			{
				/* INLINED CODE (DESCRIPTOR_CACHE.put) */
				(void) RTCW(tr1);
				tr2 = *(EIF_REFERENCE *)(tr1);
				F1796_17443(RTCW(tr2), loc4, loc3);
				/* END INLINED CODE */
			}
			;
			RTLE;
			return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	RTLE;
	return (EIF_BOOLEAN) 0;
}

/* {ENCODING_IMP}.c_codeset_valid */
EIF_BOOLEAN F3247_38206 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32* arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTGC;
	tr1 = RTMS_EX_H("utf-8",5,1953751864);
	Result = F3247_38205(Current, arg1, tr1, arg2);
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.same_endian */
EIF_BOOLEAN F3247_38207 (EIF_REFERENCE Current, EIF_NATURAL_32 arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65279L));
	return Result;
}

/* {ENCODING_IMP}.reverse_endian */
EIF_BOOLEAN F3247_38208 (EIF_REFERENCE Current, EIF_NATURAL_32 arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_32) 65534L)) || (EIF_BOOLEAN)(arg1 == (EIF_NATURAL_32) ((EIF_INTEGER_64) RTI64C(4294836224))));
	return Result;
}

/* {ENCODING_IMP}.string_32_to_pointer */
EIF_REFERENCE F3247_38209 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,arg1);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	loc5 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	loc4 = *(EIF_INTEGER_32 *)(RTCW(arg1) + O17450[Dtype(arg1)-2085]);
	Result = RTLNS(eif_new_type(920, 0x00).id, 920, _OBJSIZ_0_1_0_1_0_1_1_0_);
	F921_12979(RTCW(Result), (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc4 + ((EIF_INTEGER_32) 1L)) * ((EIF_INTEGER_32) 4L)));
	loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc4 - loc5) + ((EIF_INTEGER_32) 1L));
	loc3 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc2 + ((EIF_INTEGER_32) 1L)) * ((EIF_INTEGER_32) 4L));
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(Result)+ _LNGOFF_0_1_0_0_);
	if ((EIF_BOOLEAN) (ti4_1 < loc3)) {
		F921_13069(RTCW(Result), loc3);
	}
	loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	for (;;) {
		if ((EIF_BOOLEAN)(loc1 == loc2)) break;
		tu4_1 = (FUNCTION_CAST(EIF_NATURAL_32, (EIF_REFERENCE, EIF_INTEGER_32)) R17215[Dtype(RTCW(arg1))-2082])(arg1, (EIF_INTEGER_32) (loc1 + loc5));
		{
			/* INLINED CODE (MANAGED_POINTER.put_natural_32) */
			ti4_1 = (EIF_INTEGER_32) (loc1 * ((EIF_INTEGER_32) 4L));
			(void) RTCW(Result);
			tp1 = *(EIF_POINTER *)(Result+ _PTROFF_0_1_0_1_0_0_);
			tp1 = RTPOF(tp1,ti4_1);
			memcpy((void *)tp1, (const void *) (EIF_NATURAL_32 *) &(tu4_1), (size_t) ((EIF_INTEGER_32) 4L));
			/* END INLINED CODE */
		}
		;
		loc1++;
	}
	{
		/* INLINED CODE (MANAGED_POINTER.put_natural_32) */
		tu4_1 = (EIF_NATURAL_32) ((EIF_INTEGER_32) 0L);
		ti4_1 = (EIF_INTEGER_32) (loc1 * ((EIF_INTEGER_32) 4L));
		(void) RTCW(Result);
		tp1 = *(EIF_POINTER *)(Result+ _PTROFF_0_1_0_1_0_0_);
		tp1 = RTPOF(tp1,ti4_1);
		memcpy((void *)tp1, (const void *) (EIF_NATURAL_32 *) &(tu4_1), (size_t) ((EIF_INTEGER_32) 4L));
		/* END INLINED CODE */
	}
	;
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.byte_order_mark */
static EIF_CHARACTER_32 F3247_38210_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEV;
	RTGC;
	RTOSP (38210);
#define Result RTOSR(38210)
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_32) 65279L);
	RTOSE (38210);
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F3247_38210 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(38210,F3247_38210_body,(Current));
}

/* {ENCODING_IMP}.byte_order_mark_32_reverse */
static EIF_CHARACTER_32 F3247_38211_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEV;
	RTGC;
	RTOSP (38211);
#define Result RTOSR(38211)
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_64) RTI64C(4294836224));
	RTOSE (38211);
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F3247_38211 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(38211,F3247_38211_body,(Current));
}

/* {ENCODING_IMP}.byte_order_mark_16_reverse */
static EIF_CHARACTER_32 F3247_38212_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEV;
	RTGC;
	RTOSP (38212);
#define Result RTOSR(38212)
	Result = (EIF_CHARACTER_32) ((EIF_INTEGER_32) 65534L);
	RTOSE (38212);
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F3247_38212 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(38212,F3247_38212_body,(Current));
}

/* {ENCODING_IMP}.conversion_exception */
EIF_REFERENCE F3247_38213 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	switch (arg1) {
		case 1L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`malloc\' error",14,583574386);
			F855_12130(RTCW(Result), tr1);
			break;
		case 2L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`realloc\' error",15,1198130290);
			F855_12130(RTCW(Result), tr1);
			break;
		case 3L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`iconv_open\' error",18,665611378);
			F855_12130(RTCW(Result), tr1);
			break;
		case 4L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EILSEQ error in `iconv\'. Input conversion stopped due to an input byte that does not belong to the input codeset.",113,266392366);
			F855_12130(RTCW(Result), tr1);
			break;
		case 5L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EINVAL error in `iconv\'. Input conversion stopped due to an incomplete character or shift sequence at the end of the input buffer.",130,1207171630);
			F855_12130(RTCW(Result), tr1);
			break;
		case 6L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("EBADF error in `iconv\'. The cd argument is not a valid open conversion descriptor.",82,1722040110);
			F855_12130(RTCW(Result), tr1);
			break;
		case 7L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("Unexpected error in `iconv\'",27,1286010151);
			F855_12130(RTCW(Result), tr1);
			break;
		case 8L:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("`iconv_close\' error",19,1032340594);
			F855_12130(RTCW(Result), tr1);
			break;
		default:
			Result = RTLNS(eif_new_type(854, 0x00).id, 854, _OBJSIZ_5_1_0_1_0_0_0_0_);
			tr1 = RTMS_EX_H("Unexpected error",16,578286706);
			F855_12130(RTCW(Result), tr1);
			break;
	}
	RTLE;
	return Result;
}

/* {ENCODING_IMP}.c_iconv_open */
EIF_POINTER F3247_38214 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3, EIF_BOOLEAN* arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F3247_38214 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32*) arg3, (EIF_BOOLEAN*) arg4);
	return Result;
}

/* {ENCODING_IMP}.c_iconv */
EIF_POINTER F3247_38215 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32* arg4, EIF_INTEGER_32* arg5)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F3247_38215 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32*) arg4, (EIF_INTEGER_32*) arg5);
	return Result;
}

void EIF_Minit2250 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
