note
	description: "Constants for debug info"
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2024-01-30 14:21:40 +0000 (Tue, 30 Jan 2024) $"
	revision: "$Revision: 107528 $"

class
	CLI_DEBUG_CONSTANTS

feature -- Type
	
	type_unknown, type_reserved10: INTEGER = 0

	type_coff, type_clsid: INTEGER = 1

	type_codeview: INTEGER = 2

	type_fpo: INTEGER = 3

	type_misc: INTEGER = 4

	type_exception: INTEGER = 5

	type_fixup: INTEGER = 6

	type_omap_to_src: INTEGER = 7

	type_omap_from_src: INTEGER = 8

	type_borland: INTEGER = 9;

note
	copyright:	"Copyright (c) 1984-2006, Eiffel Software"
	license:	"GPL version 2 (see http://www.eiffel.com/licensing/gpl.txt)"
	licensing_options:	"http://www.eiffel.com/licensing"
	copying: "[
			This file is part of Eiffel Software's Eiffel Development Environment.
			
			Eiffel Software's Eiffel Development Environment is free
			software; you can redistribute it and/or modify it under
			the terms of the GNU General Public License as published
			by the Free Software Foundation, version 2 of the License
			(available at the URL listed under "license" above).
			
			Eiffel Software's Eiffel Development Environment is
			distributed in the hope that it will be useful,	but
			WITHOUT ANY WARRANTY; without even the implied warranty
			of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
			See the	GNU General Public License for more details.
			
			You should have received a copy of the GNU General Public
			License along with Eiffel Software's Eiffel Development
			Environment; if not, write to the Free Software Foundation,
			Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
		]"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"

end -- class CLI_DEBUG_CONSTANTS
